commit 0a42cc29088fefcf17a4e289b1f0acef3c4bcf9f (HEAD -> master, tag:
3.28.1)
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   2018-04-08

    Release 3.28.1

M	NEWS
M	configure.ac

commit d8da017a9dbb771cfbf6769edc72b674d1655ad6 (origin/master,
origin/HEAD)
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	2018-03-25

    Update Latvian translation

M	help/lv/lv.po
M	po/lv.po

commit 48b828904291c4fc8d72ce8bbdb28fe217f6ebb4
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2018-03-19

    Updated Lithuanian translation

M	po/lt.po

commit b77a8cd1d9a0cfa82a101503f6f9440f3fc33145
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2018-03-18

    Update Italian translation

M	po/it.po

commit f1323171a733315bf9af635ccf2cd8789a1b0315
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:	2018-03-16

    Update Indonesian translation

M	po/id.po

commit 94f14008b5f28484a9ac92bc90ab377049358d63
Author: Nathan Follens <nathan@anche.no>
Date:	2018-03-13

    Update Dutch translation

M	po/nl.po

commit 009de2ca112c6a1ea98f0a79b1652bd73555b06c (tag: 3.28.0)
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:	2018-03-12

    Release 3.28.0

M	NEWS
M	configure.ac

commit f178c9171e3460fce87637edb97ecce39793b227
Author: Balázs Úr <balazs@urbalazs.hu>
Date:	2018-03-12

    Update Hungarian translation

M	po/hu.po

commit 2a21bbf1595ffd8d95b57eb27798cbe0bf6c5010
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	2018-03-11

    Update Swedish translation

M	po/sv.po

commit d1f7b72c7babd4738ce3228ae4ebb9d794136403
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	2018-03-11

    Update Brazilian Portuguese translation

M	po/pt_BR.po

commit c2068d1120a07eb8e1b78199f9f930190c6a989e
Author: Marek Černocký <marek@manet.cz>
Date:	2018-03-11

    Updated Czech translation

M	help/cs/cs.po

commit 052dd4db96881fe3a10b93d6affcc41b7199df51
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2018-03-10

    Update German translation

M	help/de/de.po

commit 05639d7875854960e1892d45ac75fe6263bd4e4d
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2018-03-10

    Update German translation

M	po/de.po

commit e6574d501cd9162e167f0b1aae957bdf37d2afe3
Author: Jordi Mas <jmas@softcatala.org>
Date:	2018-03-10

    Retrieve translation correctly from gettext

M	plugins/translate/translate/__init__.py

commit 41ed0ab028864a7b52525638f312d3595e2bc09b
Author: Jordi Mas <jmas@softcatala.org>
Date:	2018-03-10

    Fixes to Catalan translation

M	po/ca.po

commit 9b7d6db6c9a340cf7b32968426b59d53e3dc1ffd
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2018-03-10

    Update Polish translation

M	help/pl/pl.po
M	po/pl.po

commit 1a63ed0222c3d42f125e80b5a71bbcf256ed255a
Author: Marek Černocký <marek@manet.cz>
Date:	2018-03-10

    Updated Czech translation

M	po/cs.po

commit e38624de513f54f97111f4abf6ef3fa0f408df69
Author: Alan Mortensen <alanmortensen.am@gmail.com>
Date:	2018-03-10

    Updated Danish translation

M	po/da.po

commit 1415ccf111d7cb842da3f2dd5709af8b33ddeefa
Author: Jordi Mas <jmas@softcatala.org>
Date:	2018-03-10

    Update Catalan translation

M	po/ca.po

commit e9a01da76dc511188991631c3890c76fb9368e96
Author: Jordi Mas <jmas@softcatala.org>
Date:	2018-03-10

    Fixes #794046

M	help/C/translate.page
M	plugins/translate/translate/__init__.py

commit c58c62fdb5f107493e0237f805c559d739051592
Author: Jordi Mas <jmas@softcatala.org>
Date:	2018-03-10

    Translate plugin. Improve layout for preferences

M	plugins/translate/translate/preferences.py
M	plugins/translate/translate/ui/preferences.ui

commit be3f71149d976997ca87f9278da67055978bf006
Author: Jordi Mas <jmas@softcatala.org>
Date:	2018-03-10

    Several small fixes

M	plugins/translate/translate/__init__.py
M	plugins/translate/translate/services/apertium.py
M	plugins/translate/translate/services/yandex.py

commit b7f439596b830139b50db5fe2a0ec59525ea9c46
Author: Marek Cernocky <marek_cernocky@conel.cz>
Date:	2018-03-09

    Updated Czech translation

M	po/cs.po

commit 1b22186441d806da1c75f212d3bf795e7977ccb2
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2018-03-08

    Update Italian translation

M	po/it.po

commit a52aecfe15fda4184e5022c27b71295eacf2f62b
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2018-03-07

    Update German translation

M	help/de/de.po

commit fb3c7ce74802fa9f512d4b1e02078ac223a6e247
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2018-03-07

    Update German translation

M	po/de.po

commit 8194f4f4c5c002ba43490d5ced607f14273c2f4e
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2018-03-07

    Update Polish translation

M	po/pl.po

commit 3b1940b84770962ce7cea1a591078e3f087c6614
Author: Jordi Mas <jmas@softcatala.org>
Date:	2018-03-07

    Update Catalan translation

M	po/ca.po

commit 48563cf7115a1697226ca5ec111fa4262768113b
Author: Jordi Mas <jmas@softcatala.org>
Date:	2018-03-07

    Make API Key localizable and fix showing localised api_hint text

M	plugins/translate/translate/preferences.py
M	plugins/translate/translate/services/service.py
M	plugins/translate/translate/services/yandex.py
M	po/POTFILES.in

commit 5688e116e69179bf09de869519be833a4b5c8d72 (tag: 3.27.92)
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:	2018-03-07

    Release 3.27.92

M	NEWS
M	configure.ac

commit 29c6e4c35078659f57642d8c067446fde4cc4db6
Author: Jordi Mas <jmas@softcatala.org>
Date:	2018-03-07

    Default language eng->spa

M	plugins/translate/org.gnome.gedit.plugins.translate.gschema.xml

commit 22a4ef06dc74e5443cc3a94d39c07fd3f2f5226c
Author: Marek Černocký <marek@manet.cz>
Date:	2018-03-06

    Updated Czech translation

M	help/cs/cs.po
M	po/cs.po

commit 01488fd3da21326ca9c26a789c094bb9e8622c89
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2018-03-05

    Update Polish translation

M	po/pl.po

commit 9a73ddf15ffe91e89c84f13565c87f8bbb67da81
Author: Jordi Mas <jmas@softcatala.org>
Date:	2018-03-05

    Update Catalan translation

M	po/ca.po

commit 66b584e72d9cb156c0f3d4c866799347868e6fb7
Author: Jordi Mas <jmas@softcatala.org>
Date:	2018-03-05

    Add instructions on how to get Yandex key

M	plugins/translate/translate/preferences.py
M	plugins/translate/translate/services/apertium.py
M	plugins/translate/translate/services/service.py
M	plugins/translate/translate/services/yandex.py
M	plugins/translate/translate/ui/preferences.ui
M	po/POTFILES.in

commit 78b573372625c22497fa798cd5f530cdb0b3a392
Author: Jordi Mas <jmas@softcatala.org>
Date:	2018-03-05

    Fixes for #794045

M	plugins/translate/translate/preferences.py
M	plugins/translate/translate/services/apertium.py
M	plugins/translate/translate/services/service.py
M	plugins/translate/translate/services/yandex.py

commit 9997b4c1b7f7c833d09e3a60092a1465995ba719
Author: Balázs Úr <balazs@urbalazs.hu>
Date:	2018-03-04

    Update Hungarian translation

M	po/hu.po

commit 85c447f2817b1875da0905407ea11f2accc59635 (tag: 3.27.1)
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:	2018-03-04

    Release 3.27.1

M	NEWS
M	configure.ac

commit a2f92b3624da6fc32caf6140c686ba2fe47e2c5f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2018-03-04

    Fix help/Makefile.am indentation

M	help/Makefile.am

commit 7b7530c96000fb7c678db89875ed9f63bfb2706c
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2018-03-04

    Update Polish translation

M	help/pl/pl.po

commit 245fb7085bf75612e4a458095f20fa80ca0eac8d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2018-03-04

    Review the Translate plugin help

M	help/C/translate.page

commit 9a3ca24993d2c10e47db1a9c7d8ce60ab8ea0fa2
Author: Jordi Mas <jmas@softcatala.org>
Date:	2018-03-04

    Add help for translate pluggin

A	help/C/translate.page
M	help/Makefile.am

commit 75058acfc66921d186b9cedd22df3f40383ed3d7
Author: Jordi Mas <jmas@softcatala.org>
Date:	2018-03-04

    Update Catalan translation

M	help/ca/ca.po

commit 85a79085a22f4a68c0bf988255a4d0239fd32e58
Author: Jordi Mas <jmas@softcatala.org>
Date:	2018-03-03

    Update Catalan translation

M	po/ca.po

commit b51b7f746bada77108e9650dae6a8cc62cf814a0
Author: GNOME Translation Robot <gnome-sysadmin@gnome.org>
Date:	2018-02-26

    Update Dutch translation

M	po/nl.po

commit 029b4747129d28032663bc1d3012921277916812
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	2018-02-19

    Update Brazilian Portuguese translation

M	po/pt_BR.po

commit b63aa6fc0f32a32e439fdea41300c829c525d4e0
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2018-02-14

    Update Italian translation

M	po/it.po

commit 5ac0157733ef177c87a826f08e9a703bd4534caa
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:	2018-02-07

    Update Indonesian translation

M	po/id.po

commit 36f197f6cd846540047e2ed7e40de31475ec0c4f
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2018-02-05

    Update German translation

M	po/de.po

commit 787941c75b82fa28ae21bd1a34be57a647184543
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:	2018-02-03

    Adjust Spanish translation header

M	po/es.po

commit 53f310f2968a18438e47831247fa389e13ab9ed8
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2018-01-28

    Fix gettext import in Python files with translations

    https://bugzilla.gnome.org/show_bug.cgi?id=790383

M	plugins/charmap/charmap/__init__.py
M	plugins/codecomment/codecomment.py
M	plugins/colorpicker/colorpicker.py
M	plugins/colorschemer/schemer/__init__.py
M	plugins/commander/commander/appactivatable.py
M	plugins/commander/commander/windowactivatable.py
M	plugins/dashboard/dashboard/dashboard.py
M	plugins/joinlines/joinlines.py
M	plugins/multiedit/multiedit/appactivatable.py
M	plugins/multiedit/multiedit/viewactivatable.py
M	plugins/multiedit/multiedit/windowactivatable.py
M	plugins/synctex/synctex/synctex.py
M	plugins/terminal/terminal.py
M	plugins/textsize/textsize/__init__.py
M	plugins/translate/translate/__init__.py

commit fd7c7ff77344ad14b755b7052c2f5771a2863c0c
Author: Marek Cernocky <marek_cernocky@conel.cz>
Date:	2018-01-29

    Updated Czech translation

M	po/cs.po

commit a09f1b932a7fdeef6c91e70c456adb3e2c6c6a43
Author: asl97 <asl97@openmailbox.org>
Date:	2017-03-22

    plugins: fix popup item duplication

    Disconnect the popup handler when it gets deactivated.
    This fixes duplicate context menu items when the codecomment
    or joinlines plugins are deactivated then reactivated.

    https://bugzilla.gnome.org/show_bug.cgi?id=751345

M	plugins/codecomment/codecomment.py
M	plugins/joinlines/joinlines.py

commit 69a9bead0b30e02b6bda29e7d48d06947e4337d1
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2018-01-28

    Update POTFILES.in

M	po/POTFILES.in

commit 66d91a8cb0fd60875187ed8c6dc6550e3df91b5c
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2018-01-28

    Update POTFILES.in

M	po/POTFILES.in

commit 1f4eb820b7679a5c19e8d6db836050d153773e40
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2018-01-28

    Update Polish translation

M	help/pl/pl.po
M	po/pl.po

commit a0e35ce1452908ecf23bedca81e1af0ef2f28195
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2016-11-11

    Use Unicode in translatable strings

    See https://developer.gnome.org/hig/stable/typography.html

    https://bugzilla.gnome.org/show_bug.cgi?id=774274

M	plugins/smartspaces/gedit-smartspaces.metainfo.xml.in
M	plugins/smartspaces/smartspaces.plugin.desktop.in.in
M	plugins/terminal/org.gnome.gedit.plugins.terminal.gschema.xml

commit 7976e3191b587f5201c636660913a3886dd144ea
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	2018-01-09

    Update Brazilian Portuguese translation

M	po/pt_BR.po

commit d8e13cdefcb1ba163e228d24d7d5c0406bc92b3b
Author: Jordi Mas <jmas@softcatala.org>
Date:	2018-01-07

    Remove debug aids + unnecesary spaces in translate pluggin

M	plugins/translate/translate/__init__.py
M	plugins/translate/translate/services/apertium.py
M	plugins/translate/translate/services/yandex.py

commit 9897b4cfdbac027d57dc1592dd21d8d187d3527d
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:	2017-12-23

    Update Esperanto translation

M	po/eo.po

commit 833522b2def5da275b2f20d68eefd93bc63050be
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2017-12-20

    Updated Spanish translation

M	po/es.po

commit 53f50c70661bddb3d332302038cfd1af8bf545d7
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:	2017-12-05

    Update Indonesian translation

M	po/id.po

commit de05af507d4b84b74e8cb09f2a62e449e8703d31
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2017-11-15

    Replace non-existing icons

M	plugins/charmap/charmap.plugin.desktop.in.in
M	plugins/colorpicker/colorpicker.plugin.desktop.in.in
M	plugins/synctex/synctex.plugin.desktop.in.in
M	plugins/terminal/terminal.plugin.desktop.in.in

commit b6e1ea60988f2aa59326d395060da91854c0a062
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2017-11-11

    Add Polish help translation

M	help/Makefile.am
A	help/pl/pl.po

commit 1f8cf15a98872e28f9f25910b640f7924e8fc090
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:	2017-11-11

    Updated Danish translation

M	po/da.po

commit d79b1449c08fd3065ca311438dda810fcc1d105c
Author: Alan Mortensen <alanmortensen.am@gmail.com>
Date:	2017-10-22

    Updated Danish translation

M	po/da.po

commit 9bc96d779fc2a511176065a3b7de014f34624334
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2017-10-15

    Updated Lithuanian translation

M	po/lt.po

commit d6b17c2b73b611f51a5aca22b1d2904426248910
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	2017-10-10

    Update Swedish translation

M	po/sv.po

commit 8ffaed039413feec2fe36dfaaf08bc9beea31fcd
Author: Andre Klapper <a9016009@gmx.de>
Date:	2017-10-09

    help: ar: Fix broken markup

M	help/ar/ar.po

commit 19de0dc6cb41c5129d8ac3d67a249ecb5b20cbc1
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2017-10-02

    Update German translation

M	po/de.po

commit 89c947b44bcfa90419750b3f838f5750bf968e22
Author: Marek Cernocky <marek_cernocky@conel.cz>
Date:	2017-10-01

    Updated Czech translation

M	po/cs.po

commit 9e7a15c0d95dac257d5c0f799cf3c2f6b9db482f
Author: Dušan Kazik <prescott66@gmail.com>
Date:	2017-09-30

    Update Slovak translation

M	po/sk.po

commit 926f06c4ce5ac71baa401f2f4211096d2a751a8d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2017-09-28

    Update Polish translation

M	po/pl.po

commit bc85cc822577dbe80e084f46369ee0663e3651d1
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2017-09-28

    Update POTFILES.in and POTFILES.skip

M	po/POTFILES.in
M	po/POTFILES.skip

commit a8cfb02a87c3bd634152b9b944f41d186d582b3b
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:	2017-09-28

    Fix translation of plugins metainfo

    It's not translated because INTLTOOL_XML_NOMERGE_RULE is used, but the
    metainfo files require that the translations be merged into them. So
    switch to normal INTLTOOL_XML_RULE.

    Now, gedit-plugins was relying on INTLTOOL_XML_NOMERGE_RULE for its
    GSettings translation support. This is pointless as intltool has had
    GSettings support since 2012. Rely on it. This avoids the problem that
    you can't use both the merge rule and the nomerge rule in the same
    Makefile.am.

    gedit-plugins should really not be using intltool at all anymore. It's
    obsolete. Switching is not hard, but I'm not going to fix that today.

    https://bugzilla.gnome.org/show_bug.cgi?id=788134

M	configure.ac
M	plugins/Makefile.am
R065
plugins/drawspaces/org.gnome.gedit.plugins.drawspaces.gschema.xml.in.in
plugins/drawspaces/org.gnome.gedit.plugins.drawspaces.gschema.xml
M	plugins/terminal/Makefile.am
R074
plugins/terminal/org.gnome.gedit.plugins.terminal.gschema.xml.in.in
plugins/terminal/org.gnome.gedit.plugins.terminal.gschema.xml
R088	plugins/translate/org.gnome.gedit.plugins.translate.gschema.xml.in
plugins/translate/org.gnome.gedit.plugins.translate.gschema.xml
A
plugins/wordcompletion/org.gnome.gedit.plugins.wordcompletion.gschema.xml
D
plugins/wordcompletion/org.gnome.gedit.plugins.wordcompletion.gschema.xml.in.in

commit a5d24e00889d2a3c8df4141ea9c7121a56ad3d88
Author: Andre Klapper <a9016009@gmx.de>
Date:	2017-09-25

    Fix typo in Russian user docs translation

M	help/ru/ru.po

commit e8b2818b8b5647a0924bea2c55d8c81f4ae6016b
Author: Andre Klapper <a9016009@gmx.de>
Date:	2017-09-25

    Fix typo in Ukrainian user docs translation

M	help/uk/uk.po

commit 4a4344e02ebace05aa1bf649ae78cc6c1ec1267a
Author: Andre Klapper <a9016009@gmx.de>
Date:	2017-09-24

    th: Fix a markup typo

M	help/th/th.po

commit 6987d6c7bc937fad9f6f59630d3879d9371d6c9e
Author: Andre Klapper <a9016009@gmx.de>
Date:	2017-09-17

    help: External link must be href, not xref

M	help/C/legal-plugins.xml

commit 4023658d516a9ea52dbe02b9c259310aa36ee3cd
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:	2017-08-08

    help: Remove code-assistance.page

    https://bugzilla.gnome.org/show_bug.cgi?id=786027

D	help/C/code-assistance.page
M	help/Makefile.am

commit 1b4c9f7b2aaf109a37e76ce8fd5f935a78d254e8
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2017-09-10

    Update Italian translation

M	po/it.po

commit 6caf03590e78a4513368a8d9df100b5627c0bbe7
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2017-09-06

    Update German translation

M	po/de.po

commit b28462a88004f6eb48f69a6a4b82b0a69fcd7aa2
Author: Balázs Úr <urbalazs@gmail.com>
Date:	2017-09-03

    Update Hungarian translation

M	po/hu.po

commit 14f89f5916323882c3d26775649f4bbcc76cdebe
Author: Dušan Kazik <prescott66@gmail.com>
Date:	2017-09-02

    Update Slovak translation

M	po/sk.po

commit a3ac1199292b710c7a80933a7b58664198f8a341
Author: Josef Andersson <l10nl18nsweja@gmail.com>
Date:	2017-08-27

    Update Swedish translation

M	po/sv.po

commit 580d58fdd86b0979e846efd564b718e8bf3074e3
Author: Marek Cernocky <marek_cernocky@conel.cz>
Date:	2017-08-25

    Updated Czech translation

M	po/cs.po

commit e433e34e1f59fc28e6bce461a3870d4a4f1670d8
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:	2017-08-18

    Update Indonesian translation

M	po/id.po

commit cd709e94e54826d6a9702b469d9582612f82dc66
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2017-08-16

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 3a4c90b6256df188918c7fc53a8297d58ea705ec
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2017-08-15

    Update Polish translation

M	po/pl.po

commit 43f303100b76fd13daceb766a03c4a09c9953abe
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-08-14

    Update Catalan translation

M	po/ca.po

commit f9926e6caca2101dd9a68ba66d9140e712afd980
Merge: c6afc87 5d2bae8
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-08-14

    Support for Yandex translator

commit c6afc87e581b476b8bd21193540f22e17129c291
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2017-08-13

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 5d2bae88bd75cc1514a6bfaa703a5ec3b39577c8
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-08-08

    Small refactor

M	plugins/translate/translate/preferences.py

commit 5d829941d4206f2507e4ab62e7eb969a86a60963
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-08-08

    Show translation engine used

M	plugins/translate/translate.plugin.desktop.in.in
M	plugins/translate/translate/__init__.py

commit 71847d13b1be2f904d3fb489719938c0b888334b
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-08-06

    Used object

M	plugins/translate/translate/__init__.py

commit 8c39a61aa32c74029a7d44602488dddd8b9b2e07
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-08-06

    Small fix

M	plugins/translate/translate/preferences.py

commit db1b49c1251e321242679cabdffa1f2303625d27
Author: Paul Cutler <paul.r.cutler@gmail.com>
Date:	2017-08-06

    Bug 766127 - remove session-saver help page from documentation

    The session saver plugin is no longer included in the gedit-plugins
    as of commit
    https://git.gnome.org/browse/gedit-plugins/commit/?id=7abf46cf9c6e3f12798e813ffeac28e3594167f0

D	help/C/session-saver.page
M	help/Makefile.am

commit 0a3a046e8600d8e8dbf660371897b7d289cb3b57
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-08-05

    Small fixes

M	plugins/translate/translate/__init__.py
M	plugins/translate/translate/services/yandex.py

commit a954ad3e33facbf1d839ffde6b3de5c79a440407
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-08-04

    Yandex provider

M	plugins/translate/tests/testapertium.py
M	plugins/translate/translate/__init__.py
M	plugins/translate/translate/preferences.py
M	plugins/translate/translate/services/apertium.py
A	plugins/translate/translate/services/yandex.py

commit 3d5becb43d242766ec3c69d1ad9082f81eba730f
Author: George White <me@galexite.uk>
Date:	2017-08-04

    textsize: fix bug Ctrl + Scrollwheel (mouse wheel)

    The textsize plugin now tries to keep the currently central line
    in the
    middle.

    https://bugzilla.gnome.org/show_bug.cgi?id=760092

M	plugins/textsize/textsize/viewactivatable.py

commit 6f518309ab0ac146eef5477f71922c2c3498e14a
Author: Marek Cernocky <marek_cernocky@conel.cz>
Date:	2017-08-01

    Updated Czech translation

M	po/cs.po

commit bbeb795a53abcaec535b6cb167bb14ee9486611b
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2017-07-27

    Update Spanish translation

M	po/es.po

commit 8f804870a228ec878fc86701d3adb77160ee11bc
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-07-26

    get_remote_language_pairs UT

M	plugins/translate/tests/testapertium.py
M	plugins/translate/translate/services/apertium.py

commit 9d123e269e817389a70a8da345e4ba88d8dea925
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-07-24

    More UT

M	plugins/translate/tests/testapertium.py
M	plugins/translate/translate/services/apertium.py

commit 2a8ed840e9519678fc197a28879327e9dae739fe
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-07-24

    Fixes

M	plugins/translate/translate/services/service.py
M	plugins/translate/translate/services/services.py

commit cb054e9a23a1134ccc304fb14cd8adec70b10651
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-07-24

    Use callback for languages names

M	plugins/translate/org.gnome.gedit.plugins.translate.gschema.xml.in
M	plugins/translate/translate/__init__.py
M	plugins/translate/translate/preferences.py

commit c65f3a36fadbf43ab8822fc0d4945a701d684d38
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2017-07-24

    Update German translation

M	po/de.po

commit efabfc01242843f34fd74a017a67d979f7f72ab3
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-07-23

    Use settings

M	plugins/translate/Makefile.am
M	plugins/translate/translate/__init__.py
M	plugins/translate/translate/preferences.py
M	plugins/translate/translate/services/service.py
A	plugins/translate/translate/settings.py

commit 6913632f3d869904f92c000a4c5c4a03f55fb968
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-07-22

    Yandex fixes

M	plugins/translate/tests/testapertium.py
C065	plugins/translate/tests/testapertium.py
plugins/translate/tests/testyandex.py
M	plugins/translate/translate/__init__.py
M	plugins/translate/translate/preferences.py
M	plugins/translate/translate/services/apertium.py
M	plugins/translate/translate/services/service.py

commit fabbc094fb89d4b2fd828f0aeeb968effd0b5ba9
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:	2017-07-22

    Update Indonesian translation

M	po/id.po

commit 2d533453e9c7859fa42471f6ef851c7910e05239
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-07-21

    Fixes

M	plugins/translate/translate/preferences.py
M	plugins/translate/translate/services/services.py

commit 04ddd6e1c6506dfb351d45f72e998e82f7284002
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-07-20

    Allow configuration different services

M	plugins/translate/Makefile.am
M	plugins/translate/org.gnome.gedit.plugins.translate.gschema.xml.in
M	plugins/translate/tests/testapertium.py
M	plugins/translate/translate/__init__.py
M	plugins/translate/translate/preferences.py
R096	plugins/translate/translate/backends/apertium.py
plugins/translate/translate/services/apertium.py
C075	plugins/translate/translate/backends/translator.py
plugins/translate/translate/services/service.py
R062	plugins/translate/translate/backends/translator.py
plugins/translate/translate/services/services.py
M	plugins/translate/translate/ui/preferences.ui

commit 8221714b11a678130d179ce10efb12f62c2aecd3
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-07-18

    Update Catalan translation

M	po/ca.po

commit 037012610eb54eef094ff49b1213f5386b9ba68b
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-07-18

    Fixes Bugzilla issue #784920

M	plugins/gpdefs.py.in

commit cbdfbdbe9cae591a8a587f24097912b8c62867b5
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-07-17

    Translator

A	plugins/translate/translate/backends/translator.py

commit 88bc3e4a59592e0d5403d44a6024dfc03ae6a703
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-07-17

    UT

M	plugins/translate/Makefile.am
A	plugins/translate/run-tests.sh
A	plugins/translate/tests/testapertium.py
M	plugins/translate/translate/__init__.py
R099	plugins/translate/translate/apertium.py
plugins/translate/translate/backends/apertium.py

commit cd2a6f37df0231c6a654f7913e0e915b76551a14
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2017-07-16

    Update Polish translation

M	po/pl.po

commit 334f925d00c3cef439dbe6aa3445c433ddb52e23
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-07-15

    UI improvements

M	plugins/translate/Makefile.am
M	plugins/translate/translate/apertium.py
M	plugins/translate/translate/ui/preferences.ui

commit 5dff08339e2d49fc3458c0854b8dc81125c1a0e0
Merge: a66c714 fd80931
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-07-15

    Merge branch 'master' into translate

commit fd80931530fd47c74c66fe015b4754f63e9ae2da
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-07-13

    Set translation domain

M	plugins/translate/translate/preferences.py

commit 0e64df490ad9de676963d8cd60a1c4a26b6a0f79
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-07-13

    Fix UI element name

M	plugins/translate/translate/ui/preferences.ui

commit a66c71420055746a32775a48505b9dcc0d16a77c
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-07-13

    Set translation domain

M	plugins/translate/translate/preferences.py

commit 61cb3e2cc28fa07b97787e80c39a8965930a82ea
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-07-13

    Fix UI element name

M	plugins/translate/translate/ui/preferences.ui

commit d06790867dda042b734a839eb3f8905ade63fd2a
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-07-13

    Update Catalan translation

M	po/ca.po

commit fb825da3f62e01863f04ea2d549d1e74469ac157
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-07-12

    Apertium's translate gedit's plugin

M	configure.ac
M	plugins/Makefile.am
A	plugins/translate/Makefile.am
A	plugins/translate/gedit-translate.metainfo.xml.in
A	plugins/translate/org.gnome.gedit.plugins.translate.gschema.xml.in
A	plugins/translate/translate.plugin.desktop.in.in
A	plugins/translate/translate/__init__.py
A	plugins/translate/translate/apertium.py
A	plugins/translate/translate/preferences.py
A	plugins/translate/translate/translateview.py
A	plugins/translate/translate/ui/preferences.ui
M	po/POTFILES.in

commit fb7d2f4084cee5245ba1970f0f84dd5a00206865
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-07-12

    With no python

M	plugins/translate/Makefile.am

commit 9a1f04ad7b712106bf4b30bdea4fdadd8ad3cb38
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-07-12

    Fix window name + string localizable

M	plugins/translate/translate/__init__.py

commit 13d626fdf4136490d014c4e987b435389bf00299
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-07-12

    Fix default value

M	plugins/translate/org.gnome.gedit.plugins.translate.gschema.xml.in

commit 02b46c62ae9dc4bd1ec4b79f72855cc2bf634c40
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-07-12

    Add metainfo file

A	plugins/translate/gedit-translate.metainfo.xml.in

commit ad65b3519c711ab6a1dd24f52e7269e98e384e93
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-07-12

    Fix POfile

M	po/POTFILES.in

commit b7ae3551578695a0ac60319999ac09fc4db4df32
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-07-12

    Initial version

M	configure.ac
M	plugins/Makefile.am
A	plugins/translate/Makefile.am
A	plugins/translate/org.gnome.gedit.plugins.translate.gschema.xml.in
A	plugins/translate/translate.plugin.desktop.in.in
A	plugins/translate/translate/__init__.py
A	plugins/translate/translate/apertium.py
A	plugins/translate/translate/preferences.py
A	plugins/translate/translate/translateview.py
A	plugins/translate/translate/ui/preferences.ui
M	po/POTFILES.in

commit 81115419930e9fa11aa855815c2f6deb07267141
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-06-10

    Update Catalan translation

M	po/ca.po

commit d436a11031a83a220a76b4fe47c2b40398263aac
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2017-05-13

    Fix tags in German help translation

    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=780377

M	help/de/de.po

commit 4718b06066dd8f736d9f22a5c9f0fdaaa18fc32d
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	2017-05-09

    Add Friulian translation

M	po/LINGUAS
A	po/fur.po

commit 35c8240d3950e46b9ff3faf32c3186355a3a98ca
Author: Stas Solovey <whats_up@tut.by>
Date:	2017-04-27

    Update Russian translation

M	po/ru.po

commit 2bc8148bcad793d1a318bb087e8aeb78af67c3ed
Author: gogo <trebelnik2@gmail.com>
Date:	2017-04-15

    Update Croatian translation

M	po/hr.po

commit 2b538e0b5b0eb69e228f3a0e053ddf06abc70dea
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	2017-03-12

    Update Kazakh translation

M	po/kk.po

commit c12096459c2638b72a4f1a9fd5e245a889fb6417
Author: Alan Mortensen <alanmortensen.am@gmail.com>
Date:	2016-11-16

    Updated Danish translation

M	po/da.po

commit 59e2143551e2c22ec4fc29df56ec5f9bbf7da4a7
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	2016-10-16

    Update Occitan translation

M	po/oc.po

commit 27b33005d484b5724d9e8e69a7ef00af4bf118a0
Author: Claude Paroz <claude@2xlibre.net>
Date:	2016-10-13

    Updated French translation

M	po/fr.po

commit 9158e8fd4474b6b415379e525b5e04593d686daa
Author: gogo <trebelnik2@gmail.com>
Date:	2016-10-12

    Update Croatian translation

M	po/hr.po

commit 40c2a8032764da79f39853f7417fd0a74572b8f0
Author: Jordi Mas <jmas@softcatala.org>
Date:	2016-10-12

    Fixes to Catalan translation

M	po/ca.po

commit adf8200798980706e87b1b5ad5780ecb4f0bafc6
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2016-10-05

    drawspaces: remove dead code

M	plugins/drawspaces/gedit-drawspaces-app-activatable.c

commit 19bfe94e46b03b94271b58d0287b3def4ab6f941 (tag: 3.22.0)
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2016-09-18

    Release 3.22.0

M	NEWS
M	README
M	configure.ac

commit 84918685c4314ab1b3008031759d1c61f9fca299
Author: Jordi Mas <jmas@softcatala.org>
Date:	2016-09-17

    Update Catalan translation

M	po/ca.po

commit 3b8e44ae31e96f295c60044e0c4b899c08092c8e
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2016-09-13

    Updated Spanish translation

M	po/es.po

commit d525544408c9d4715dc4b15bda05be6b8d887b5f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2016-09-08

    Updated Polish translation

M	po/pl.po

commit 3571d72110be21db601cf285cc5102c501ba50a1
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2016-08-19

    Updated Polish translation

M	po/pl.po

commit d0f4250e4dd8ba89db341309b28c85c6ebe5fb6e
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2016-08-11

    synctex: suggests evince in the metainfo

    https://blogs.gnome.org/hughsie/2016/08/11/adding-suggestions-to-appdata-files/

M	plugins/synctex/gedit-synctex.metainfo.xml.in

commit 2b5e46b13f8a059dd386533823b850d79c7e75c4
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2016-07-16

    Add Language headers to po files

    Future versions of gettext will fail if this header is missing.

M	po/af.po
M	po/am.po
M	po/as.po
M	po/az.po
M	po/be.po
M	po/be@latin.po
M	po/bg.po
M	po/bn.po
M	po/bn_IN.po
M	po/br.po
M	po/ca@valencia.po
M	po/crh.po
M	po/cy.po
M	po/da.po
M	po/de.po
M	po/dz.po
M	po/en@shaw.po
M	po/en_CA.po
M	po/eo.po
M	po/es.po
M	po/et.po
M	po/fa.po
M	po/fr.po
M	po/ga.po
M	po/gu.po
M	po/hi.po
M	po/hr.po
M	po/hy.po
M	po/is.po
M	po/ka.po
M	po/kk.po
M	po/kn.po
M	po/ko.po
M	po/ku.po
M	po/la.po
M	po/mai.po
M	po/mg.po
M	po/mi.po
M	po/mk.po
M	po/ml.po
M	po/mn.po
M	po/mr.po
M	po/ms.po
M	po/nds.po
M	po/ne.po
M	po/nl.po
M	po/nn.po
M	po/oc.po
M	po/or.po
M	po/pa.po
M	po/ps.po
M	po/rw.po
M	po/si.po
M	po/sl.po
M	po/sq.po
M	po/sr@latin.po
M	po/ta.po
M	po/te.po
M	po/tk.po
M	po/uk.po
M	po/vi.po
M	po/wa.po
M	po/xh.po
M	po/zh_HK.po

commit e7bcc72c671d2fca1fe4d94efe09c0e1d508e850
Author: Andika Triwidada <atriwidada@gnome.org>
Date:	2016-07-03

    Updated Indonesian translation
    (cherry picked from commit 7f3901840504eb85c18f1df0d441f6b8b286bea0)

M	po/id.po

commit f510b0fd8b1879c0a43c2c6c61d25f80ede81754
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2016-06-25

    word-completion: #include only the main header of GtkSourceView

    The word completion provider of GtkSourceView is now #included in
    gtksource.h.

M	configure.ac
M	plugins/wordcompletion/gedit-word-completion-plugin.c

commit 1a93e532e42869b946c44f037557020e61e5ec15
Author: Josef Andersson <josef.andersson@gmail.com>
Date:	2016-05-08

    Updated Swedish translation

M	help/sv/sv.po

commit f34cfaeb813da6d4fcf39181605cce3fae5e3c83
Author: Yating Kuang <yatingkuang@ubuntukylin.com>
Date:	2016-04-09

    update zh_CN translation

M	po/zh_CN.po

commit e4d356f3cfe0ecd7ecffdf16caf9f8c5916a1e34
Author: Josef Andersson <josef.andersson@gmail.com>
Date:	2016-04-05

    Updated Swedish translation

M	po/sv.po

commit 561c5953914fd5771f33db8aa581488a791b0e86 (tag: 3.20.0)
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2016-03-20

    Release 3.20.0

M	NEWS
M	README
M	configure.ac

commit c017d0382bd1620f43723f5fa4970fb0072db8f2
Author: Tom Tryfonidis <tomtryf@gnome.org>
Date:	2016-03-12

    Updated Greek translation

M	help/el/el.po

commit 4448cd3cf57390c5217dea57d347bb2b6f1c2920
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	2016-03-05

    Update Latvian translation

M	po/lv.po

commit 7baf6638b1222d1641a7d9c839f32abdf911cd6d
Author: Josef Andersson <josef.andersson@gmail.com>
Date:	2016-03-02

    Updated Swedish translation

M	po/sv.po

commit b9fb27bbb1b86863397410627cd24fcfb8278069
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2016-02-04

    Updated German doc translation

M	help/de/de.po

commit cf89758d75677cc6f0d62c2d9580101f5dfecdbe
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2016-02-04

    Updated German doc translation

M	help/de/de.po

commit 5e317a6ad5df52d1b6303bf3c8b5480e1f586c12
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2016-01-23

    Updated Lithuaniant translation

M	po/lt.po

commit acd9ec5004501c1166fcdd4ddb7cdd7a2f7096db
Author: Akom Chotiphantawanon <knight2000@gmail.com>
Date:	2016-01-04

    Updated Thai translation.

M	po/th.po

commit 6c935b68c238f2966adf6b980da1b377671288fa
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2016-01-02

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 76c1cb1d213b4ca1f0a1a715e22be8a59aedd835
Author: Jacek Pliszka <Jacek.Pliszka@hp.com>
Date:	2015-12-05

    Corrections from code review
    https://bugzilla.gnome.org/show_bug.cgi?id=706455

M	plugins/git/git/viewactivatable.py

commit 36cf3f55807ff9ef3eb3e64da2323939a43c7aae
Author: Jacek Pliszka <Jacek.Pliszka@hp.com>
Date:	2015-11-21

    Two small bugfixes: real paths and gui.encoding are now used Now
    paths are normalized and replaced by real paths so symlinks are
    resolved and should work now. Also gui.encoding is now taken into
    account so set it in .git/config if you work with non-UTF8 files.

    https://bugzilla.gnome.org/show_bug.cgi?id=706455

M	plugins/git/git/viewactivatable.py

commit c8bf022c182d11fb03598797e1c99d45080bfd78
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2015-10-30

    Add CONTRIBUTING.md file for the GitHub mirror

    As suggested on the desktop-devel-list in May 2015.

A	CONTRIBUTING.md

commit b820ea080ef18c7416eea08d01435073c45721c6
Author: LemonBoy <thatlemon@gmail.com>
Date:	2015-10-10

    findinfiles: don't use {add,remove}_accelerator() (deprecated)

    https://bugzilla.gnome.org/show_bug.cgi?id=756348

M	plugins/findinfiles/plugin.vala

commit 89b9e99246bf996b835333f68a4f325de9ff8f3d
Author: Wolfgang Stöggl <c72578@yahoo.de>
Date:	2015-10-09

    Updated German translation

M	po/de.po

commit c8c82db5e851d138d9a1526c487ae19c0abf7d80
Author: Rafael Fontenelle <rffontenelle@gmail.com>
Date:	2015-10-05

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 3adac0bc3ecbccf4e0a9a97e8809d4cdef1f413f
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:	2015-10-05

    Updated Finnish translation

M	po/fi.po

commit 9e71a7ff3214aaca2b7b9abe1555d7ccd0546f8e
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2015-10-01

    codecomment: Prefer block comments for C header files

M	plugins/codecomment/codecomment.py

commit 8760da62fb57ae9529c226f88f7ef18fd650497d (tag: 3.18.0,
origin/gnome-3-18)
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2015-09-21

    Release 3.18.0

M	NEWS
M	README
M	configure.ac

commit a946af14bffc69cea8f3f0c5acdac6ea807ad861 (tag: 3.17.1)
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2015-09-14

    Release 3.17.1

M	NEWS
M	README
M	configure.ac

commit f45e1b842461e656e0ed9a28011cff1cdda99294
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:	2015-09-11

    Updated Portuguese translation

M	po/pt.po

commit 4db8c9c9288b00d92992539d4ab404e83667d5df
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2015-09-09

    Updated Lithuanian translation

M	po/lt.po

commit dad815b9363db952f67167a40dbf7fbe996bbceb
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-09-08

    Remove po/sr@Latn.po, update LINGUAS

    po/sr@latin.po is the correct, and much more complete, translation.

M	po/LINGUAS
D	po/sr@Latn.po

commit f212c86c8c93c2765aec10dbc46eec3f4a14516a
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2015-09-08

    Updated Korean translation

M	po/ko.po

commit 61fa51f24d2651039d32c7676b6e718e97b58d53
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2015-09-02

    Updated Italian translation

M	po/it.po

commit 2fd480cf2f9161c0ccfb4daa9f124af60ef81b04
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:	2015-09-02

    Updated Hungarian translation

M	help/hu/hu.po

commit 3535219ef7ccc5c398dc64f320ccb2665a563f6c
Author: Necdet Yücel <necdetyucel@gmail.com>
Date:	2015-09-01

    Updated Turkish translation

M	po/tr.po

commit e290eecb5971c33a4eb0fb469a9cbf55d821649f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-09-01

    Updated Polish translation

M	po/pl.po

commit 99919344491ec785d8751d50d95532002ee580b8
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2015-08-29

    More gi require

M	plugins/bracketcompletion/bracketcompletion.py

commit ea2f115efdbcaef60bec58836a979790de7cb1aa
Author: Matěj Cepl <mcepl@cepl.eu>
Date:	2015-06-27

    Fix vi modelines

    Modeline

       # vi:ex:ts=4:et

    is wrong. It should either with vi: or ex:, but not both.

    https://bugzilla.gnome.org/show_bug.cgi?id=754083

M	plugins/commander/commander/__init__.py
M	plugins/commander/commander/appactivatable.py
M	plugins/commander/commander/commands/__init__.py
M	plugins/commander/commander/commands/accel_group.py
M	plugins/commander/commander/commands/completion.py
M	plugins/commander/commander/commands/exceptions.py
M	plugins/commander/commander/commands/method.py
M	plugins/commander/commander/commands/module.py
M	plugins/commander/commander/commands/result.py
M	plugins/commander/commander/commands/rollbackimporter.py
M	plugins/commander/commander/entry.py
M	plugins/commander/commander/history.py
M	plugins/commander/commander/info.py
M	plugins/commander/commander/modules.py
M	plugins/commander/commander/utils.py
M	plugins/commander/commander/windowactivatable.py
M	plugins/commander/modules/align.py
M	plugins/commander/modules/bookmark.py
M	plugins/commander/modules/doc.py
M	plugins/commander/modules/edit.py
M	plugins/commander/modules/find/__init__.py
M	plugins/commander/modules/find/finder.py
M	plugins/commander/modules/find/regex.py
M	plugins/commander/modules/format.py
M	plugins/commander/modules/goto.py
M	plugins/commander/modules/help.py
M	plugins/commander/modules/move.py
M	plugins/commander/modules/reload.py
M	plugins/commander/modules/set.py
M	plugins/commander/modules/shell.py

commit cdda46ca98b3634626c3b65e626dc2ff6c8bcbe4
Author: Matěj Cepl <mcepl@cepl.eu>
Date:	2015-07-04

    Make class textsize.signals.Signals into new style class for python2.

    Otherwise python2 complains when this plugin is loaded:

    /usr/lib64/python2.7/site-packages/gi/types.py:282:
    RuntimeWarning: Mixin class textsize.signals.Signals
    is an old style class, please update this to derive from "object".

    https://bugzilla.gnome.org/show_bug.cgi?id=751935

M	plugins/textsize/textsize/signals.py

commit 69818fd9d5ebb63f72bbc6c8fb1057405d1fb249
Author: Matěj Cepl <mcepl@cepl.eu>
Date:	2015-08-17

    Make class textsize.signals.Signals into new style class for python2.

    https://bugzilla.gnome.org/show_bug.cgi?id=753725

M	plugins/multiedit/multiedit/signals.py

commit 0ede28a23719036f10e5e2cae0b355b06d5a5975
Author: Dušan Kazik <prescott66@gmail.com>
Date:	2015-08-20

    Updated Slovak translation

M	po/sk.po

commit 838a6313d5be3fab109a356c71c395bb96f92e19
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2015-08-17

    More gi.require_version

M	plugins/charmap/charmap/__init__.py
M	plugins/synctex/synctex/__init__.py

commit 908ff5b1c8482993cdf15115b7dbeea4ceda835f
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2015-08-17

    Move the gi.required_version in the __init__ files where possible

M	plugins/colorschemer/schemer/__init__.py
M	plugins/commander/commander/__init__.py
M	plugins/commander/commander/appactivatable.py
M	plugins/dashboard/dashboard/__init__.py
M	plugins/git/git/__init__.py
M	plugins/git/git/appactivatable.py
M	plugins/multiedit/multiedit/__init__.py
M	plugins/multiedit/multiedit/viewactivatable.py
M	plugins/terminal/terminal.py

commit 53bb37704cb4d492ff7b89ae69fdc9b66d4f446a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-08-14

    textsize: add requires

M	plugins/textsize/textsize/__init__.py

commit 2477ff35235fdc5be13de87257bcab9434155168
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2015-08-11

    Updated Spanish translation

M	help/es/es.po

commit 741952f0986d5c1bdf8a11f06144010613fe34d2
Author: Steve Dodier-Lazaro <sidnioulz@gmail.com>
Date:	2015-07-31

    zeitgeist: fix use-after-free of a GPtrArray

    The Zeitgeist plugin creates a GPtrArray to give to libzeitgeist when
    registering a Zeitgeist datasource. libzeitgeist internally sinks this
    reference, but the plugin assumes the GPtrArray to still be available
    and later attempts to unref it.

    https://bugzilla.gnome.org/show_bug.cgi?id=752824

M	plugins/zeitgeist/gedit-zeitgeist-plugin.c

commit b2d4e0313ee68c7447df0a01c3b211e2b1f4f56f
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2015-07-20

    build: don't define GDK_VERSION_MIN_REQUIRED

    It silenced all new deprecation warnings (for functions deprecated
    after
    the 3.8 version).

    Instead of updating the value of the macro, remove it altogether so in
    the future we'll get the new deprecation warnings.

M	configure.ac

commit 5439c61f1afae5d8373367785c560968bfd6a201
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2015-07-19

    Updated Hebrew translation

M	po/he.po

commit 382a196b177f87c0c1d356a7fa18ec3cefb43d25
Author: Matěj Cepl <mcepl@cepl.eu>
Date:	2015-07-01

    Use new FSF address in GPL notices.

M	plugins/git/git/__init__.py
M	plugins/git/git/appactivatable.py
M	plugins/git/git/debug.py
M	plugins/git/git/diffrenderer.py
M	plugins/git/git/viewactivatable.py
M	plugins/git/git/windowactivatable.py
M	plugins/git/git/workerthread.py

commit 5e44fea8d5b3db31e4c066056bc15da13bb536a8
Author: Sébastien Lafargue <slafargue@gnome.org>
Date:	2015-06-30

    plugins: quiet some PyGI warnings

    because of some warning about module's requirements, we need
    to add some version information before loading modules.

    ( see https://bugzilla.gnome.org/show_bug.cgi?id=727379 )

M	plugins/charmap/charmap/__init__.py
M	plugins/codecomment/codecomment.py
M	plugins/colorpicker/colorpicker.py
M	plugins/colorschemer/schemer/__init__.py
M	plugins/commander/commander/appactivatable.py
M	plugins/dashboard/dashboard/__init__.py
M	plugins/git/git/appactivatable.py
M	plugins/multiedit/multiedit/viewactivatable.py

commit 6b7257fd2da72fd6aa8653a36b7d58562b201221
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:	2015-06-30

    Updated Greek translation

M	po/el.po

commit 1f83d387944363f32b57353dd5d92fa13573df6b
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2015-06-14

    Port to gtk_source_file_is_local()

    gedit_document_is_local() is now deprecated.

M	configure.ac
M	plugins/commander/modules/edit.py
M	plugins/commander/modules/shell.py

commit 99ad65554cde2daac6ab9e4758ebbc746e076470
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2015-06-09

    Updated Spanish translation

M	po/es.po

commit b7871d8180edd5bfe428ea853bf7115f75a8aac3
Author: Germán Poo-Caamaño <gpoo@gnome.org>
Date:	2015-05-29

    synctex: use regex to support AucTex declaration for master files

    When editing LaTeX files, the plugin looks for '% mainfile:' keyword
    in the text.  However, when the files are shared with emacs users,
    this become duplicated information because AucTex supports
    '%%% TeX-master: "filename"'.

    This patch allows to use either way. It is also lenient with spaces
    and number of percentage symbol.

M	plugins/synctex/synctex/synctex.py

commit 6b11b798708e7d40437128c21a141f5e470ce8f5
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2015-05-19

    git: Fix bug when file is not in git

    A node is only inserted when a git repo
    could be found.

M	plugins/git/git/windowactivatable.py

commit 2567141ecf4c9fec34ca258be07acb7af88c6f6a
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2015-05-18

    git: Fix error when the file in git is empty

M	plugins/git/git/viewactivatable.py

commit cc19d0c21578294302162358da7c26620b067ab7
Author: Marek Černocký <marek@manet.cz>
Date:	2015-05-11

    Updated Czech translation

M	help/cs/cs.po

commit c8b186687e1d0ebd7018d56b76b9bafbbe15b6b9
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	2015-05-09

    Fix typos in documentation

    https://bugzilla.gnome.org/show_bug.cgi?id=749144

M	help/C/character-map.page
M	help/C/text-size.page

commit 1df215ecc0072cba50fdcf3a0461d11d2b3c4cc2
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:	2015-05-09

    Updated Hungarian translation

M	po/hu.po

commit 6d7b4ae5d95d70866117e51ddb3576a55a2af4e7
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2015-05-06

    Update Arabic translation

M	po/ar.po

commit 2d66308a03d96977445081652b837a0dc8d1f35a (tag: 3.17.0)
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2015-04-29

    Release 3.17.0

M	NEWS
M	README
M	configure.ac

commit f294148cd747d0abacfe6b6d9ee7ed7df16679c8
Author: Marek Černocký <marek@manet.cz>
Date:	2015-04-23

    Updated Czech translation

M	po/cs.po

commit da911c812a495f9b4a0ce87d65da06f0f0999c70
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2015-04-22

    Move more code to the ui file

M	plugins/findinfiles/dialog.ui
M	plugins/findinfiles/dialog.vala

commit 5312491191dd5b794d359dea850e32a29a21ed37
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2015-04-22

    Fix build

M	plugins/findinfiles/dialog.vala
M	plugins/findinfiles/result-panel.vala

commit 389d9dde374f84301f4bd323a570548f792dc61c
Author: Jordi Mas <jmas@softcatala.org>
Date:	2015-04-20

    Fixes to Catalan translation

M	po/ca.po

commit fa26b7ad2887054126369c203750badf5198c07c
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-04-19

    Updated Polish translation

M	po/pl.po

commit ecb825d3a0ea2644162b2d5a65e465434c3cfcb5
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-04-19

    Use proper ellipsis in translatable strings

M	plugins/colorpicker/colorpicker.py
M	plugins/dashboard/dashboard/dashboard.py
M	plugins/findinfiles/plugin.vala
M	plugins/multiedit/multiedit/viewactivatable.py

commit 52af2d89aa76cc9f5f2f08625f85dfad3a78f980
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-04-19

    Mark strings as translatable

    I hope it's correct.

M	plugins/findinfiles/dialog.vala
M	plugins/findinfiles/result-panel.vala

commit 1c2c2af8648acc773837599b1eb8f12fc0dcc73c
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-04-18

    Remove translability from Authors field

M	plugins/findinfiles/findinfiles.plugin.desktop.in.in

commit b93aaed962ed42a7d896191add5f9b8bd2daa4df
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2015-04-18

    Add "Find In Files" plugin

    The plugin was contributed by "The Lemone Man <thatlemon@gmail.com>"

M	configure.ac
M	plugins/Makefile.am
A	plugins/config.vapi
A	plugins/findinfiles/Makefile.am
A	plugins/findinfiles/dialog.ui
A	plugins/findinfiles/dialog.vala
A	plugins/findinfiles/findinfiles.gresource.xml
A	plugins/findinfiles/findinfiles.plugin.desktop.in.in
A	plugins/findinfiles/gedit-findinfiles.metainfo.xml.in
A	plugins/findinfiles/job.vala
A	plugins/findinfiles/matcher.vala
A	plugins/findinfiles/plugin.vala
A	plugins/findinfiles/result-panel.vala
M	po/POTFILES.in
M	po/POTFILES.skip

commit e094134b0f4c8d0840174f04e6456bb52d6e1ee3
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2015-04-18

    Tidy up configure.ac

M	configure.ac

commit 02205de9ad5d590e4134cd77db3274ff3e3da45a
Author: Akom Chotiphantawanon <knight2000@gmail.com>
Date:	2015-03-27

    Updated Thai translation

M	po/th.po

commit c0d2f4b861d861ddf74d497835a755f3090e642a
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2015-03-26

    Updated Italian translation

M	po/it.po

commit 9d0920f8a2bc1015f07a6974d1fddf4d6ba2bf77 (tag: 3.16.0)
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2015-03-24

    Release 3.16.0

M	NEWS
M	README
M	configure.ac

commit 980bb96e9e34bc48f8d01d083b10c7e3ee5715e4
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2015-03-23

    Remove --with-plugins from the README

    We do not support fine grained build selection anymore

M	README

commit f88e0523a7a5a8a06cb891085fb858d2322569a1
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2015-03-23

    Add a way to disable zeitgeist

M	configure.ac

commit 8d090d0d3047aca9004d9f8db6789a9f01587659
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2015-03-15

    Updated Lithuanian translation

M	po/lt.po

commit 2af3e0f4a8385e390be84c9367db78cfb8af9d6f
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2015-03-14

    Fix NEWS version to specify 3.15.1

M	NEWS

commit 933e2053cefc25b6b350f58d181fec3968c85044 (tag: 3.15.1)
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2015-03-14

    Release 3.15.1

M	NEWS
M	README
M	configure.ac

commit 653291bfdc6d38333e61813ebcabb3a7caebb633
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-03-14

    dashboard: use SignalFlags.RUN_FIRST instead of deprecated
    SIGNAL_RUN_FIRST

M	plugins/dashboard/dashboard/dashboard.py

commit b34a3837f1bc0b96f3b062b6b4b8853286e89619
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-03-14

    synctex: use Property instead of deprecated property

M	plugins/synctex/synctex/synctex.py

commit 46a52e6e35526a0de8dd408afdbf5599930a0532
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-03-14

    smartspaces: use Property instead of deprecated property

M	plugins/smartspaces/smartspaces.py

commit a88b59a1079ad3c4a4ea466eb91ab3a8cf19ca0d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-03-14

    dashboard: use Property instead of deprecated property

M	plugins/dashboard/dashboard/__init__.py

commit a668837b626fd3cfeeb3de7cae95c21312a04a9e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-03-14

    charmap: use Property instead of deprecated property

M	plugins/charmap/charmap/__init__.py

commit fe885e1e997fb9867269ae6ad5bd65ad253875b8
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-03-14

    bracketcompletion: use Property instead of deprecated property

M	plugins/bracketcompletion/bracketcompletion.py

commit a201a186492de8fc3e7cdf183702f1090ddfa13c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-03-14

    multiedit: use Property instead of deprecated property

M	plugins/multiedit/multiedit/appactivatable.py
M	plugins/multiedit/multiedit/viewactivatable.py
M	plugins/multiedit/multiedit/windowactivatable.py

commit defe9c19823f6d954e6f1555359464ac7a50105f
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-03-14

    colorpicker: use Property instead of deprecated property

M	plugins/colorpicker/colorpicker.py

commit 4bbf69aec2bbceaef8ca493e3e800c51494f57f1
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-03-14

    joinlines: use Property instead of property

M	plugins/joinlines/joinlines.py

commit cf5d338eb73d0d017215808b1e4343fe6a8e6333
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-03-14

    codecomment: missed another property

M	plugins/codecomment/codecomment.py

commit 5d551ae87e0001b1c2cac93f804270aaaf9772b9
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-03-14

    textsize: use Property instead of deprecated property

M	plugins/textsize/textsize/__init__.py
M	plugins/textsize/textsize/viewactivatable.py

commit 99c83b2d92af86daa07fc96a8d7455021e620eaf
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-03-14

    schemer: use Property instead of deprecated property

M	plugins/colorschemer/schemer/__init__.py

commit 1d97adb74781798c3835743bc5dde0b58d54d013
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-03-14

    codecomment: use Property instead of deprecated property

M	plugins/codecomment/codecomment.py

commit bd5a5945a9fe1ac6828f7fa303a7ab5892a2f839
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-03-14

    git: use Property instead of deprecated property

M	plugins/git/git/appactivatable.py
M	plugins/git/git/viewactivatable.py
M	plugins/git/git/windowactivatable.py

commit 4d671a10c77c0fcdd2dc1f250ffea90e9cea2764
Author: Samir Ribic <samir.ribic@etf.unsa.ba>
Date:	2015-03-13

    Updated Bosnian translation

M	po/bs.po

commit 84ff72bf496b756b3d26aec64f8da3d1a2cafd37
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2015-03-13

    Use gtksourcebuffer join_lines implementation

M	plugins/joinlines/joinlines.py

commit 66ab5ba574d3c055f857d8c0213f322247d08fe3
Author: Sebastien Lafargue <slafargue@gnome.org>
Date:	2015-03-13

    fix deprecated prperties

M	plugins/commander/commander/appactivatable.py
M	plugins/commander/commander/windowactivatable.py
M	plugins/terminal/terminal.py

commit d46aeed723018b61d7f6c87044f835440111fca9
Author: Dušan Kazik <prescott66@gmail.com>
Date:	2015-03-10

    Updated Slovak translation

M	po/sk.po

commit b8b55e74133fda79895f8e763b9e09044d9affad
Author: Josef Andersson <josef.andersson@gmail.com>
Date:	2015-03-08

    Updated Swedish translation

M	help/sv/sv.po

commit e30aca51865861ea64771c2cc406bfcc25ba563f
Author: Sebastien Lafargue <slafargue@gnome.org>
Date:	2015-03-06

    commander: fixes for menu entry and objects lifetime

    When checking and unchecking the entry menu, the entry widget is not
    updated correctly.

    Also, when unchecking, the entry is destroyed instead of hidden,
    so that we can't re-use the history.

M	plugins/commander/commander/entry.py
M	plugins/commander/commander/windowactivatable.py

commit fb89156b621c568258e160b1e920325027c85996
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:	2015-02-28

    Updated Chinese (Taiwan) translation

M	po/zh_TW.po

commit 995c7ddc2d4bbdca4bad9edd8b0939a8c1ed1442
Author: Maria  Mavridou <mavridou@gmail.com>
Date:	2015-02-21

    Updated Greek translation

M	help/el/el.po

commit 9b444a427105117ed2ed1d65db52230720144673 (tag: 3.15.0)
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2015-02-18

    Release 3.15.0

M	NEWS
M	README
M	configure.ac

commit f0b9ad3bbdf216bbb88e430a0e3c1efb4aca5307
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2015-02-18

    git: Remove workaround for broken file browser

    The file browser's "deleted" signal has now been fixed.

    https://bugzilla.gnome.org/show_bug.cgi?id=726618

M	plugins/git/git/windowactivatable.py

commit a63ffc7619dc2a0238c47635d52ed0bdaad69225
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2015-02-14

    git: Remove use of __gtype__

    PyGObject will automatically convert the Python
    type into the GType.

M	plugins/git/git/appactivatable.py
M	plugins/git/git/viewactivatable.py

commit c445898a48566a4ec480df067912e8ac50c61c47
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2015-02-14

    git: Ignore closed files that are not in the file browser

    We only need to update the git status if the
    file is in the file browser.

M	plugins/git/git/windowactivatable.py

commit 62ffd89f38d10970d5b4ee1ce115658627b0aa72
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2015-02-14

    git: Be more verbose in the debug messages

M	plugins/git/git/workerthread.py

commit 414bf147640282b437e3ab7ef67da8dba1ebd8cd
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2015-02-14

    git: Fix debug message path

    We were using the full path and not the computed
    short path.

M	plugins/git/git/debug.py

commit 92cc02194eadf6d3e8f4b50a2c0d355025c803e1
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2015-02-07

    Updated Basque language

M	po/eu.po

commit 5f8e8f7815a61315ca458c9e5455337ea4dfba42
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2015-02-07

    Updated Basque language

M	po/eu.po

commit 59cfed955d84f774e4305c10e0f549fe7164b5d1
Author: Robert Roth <robert.roth.off@gmail.com>
Date:	2015-01-02

    Replace deprecated gtk-file with text-generic icon

    https://bugzilla.gnome.org/show_bug.cgi?id=742216

M	plugins/dashboard/dashboard/utils.py

commit 7347efde552a861dcbc11cd5803b5e1a4d01a25e
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2014-12-15

    Revert "synctex: move update after save to an idle"

    This reverts commit b279c0f7d8df4abb716cd0ef2ccac8ba3cee0b6a.

    It has been fixed in gedit:
    https://git.gnome.org/browse/gedit/commit/?id=a37936ed5abc42d3e6199380202a6eef009cb57b

M	plugins/synctex/synctex/synctex.py

commit e77ac41f95ce3bba5bed44356097d670a02c32ff
Author: Muhammet Kara <muhammetk@gmail.com>
Date:	2014-12-13

    Updated Turkish translation

M	po/tr.po

commit cd2c6db11ab5ee34725632ad02480176ac905dbb (tag: 3.14.1)
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-11-12

    Release 3.14.1

M	NEWS
M	README
M	configure.ac

commit b279c0f7d8df4abb716cd0ef2ccac8ba3cee0b6a
Author: José Aliste <jaliste@src.gnome.org>
Date:	2014-11-08

    synctex: move update after save to an idle

    in gedit 3.14, after loading or saving a file, the get_language()
    method can return None (that is the language was not yet init)
    Solve it by moving the update function to an idle.

M	plugins/synctex/synctex/synctex.py

commit 811c94afdaac5f85e3ac3d84951775798fd51030
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-11-05

    synctex: fix api break

M	plugins/synctex/synctex/synctex.py

commit 5fbe7eae992f79f246b5492276967ec8527f04c1
Author: Richard Hughes <richard@hughsie.com>
Date:	2014-11-04

    build: Fix compile when python3 is not available

M	configure.ac

commit 4bf23d219d448200c76e85ec86166e1eecdd80d1
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2014-11-04

    Updated Hebrew translation

M	po/he.po

commit 20b177cddeffc0887eecb48d853b9fe14f01a3fa
Author: Akom Chotiphantawanon <knight2000@gmail.com>
Date:	2014-11-04

    Updated Thai translation

M	po/th.po

commit a11caba098a3d6a1681e8e25db081eca58e0ac9b
Author: Timo Jyrinki <timo@debian.org>
Date:	2014-11-03

    Change Finnish translation team web page to l10n.gnome.org

M	po/fi.po

commit 83063fca300a905db8f4c4f70d4b264e5e4f3785
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-11-03

    terminal: fix for api break

M	plugins/terminal/terminal.py

commit 1b687a12d410038e04acefc6e6885d1eb8024b2d
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2014-10-27

    Added Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 802d3f6b1bb6c4aaa496615e1df609db2642c094
Author: Marek Černocký <marek@manet.cz>
Date:	2014-10-26

    Updated Czech translation

M	help/cs/cs.po

commit e4d936e2e32d8f7d3f71ffc873c1c6de8191d28c
Author: Wolfgang Stöggl <c72578@yahoo.de>
Date:	2014-09-27

    Updated German translation

M	po/de.po

commit c449f9fd69452faaf3d4618aa358fac82e68d379 (tag: 3.14.0)
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2014-09-22

    Release 3.14.0

M	NEWS
M	README
M	configure.ac

commit 4173da98a518cb42608698e9de870c084a51f71a
Author: Balázs Úr <urbalazs@gmail.com>
Date:	2014-09-21

    Updated Hungarian translation

M	po/hu.po

commit 8e5c0db99a0427cb432fc99cb3f89d7b616ab2a9
Author: Balázs Úr <urbalazs@gmail.com>
Date:	2014-09-21

    Updated Hungarian translation

M	help/hu/hu.po

commit a96463fa9ca7bb88357099f90a6cf16460a3ff29
Author: Jiri Grönroos <jiri.gronroos+l10n@iki.fi>
Date:	2014-09-17

    Finnish translation update

M	po/fi.po

commit 8c15796fff779afd883e01f8157f719984ce3b48
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-09-11

    [joinlines] use is_end() instead of ord

M	plugins/joinlines/joinlines.py

commit bebd1ccaa4a6383fa86b4c5d8a31b2aaa7a8c234
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-09-11

    [joinlines] Use get_visual_column

    get_visual_line_column doesn’t exist, how did this work before?

M	plugins/joinlines/joinlines.py

commit 5516ee0be3753a4a2eda0ee46dc5202416bfb919
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	2014-09-10

    [help] Update bookmarks.page

    The gedit UI has changed, so update for the new toolbar.

M	help/C/bookmarks.page

commit ef9bc9fd893778df47bc7ff83e664a691be572a5
Author: Marek Černocký <marek@manet.cz>
Date:	2014-09-09

    Updated Czech translation

M	help/cs/cs.po

commit f55b95e5d44e94b9f955a67dfd23053d764ce4de
Author: Marek Černocký <marek@manet.cz>
Date:	2014-09-09

    Fixed typo

M	help/C/zeitgeist-dataprovider.page

commit 988a636ab22f92c4e41caa02835b69a4c68461aa
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-09-08

    [commander] Do not override destroy

    It has somehow weird issues being called after the py object has
    already disappeared?

M	plugins/commander/commander/entry.py

commit 81c8289d9cd7a7ccd76c1baf8fad876becccd53d
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2014-09-08

    Updated Korean translation

M	po/ko.po

commit 0d88363e9c979f1b65afb0ed5226ba88102d83f4
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-09-06

    [multiedit] Show correct accelerators in tooltip

M	plugins/multiedit/multiedit/viewactivatable.py

commit 61272c40e01f05d390a75e75c37f97de1653fd86
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-09-06

    [multiedit] Correctly compute event coordinate rect

M	plugins/multiedit/multiedit/viewactivatable.py

commit 7e24243e8e08f1a64efd7311f58deb4a6d871586
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-09-06

    [multiedit] Cache tooltip widget

M	plugins/multiedit/multiedit/viewactivatable.py

commit d97f6f2239f9590ea21e511ebfd3ba5997aa9a6f
Author: Andika Triwidada <andika@gmail.com>
Date:	2014-09-06

    Updated Indonesian translation

M	po/id.po

commit c37814472b6ed4d0b2b104bb48563a056ebf1e5b
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-09-05

    [multiedit] Use primary key for access

M	plugins/multiedit/multiedit/viewactivatable.py

commit 982b8a01a3997eaa58ad5b3601dd1d9dfcff5231
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-09-05

    [multiedit] Draw in gutter after normal draw

M	plugins/multiedit/multiedit/viewactivatable.py

commit 8ef97b5a943dbfa67ba788c14196a7cb940990ae
Author: Andika Triwidada <andika@gmail.com>
Date:	2014-09-05

    Updated Indonesian translation

M	po/id.po

commit 16f14f95efad3e80268a3678826ddecbb2c266cf
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-09-05

    [commander/shell] Fix buffering of output

M	plugins/commander/modules/shell.py

commit 2bd54338f835b8f82aadfdc58ff62488778b108d
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-09-05

    [commander] Set status label to fill

M	plugins/commander/commander/info.py

commit 12d2ecc51ed3696c3a116d9e5b92b9ce004df5a4
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-09-05

    [commander] Use named icons for status items

M	plugins/commander/commander/info.py

commit 70d145e3f92473a777e773bebc1499402c55d44c
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-09-05

    [commander] Fix ensuring button bar

M	plugins/commander/commander/info.py

commit 7551a3bbba9bd679ddd86d753b47a5f008879fe5
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-09-05

    [commander] Fix auto-sizing scrolled window

M	plugins/commander/commander/info.py

commit 87c9467e203ce88f900baca1013096f81b1e6bdf
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-09-05

    [commander] Print exception traces to stderr

M	plugins/commander/commander/entry.py

commit e198a671b1144836c1534d0dd4d3ec1fd36a4657
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-09-05

    [commander] Improve suspend/cancel/resume

M	plugins/commander/commander/entry.py

commit 85557b7a0b2bb263521833c302b9e43613614d4c
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-09-05

    [commander] Longer transition duration for info

M	plugins/commander/commander/entry.py

commit 9da6b3a0b9825dbdffe995ac718cdac42e582b9a
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-09-05

    [commander] Improve rendering style of info

M	plugins/commander/commander/entry.py

commit 55b71b0e24504e46d2bf32c0f6fd7bc1f56c7e0e
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-09-05

    [commander] Always hide entry border

M	plugins/commander/commander/entry.py

commit 384b76ee3db0cc768a7006d5f9b8834dbc6f2da6
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-09-04

    [commander] Remove remaining resizing code

M	plugins/commander/commander/info.py

commit a8cb2f61bedbda7c92a0965b367b7bbdf404741e
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-09-04

    [commander] Better style inheritance

M	plugins/commander/commander/entry.py

commit 9a6eb45a5aa9d2b63c72055432b19e9096a2182f
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-09-04

    [commander] Do not hide when loosing focus

M	plugins/commander/commander/entry.py
M	plugins/commander/commander/windowactivatable.py

commit 44f6bb9bcfa8036fedb707400d98d690e9cc336f
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-09-04

    [commander] Embed info popup

M	plugins/commander/Makefile.am
M	plugins/commander/commander/entry.py
M	plugins/commander/commander/info.py
D	plugins/commander/commander/transparentwindow.py

commit 48a9b7c453eefe367bae75bb14c6699361a10d23
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-09-04

    [commander] Use overlay for entry

M	plugins/commander/commander/entry.py
M	plugins/commander/commander/info.py
M	plugins/commander/commander/windowactivatable.py

commit 0bc31a2222f0f23171d30c168e018fc93e4c71a8
Author: Alain Lojewski <allomervan@gmail.com>
Date:	2014-09-01

    Updated French translation

M	po/fr.po

commit f06b3b18df5b76ab277059d7a94af4d1d40de435
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-08-22

    More informative messages about failing dependencies

M	configure.ac

commit b467ac4f56c6c941d145d0b848d7f1e9df891f7f
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-08-22

    [dashboard] Only build when Zeitgeist is installed

M	configure.ac
M	plugins/dashboard/Makefile.am

commit c3cbeb1f9473615c37c09e4b978e7d90106fe530
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2014-08-17

    git: Correctly update the view activatable

    Don't just rediff the repository's contents when the focus is
    returned to the window and update the view when the file
    monitor emits a changed event for the location. Finally,
    disable the file monitors when the window loses focus and
    then do a full update when it returns. This prevents us
    from doing pointless updates and allows us to react to git
    commands made while the window didn't have focus.

M	plugins/git/git/viewactivatable.py
M	plugins/git/git/windowactivatable.py

commit 2bf7ddd2dc885031f7bc9046fe8633fbcd3bdf96
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2014-08-17

    git: Add helpers to get the view activatable

M	plugins/git/git/windowactivatable.py

commit c4adf504ed2353ea01138727d42132f81cc9b620
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2014-08-17

    git: Don't warn when the file browser becomes disabled

    If the file browser became disabled it was possible that we would
    try to send a message to the now unregistered file browser. This
    would then generate a warning for each and every file node.

M	plugins/git/git/windowactivatable.py

commit 039e2cf9345e7b6aaf4dd5107f2abdac4f943546
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2014-08-17

    git: Add a debug message if we fail to monitor a directory

    Also, only catch GLib.Error, not all exceptions as it could cause
    an exception like SystemExit to be ignored.

M	plugins/git/git/windowactivatable.py

commit 2e81a575aaacca0278e8829d78b57807ca469cb5
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2014-08-17

    git: Only return a repo for a location in the .git dir when explicitly
    allowed

    This prevents every caller from needing to check if the location is
    in the repo's .git directory. This also fixes a few places that
    we were
    not doing this check before which caused various odd behaviors.
    Also, add a debug message if we try to determine the status of a
    location in the .git directory, before this patch it was possible
    and would cause a warning.

M	plugins/git/git/appactivatable.py
M	plugins/git/git/windowactivatable.py

commit 5cb2a14fdcf7d0bdb8a5e79eded484b611162133
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2014-08-17

    git: Fix typo in debug() comment

M	plugins/git/git/debug.py

commit 01e386b0c823f98cd92779b698dc5752a1578341
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2014-08-17

    git: Avoid caching the repo all the way up to the workdir every time

    This could be expensive on a repository with deeply nested
    directories.

M	plugins/git/git/appactivatable.py

commit 2a7bb64ba4bf61cb0a4435e46370639f637e3894
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2014-08-17

    git: Prevent trying to find a git repository for every file in
    a directory

    Instead just cache the failure, this also means that we don't use
    the weakref value dict anymore and instead rely on the window's
    focus-in-event handler to clear all the cache. This allows a user
    to come back into gedit and for all of the repositories to be
    rediscovered, who know maybe the user ran `git init`.

M	plugins/git/git/appactivatable.py
M	plugins/git/git/windowactivatable.py

commit a6ee0ab0edd0b2cb479b15a7334cb542287d73cc
Author: Marek Černocký <marek@manet.cz>
Date:	2014-08-21

    Updated Czech translation

M	po/cs.po

commit f829e96d211c66bcb06e61539091091696d3a573
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2014-06-29

    Fix issues when a repository is symlinked

M	plugins/git/git/appactivatable.py

commit fd17928e4271d7bf62a034b72143f31636facc66
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2014-06-29

    Catch GLib.Error when possible instead of Exception

    This can hide problems and make debugging difficult.

M	plugins/git/git/appactivatable.py
M	plugins/git/git/viewactivatable.py

commit c39842cf70891a7561fdc241cc50988fdbb7f525
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2014-06-29

    Avoid using MessageBus.send_async in a idle callback

    All this does is schedule another idle, which is just pointless.

M	plugins/git/git/windowactivatable.py

commit e878501e149913c9f0b71a69620352a15fb7c4f6
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2014-06-29

    Move finding the repository to an AppActivatable

    This also fixes various issues when the file browser is showing
    multiple repositories or the root itself is not a repository.

M	plugins/git/Makefile.am
M	plugins/git/git/__init__.py
A	plugins/git/git/appactivatable.py
M	plugins/git/git/viewactivatable.py
M	plugins/git/git/windowactivatable.py

commit ca5479553b26c4133ff1313266684d84e0dcb16d
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2014-06-28

    Check the types for file nodes

    It is very easy to supply the incorrect type. Also use the
    Gio.File instead of the URI as that is much easier to use.

M	plugins/git/git/windowactivatable.py

commit c60ffbed924f8e90bcb4367a2b01f1624b24f55b
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2014-06-28

    Merge file id and file name into single dict

M	plugins/git/git/windowactivatable.py

commit 6250425f707bcca5be1786b557eb69076a5a7de9
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2014-06-29

    Add debug messages to git plugin

M	plugins/git/Makefile.am
A	plugins/git/git/debug.py
M	plugins/git/git/windowactivatable.py
M	plugins/git/git/workerthread.py

commit 37c7b3d1a2a7e33f139ba511b0d9a931a8aa561f
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2014-06-28

    Clear files and file_names when the file browser's root changes

M	plugins/git/git/windowactivatable.py

commit 5302ea31eaea87ca8e8b1f85769b93da270b822d
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2014-06-28

    There might not be a repository on inserted()

M	plugins/git/git/windowactivatable.py

commit c7fb71b0693f03a6045510ae035fb9fa4ddf4879
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2014-06-28

    Small cleanup

M	plugins/git/git/windowactivatable.py

commit 55499560e32671775dfffc7f9340cf71a3caad3b
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2014-06-28

    Fix monitoring for file event

    Was checking if the Gio.File was in a set which contains URIs.

M	plugins/git/git/windowactivatable.py

commit 3dcdae1ff32d7b3196c8123c7fcdce68ad5cb486
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2014-06-28

    Split long line

M	plugins/git/git/viewactivatable.py

commit 36ad21861bbd3ed032843cd3f073783143fb147a
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2014-06-28

    Move Ggit.Repository.file_status() call into a worker thread

    Otherwise large repositories can block the gedit UI.

M	plugins/git/Makefile.am
M	plugins/git/git/windowactivatable.py
A	plugins/git/git/workerthread.py

commit db81bb599c3d5d6af7059eccf5cbe4c85897997e
Author: MarMav <mavridou@gmail.com>
Date:	2014-08-11

    Updated Greek translation

M	po/el.po

commit 3d215c49c4fe738aa341c8f39120a0ff0c99bd22
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-08-05

    charmap: enable only if the gucharmap library is installed

M	configure.ac
M	plugins/charmap/Makefile.am

commit 49d561f32138ad18fa0a9bdc4cf6c33c43703a3a
Author: Debarshi Ray <debarshir@gnome.org>
Date:	2014-08-05

    terminal: Port to vte-2.91

    https://bugzilla.gnome.org/show_bug.cgi?id=734275

M	configure.ac
M	plugins/terminal/terminal.py

commit 0c93955744f8c14c9044dc62f473c7ca61fc423a (tag: 3.13.2)
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2014-07-26

    Release 3.13.2

M	NEWS
M	README
M	configure.ac

commit c3fd74950454f61eb9d57e8eb3b77515a923e1d1
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2014-07-26

    Fix typo in recent refactoring

M	plugins/joinlines/joinlines.py

commit fa83ec773fd392d6fa0e042ef13a5c5bbabc70e7
Author: Kalev Lember <kalevlember@gmail.com>
Date:	2014-07-25

    Adapt for gedit desktop file rename

M	plugins/bookmarks/gedit-bookmarks.metainfo.xml.in
M	plugins/bracketcompletion/gedit-bracketcompletion.metainfo.xml.in
M	plugins/charmap/gedit-charmap.metainfo.xml.in
M	plugins/codecomment/gedit-codecomment.metainfo.xml.in
M	plugins/colorpicker/gedit-colorpicker.metainfo.xml.in
M	plugins/colorschemer/gedit-colorschemer.metainfo.xml.in
M	plugins/commander/gedit-commander.metainfo.xml.in
M	plugins/dashboard/dashboard/dashboard.py
M	plugins/dashboard/gedit-dashboard.metainfo.xml.in
M	plugins/drawspaces/gedit-drawspaces.metainfo.xml.in
M	plugins/git/gedit-git.metainfo.xml.in
M	plugins/joinlines/gedit-joinlines.metainfo.xml.in
M	plugins/multiedit/gedit-multiedit.metainfo.xml.in
M	plugins/smartspaces/gedit-smartspaces.metainfo.xml.in
M	plugins/synctex/gedit-synctex.metainfo.xml.in
M	plugins/terminal/gedit-terminal.metainfo.xml.in
M	plugins/textsize/gedit-textsize.metainfo.xml.in
M	plugins/wordcompletion/gedit-wordcompletion.metainfo.xml.in
M	plugins/zeitgeist/gedit-zeitgeist-plugin.c
M	plugins/zeitgeist/gedit-zeitgeist.metainfo.xml.in

commit 9457d7a455d09be66b675352257cb7f6b58d733d (tag: 3.13.1)
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2014-07-22

    Release 3.13.1

M	NEWS
M	README
M	configure.ac

commit 0cb7bf1a63c34508cbbd179bfa5eab51d24da13f
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2014-07-20

    colorpicker: some pep8 fixes

M	plugins/colorpicker/colorpicker.py

commit 34277c872b3474ba9a9857d882fe71f1d8f51ed9
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2014-07-20

    joinlines: use view.get_visual_line_offset now that it is public

M	plugins/joinlines/joinlines.py

commit cefb99e3441613c6a73f4ea842c2d4fed8d68089
Author: Dominique Leuenberger <dimstar@opensuse.org>
Date:	2014-07-16

    build: check for python3

    gedit enforces the use of python3 to be used for plugins. As such,
    it is useless for configure of gedit-plugins to accept python2.

M	configure.ac

commit 6af04053e62af92403ef75bf2b00253f221f7f15
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2014-07-15

    Updated Basque language

M	po/eu.po

commit 2d1f6bb0a4b0fc188ac2db6edc193ffc21ac77fd
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2014-07-15

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit e92bd3f28aaba54d4d6910bd20700c35fab008f1
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-07-13

    [git] Gracefully handle monitor creation failure

M	plugins/git/git/windowactivatable.py

commit f3d4e2ae46bbfa163505783e0181ef174dfc5dd0
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-07-13

    [commander] Fix writing string without encoding

M	plugins/commander/modules/shell.py

commit 0d15d33f26cac2c1651ff0f3e79d7430a71c09d2
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-07-13

    [commander] Fix rollback importer

M	plugins/commander/commander/commands/module.py
M	plugins/commander/commander/commands/rollbackimporter.py

commit 9bd7e8970fe877ffe70ce275686784b0c4552721
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-07-13

    [commander] Catch general exception for monitoring

M	plugins/commander/commander/commands/__init__.py

commit 1835e561e19e0a5c85c1a1b12ffb130121f2c3dd
Author: Marek Černocký <marek@manet.cz>
Date:	2014-07-13

    Updated Czech translation

M	po/cs.po

commit 4f504f51231baae87ba9027be93272d4f7fd0f54
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2014-07-06

    GtkSourceView >= 3.13.2 is required

    For GtkSourceFile.

M	configure.ac

commit 44f86f162b7bd1d8161dfbc181df5544dc444145
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2014-07-01

    Don't use gedit_document_get_location() (deprecated)

    Use gtk_source_file_get_location() instead.

M	plugins/commander/commander/commands/completion.py
M	plugins/commander/modules/edit.py
M	plugins/commander/modules/shell.py
M	plugins/git/git/viewactivatable.py
M	plugins/git/git/windowactivatable.py
M	plugins/synctex/synctex/synctex.py
M	plugins/terminal/terminal.py
M	plugins/zeitgeist/gedit-zeitgeist-plugin.c

commit 758c2608d24263fc07a56b23a8abef2d5f74e504
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2014-07-01

    Don't use gedit_document_set_location() (deprecated)

    Use gtk_source_file_set_location() instead.

M	plugins/commander/modules/edit.py

commit 052fb0771f24325416c3dac0c834bc262408cf81
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2014-07-01

    Remove error parameter of the "loaded" and "saved" GeditDocument
    signals

    The error parameter has been removed since the port of gedit to
    GtkSourceFile.

M	plugins/bookmarks/gedit-bookmarks-plugin.c
M	plugins/dashboard/dashboard/__init__.py
M	plugins/synctex/synctex/synctex.py
M	plugins/zeitgeist/gedit-zeitgeist-plugin.c

commit 8261cf6f83d78a9223229a6344dddfb9804f063b
Author: Daniel Mustieles <dnaiel.mustieles@gmail.com>
Date:	2014-07-04

    Updated Spanish translation

M	help/es/es.po

commit 2aa2aff5a52be81c44a43b8653d639c1bb5c173e
Author: Daniel Mustieles <dnaiel.mustieles@gmail.com>
Date:	2014-07-04

    Updated Spanish translation

M	po/es.po

commit c2e3bf560c32e8af62da59394d4d7781b678ffd4
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2014-07-01

    Updated Polish translation

M	po/pl.po

commit 8f703bd4ae7b35bf527e68b696c97e786c41ab54
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2014-07-01

    Correctly capitalize acronyms

M	plugins/colorpicker/gedit-colorpicker.metainfo.xml.in

commit 3463621f3b605b2d0be3bf3e1aac87f8a8ffd78e
Author: Daniel Mustieles <dnaiel.mustieles@gmail.com>
Date:	2014-06-30

    Updated Spanish translation

M	po/es.po

commit f6439a01caddab9cf94a328cd228deeec90022fa
Author: Igor Gnatenko <i.gnatenko.brain@gmail.com>
Date:	2014-06-29

    terminal: don't get 'word-chars' from
    org.gnome.Terminal.Legacy.Profile

    (gedit:4931): GLib-GIO-ERROR **: Settings schema
    'org.gnome.Terminal.Legacy.Profile' does not contain a key named
    'word-chars'
    Regression after
    https://git.gnome.org/browse/gnome-terminal/commit?id=e63cbcf64d2fde5bc4a8cb8ae0e3ef8c95a6d889

    Reference: https://bugzilla.gnome.org/show_bug.cgi?id=732422
    Signed-off-by: Igor Gnatenko <i.gnatenko.brain@gmail.com>

M
plugins/terminal/org.gnome.gedit.plugins.terminal.gschema.xml.in.in
M	plugins/terminal/terminal.py

commit 972d01b8ea9457b52c5aa5feeb823419cb6bf017 (tag: 3.13.0)
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-24

    Release 3.13.0

M	NEWS
M	README
M	configure.ac

commit 6679a93b9cdff44c4a3231bf952365a83aa482c0
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2014-06-24

    Update list of plugins in README

M	README

commit db67b7822c16bf8a0224a27db1c843a5867770e5
Author: Igor Gnatenko <i.gnatenko.brain@gmail.com>
Date:	2014-06-20

    plugins: fix installing appstream files

    Reported-by: Sébastien Wilmet <swilmet@gnome.org>
    Reference: https://bugzilla.gnome.org/show_bug.cgi?id=731799
    Signed-off-by: Igor Gnatenko <i.gnatenko.brain@gmail.com>

M	plugins/Makefile.am
M	plugins/bookmarks/Makefile.am
M	plugins/bracketcompletion/Makefile.am
M	plugins/charmap/Makefile.am
M	plugins/codecomment/Makefile.am
M	plugins/colorpicker/Makefile.am
M	plugins/colorschemer/Makefile.am
M	plugins/commander/Makefile.am
M	plugins/dashboard/Makefile.am
M	plugins/drawspaces/Makefile.am
M	plugins/git/Makefile.am
M	plugins/joinlines/Makefile.am
M	plugins/multiedit/Makefile.am
M	plugins/smartspaces/Makefile.am
M	plugins/synctex/Makefile.am
M	plugins/terminal/Makefile.am
M	plugins/textsize/Makefile.am
M	plugins/wordcompletion/Makefile.am
M	plugins/zeitgeist/Makefile.am

commit fc1cb38bea0245ade0a84a656b44a6f3da4b5fc5
Author: Igor Gnatenko <i.gnatenko.brain@gmail.com>
Date:	2014-06-18

    plugins: add zeitgeist plugin from 'gedit' project

    Reference: https://bugzilla.gnome.org/show_bug.cgi?id=731799
    Signed-off-by: Igor Gnatenko <i.gnatenko.brain@gmail.com>

M	configure.ac
A	help/C/zeitgeist-dataprovider.page
M	help/Makefile.am
M	plugins/Makefile.am
A	plugins/zeitgeist/Makefile.am
A	plugins/zeitgeist/gedit-zeitgeist-plugin.c
A	plugins/zeitgeist/gedit-zeitgeist-plugin.h
A	plugins/zeitgeist/gedit-zeitgeist.metainfo.xml.in
A	plugins/zeitgeist/zeitgeist.plugin.desktop.in
M	po/POTFILES.in

commit 82e75be7765bbfb14271705f7e9d266421ca12ba
Author: MarMav <mavridou@gmail.com>
Date:	2014-06-18

    Updated Greek translation

M	po/el.po

commit 2da9f3117e6f90608e24d41256db68f0507bf1df
Author: Daniel Mustieles <dnaiel.mustieles@gmail.com>
Date:	2014-06-17

    Updated Spanish translation

M	po/es.po

commit 09a1e6ae6d8f8e055a2ab2dc2838487e611e7eb5
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2014-06-16

    AppStream: fix XML validation

M	plugins/bookmarks/gedit-bookmarks.metainfo.xml.in
M	plugins/bracketcompletion/gedit-bracketcompletion.metainfo.xml.in
M	plugins/charmap/gedit-charmap.metainfo.xml.in
M	plugins/codecomment/gedit-codecomment.metainfo.xml.in
M	plugins/colorpicker/gedit-colorpicker.metainfo.xml.in
M	plugins/colorschemer/gedit-colorschemer.metainfo.xml.in
M	plugins/commander/gedit-commander.metainfo.xml.in
M	plugins/dashboard/gedit-dashboard.metainfo.xml.in
M	plugins/drawspaces/gedit-drawspaces.metainfo.xml.in
M	plugins/git/gedit-git.metainfo.xml.in
M	plugins/joinlines/gedit-joinlines.metainfo.xml.in
M	plugins/multiedit/gedit-multiedit.metainfo.xml.in
M	plugins/smartspaces/gedit-smartspaces.metainfo.xml.in
M	plugins/synctex/gedit-synctex.metainfo.xml.in
M	plugins/terminal/gedit-terminal.metainfo.xml.in
M	plugins/textsize/gedit-textsize.metainfo.xml.in
M	plugins/wordcompletion/gedit-wordcompletion.metainfo.xml.in

commit d9613875a180d5a9b7b06b9532dac4f93eef6a40
Author: Igor Gnatenko <i.gnatenko.brain@gmail.com>
Date:	2014-06-16

    AppStream: add bugtracker URL

    Signed-off-by: Igor Gnatenko <i.gnatenko.brain@gmail.com>

M	plugins/bookmarks/gedit-bookmarks.metainfo.xml.in
M	plugins/bracketcompletion/gedit-bracketcompletion.metainfo.xml.in
M	plugins/charmap/gedit-charmap.metainfo.xml.in
M	plugins/codecomment/gedit-codecomment.metainfo.xml.in
M	plugins/colorpicker/gedit-colorpicker.metainfo.xml.in
M	plugins/colorschemer/gedit-colorschemer.metainfo.xml.in
M	plugins/commander/gedit-commander.metainfo.xml.in
M	plugins/dashboard/gedit-dashboard.metainfo.xml.in
M	plugins/drawspaces/gedit-drawspaces.metainfo.xml.in
M	plugins/git/gedit-git.metainfo.xml.in
M	plugins/joinlines/gedit-joinlines.metainfo.xml.in
M	plugins/multiedit/gedit-multiedit.metainfo.xml.in
M	plugins/smartspaces/gedit-smartspaces.metainfo.xml.in
M	plugins/synctex/gedit-synctex.metainfo.xml.in
M	plugins/terminal/gedit-terminal.metainfo.xml.in
M	plugins/textsize/gedit-textsize.metainfo.xml.in
M	plugins/wordcompletion/gedit-wordcompletion.metainfo.xml.in

commit 6667929ad9c9347ed282751afd32955e4f758fef
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2014-06-16

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit dfbb14e84c963366d3dd162ba12da6453944e77c
Author: Igor Gnatenko <i.gnatenko.brain@gmail.com>
Date:	2014-06-14

    plugins: add metainfo for all available plugins

    Reference: https://bugzilla.gnome.org/show_bug.cgi?id=731632
    Signed-off-by: Igor Gnatenko <i.gnatenko.brain@gmail.com>

M	plugins/Makefile.am
M	plugins/bookmarks/Makefile.am
A	plugins/bookmarks/gedit-bookmarks.metainfo.xml.in
M	plugins/bracketcompletion/Makefile.am
A	plugins/bracketcompletion/gedit-bracketcompletion.metainfo.xml.in
M	plugins/charmap/Makefile.am
A	plugins/charmap/gedit-charmap.metainfo.xml.in
M	plugins/codecomment/Makefile.am
A	plugins/codecomment/gedit-codecomment.metainfo.xml.in
M	plugins/colorpicker/Makefile.am
A	plugins/colorpicker/gedit-colorpicker.metainfo.xml.in
M	plugins/colorschemer/Makefile.am
A	plugins/colorschemer/gedit-colorschemer.metainfo.xml.in
M	plugins/commander/Makefile.am
A	plugins/commander/gedit-commander.metainfo.xml.in
M	plugins/dashboard/Makefile.am
A	plugins/dashboard/gedit-dashboard.metainfo.xml.in
M	plugins/drawspaces/Makefile.am
A	plugins/drawspaces/gedit-drawspaces.metainfo.xml.in
M	plugins/git/Makefile.am
A	plugins/git/gedit-git.metainfo.xml.in
M	plugins/joinlines/Makefile.am
A	plugins/joinlines/gedit-joinlines.metainfo.xml.in
M	plugins/multiedit/Makefile.am
A	plugins/multiedit/gedit-multiedit.metainfo.xml.in
M	plugins/smartspaces/Makefile.am
A	plugins/smartspaces/gedit-smartspaces.metainfo.xml.in
M	plugins/synctex/Makefile.am
A	plugins/synctex/gedit-synctex.metainfo.xml.in
M	plugins/terminal/Makefile.am
A	plugins/terminal/gedit-terminal.metainfo.xml.in
M	plugins/textsize/Makefile.am
A	plugins/textsize/gedit-textsize.metainfo.xml.in
M	plugins/wordcompletion/Makefile.am
A	plugins/wordcompletion/gedit-wordcompletion.metainfo.xml.in
M	po/POTFILES.in

commit cdeb1cf53b824de74ab5e352e22e876c2374a833
Author: MarMav <mavridou@gmail.com>
Date:	2014-06-07

    Updated Greek translation

M	po/el.po

commit 076c47a9267457ea5f788dca39030a1ee8b1f5e2
Author: Lasse Liehu <lasse.liehu@gmail.com>
Date:	2014-05-30

    Finnish translation update

M	help/fi/fi.po

commit 09fb51481b0322baad59cb3e5532e6bb9051766f
Author: Lasse Liehu <lasse.liehu@gmail.com>
Date:	2014-05-30

    Finnish translation update

M	po/fi.po

commit 7085122fbd640e26685ec9d9e77756ae52706079
Author: Christian Kirbach <christian.kirbach@gmail.com>
Date:	2014-05-11

    Updated German translation

M	help/de/de.po

commit 268042d6744aab5ea7aa7fcbff2be7192c535735
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2014-04-18

    Updated Greek translation

M	help/el/el.po

commit db36b4c3dde4337643c55ffcd5ef9faf7ac43629
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2014-04-15

    Updated Spanish translation

M	help/es/es.po

commit 180749d70721fba18b6249a7b1fcf48c7b300bc0 (tag: 3.12.1)
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-04-14

    Release 3.12.1

M	NEWS
M	README
M	configure.ac

commit 011c871e689bed9e36daf66696d31ec2578688af
Author: Sergej Chodarev <sergejx@centrum.sk>
Date:	2014-04-14

    Remove forgotten uses of old menu API

    http://bugzilla.gnome.org/show_bug.cgi?id=728201

M	plugins/synctex/synctex/synctex.py

commit 8e41c37a0c83180434618aa898bf2488a37ee721
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-04-12

    Do not bracket complete do/end in ruby

M	plugins/bracketcompletion/bracketcompletion.py

commit 21c4d88306a0f8aa2a7fd7d1d1de52d45a64b4e7
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-04-14

    multiedit: do not set view to None on deactivate

    activate/deactivate may be called several times for the same
    view, i.e when attaching/detaching tabs and the property will
    be set just at construction. Setting self.view to None will make
    it work for the first time activate/deactivate is called.

M	plugins/multiedit/multiedit/viewactivatable.py

commit 245a12e7dfc526fbfdb18192bce8a04d0a87cf07
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-03-31

    drawspaces: split out view activatable

M	plugins/drawspaces/Makefile.am
M	plugins/drawspaces/gedit-drawspaces-app-activatable.c
A	plugins/drawspaces/gedit-drawspaces-view-activatable.c
A	plugins/drawspaces/gedit-drawspaces-view-activatable.h
M	plugins/drawspaces/gedit-drawspaces-window-activatable.c
M	plugins/drawspaces/gedit-drawspaces-window-activatable.h

commit a05f61b1400915f97dd186ccc930d3bd1de3b7f5
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-03-31

    Update POTFILES.in

M	po/POTFILES.in

commit 17973bb387af02f6f98c79c6e2335fdabb0bdf04
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-03-31

    drawspaces: create/unref settings from de/activate

M	plugins/drawspaces/gedit-drawspaces-window-activatable.c

commit b82430cb5068db99aaa32fdc1b55a5b990f77a93
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-03-31

    drawspaces: use new private accessor way for window activatable

M	plugins/drawspaces/gedit-drawspaces-window-activatable.c
M	plugins/drawspaces/gedit-drawspaces-window-activatable.h

commit f10ac13d6e9411098d7dfaad38e2cc50da4c5d21
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-03-31

    drawspaces: no need for public private in app activatable

M	plugins/drawspaces/gedit-drawspaces-app-activatable.c
M	plugins/drawspaces/gedit-drawspaces-app-activatable.h

commit 3cccbadd29529525681f3e193726cf9f2e5e8ac1
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-03-31

    drawspaces: make the window inherit from GObject

M	plugins/drawspaces/gedit-drawspaces-window-activatable.c
M	plugins/drawspaces/gedit-drawspaces-window-activatable.h

commit 01a35a6ea7a1f9181a7c97618ef5b2690cd09f9e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-03-31

    drawspaces: move peas configurable to app activatable

    It makes more sense to have it in the app

M	plugins/drawspaces/gedit-drawspaces-app-activatable.c
M	plugins/drawspaces/gedit-drawspaces-window-activatable.c
M	plugins/drawspaces/gedit-drawspaces-window-activatable.h

commit c935da6d64edd41b2a48c9ce3a3402441fc38a96
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-03-31

    drawspaces: move register_types to app activatable

M	plugins/drawspaces/gedit-drawspaces-app-activatable.c
M	plugins/drawspaces/gedit-drawspaces-app-activatable.h
M	plugins/drawspaces/gedit-drawspaces-window-activatable.c
M	plugins/drawspaces/gedit-drawspaces-window-activatable.h

commit 94ac4f1f8a2cb95ace59b603864afe4433c0042c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-03-31

    drawspaces: rename plugin to window-activatable

M	plugins/drawspaces/Makefile.am
R100	plugins/drawspaces/gedit-drawspaces-plugin.ui
plugins/drawspaces/gedit-drawspaces-configurable.ui
D	plugins/drawspaces/gedit-drawspaces-plugin.h
R065	plugins/drawspaces/gedit-drawspaces-plugin.c
plugins/drawspaces/gedit-drawspaces-window-activatable.c
A	plugins/drawspaces/gedit-drawspaces-window-activatable.h
M	plugins/drawspaces/gedit-drawspaces.gresource.xml

commit 3c760068879d79e16a0b9bb05a0638e5fc3f9c21
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-03-31

    drawspaces: split app activatable into its own file

M	plugins/drawspaces/Makefile.am
A	plugins/drawspaces/gedit-drawspaces-app-activatable.c
A	plugins/drawspaces/gedit-drawspaces-app-activatable.h
M	plugins/drawspaces/gedit-drawspaces-plugin.c

commit 5bb8c59be2d89326bf3e5839af0c7b3715fa4867
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2014-03-30

    doap: update URLs

M	gedit-plugins.doap

commit 17fd88571f918d24b8eb633724c3bce5895ab9dd
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2014-03-30

    drawspaces: remove action upon deactivation

M	plugins/drawspaces/gedit-drawspaces-plugin.c

commit 80a50f1aa41825cb5ebec754206b93b850700b39
Author: Andika Triwidada <andika@gmail.com>
Date:	2014-03-28

    Updated Indonesian translation

M	po/id.po

commit 902e46be83f5569b6a3af410f3debc17e636f2e5 (tag: 3.12.0)
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-03-24

    Release 3.12.0

M	NEWS
M	README
M	configure.ac

commit b0a0ea0599af2eaeb5850d4ad16eb9ff4a089c07
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2014-03-24

    Bug 724913 - Ignore remote files in the git plugin

M	plugins/git/git/viewactivatable.py
M	plugins/git/git/windowactivatable.py

commit 22ea760cf57e1a294240255195299fa882c8d054
Author: Gábor Kelemen <kelemeng@gnome.hu>
Date:	2014-03-24

    Updated Hungarian translation

M	help/hu/hu.po

commit bc194940f4e8f52c0461548450816b854e27bb04 (tag: 3.11.91)
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-03-05

    Release 3.11.91

M	NEWS
M	README
M	configure.ac

commit 4eba1ddfc4366e33218f7625681f908f2a93fe59
Author: Tiagosdot <almosthumane@portugalmail.pt>
Date:	2014-03-03

    Updated Portuguese translation

M	po/pt.po

commit ef4be52d82ebd593893a74a78176e7211a1836ea
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2014-03-01

    Remove stray semicolons

M	plugins/git/git/windowactivatable.py

commit 14df2455455b3a3a17c226341b41782f10fd6988
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-02-26

    syntex: port to new menu API

M	plugins/synctex/synctex/__init__.py
M	plugins/synctex/synctex/synctex.py

commit e0a9d6762d55c42469c801dfd4370cd669ce0cfe
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:	2014-02-23

    Updated Hungarian translation

M	po/hu.po

commit 8a58ac0a301819dfac6bd1ee295df1b8f9b98c27
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2014-02-15

    Updated Lithuanian translation

M	po/lt.po

commit 394f0e95cde21a531dcfc207b791a1c6a4b2b72d
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2014-02-07

    Updated Hebrew translation

M	po/he.po

commit ad88d3e160467612089e4c17ed0f8166a4c42211 (tag: 3.11.2)
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-02-06

    Release 3.11.2

M	NEWS
M	README
M	configure.ac

commit f661106c6e05e6d67fd31cc5edb79d7b40f0fb08
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2014-02-05

    Use the new section names

M	plugins/bookmarks/gedit-bookmarks-app-activatable.c
M	plugins/colorpicker/colorpicker.py
M	plugins/colorschemer/schemer/__init__.py
M	plugins/commander/commander/appactivatable.py
M	plugins/drawspaces/gedit-drawspaces-plugin.c
M	plugins/multiedit/multiedit/appactivatable.py
M	plugins/textsize/textsize/__init__.py

commit c8ac536bd4337ee422a8dfe82bed8c6a4c832afb
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2014-02-05

    Updated POTFILES.in

M	po/POTFILES.in

commit 2d6d0c1702d8841e58b6771addd72c5809344227
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-02-05

    terminal: use the right api to remove the panel item

M	plugins/terminal/terminal.py

commit ad01245f2bce93666446f83d119572e6e3e3027a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-02-05

    terminal: port to new panel api

M	plugins/terminal/terminal.py

commit 536d831c2d9b5f7dbaa1fdbe70f08e90f9223338
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2014-02-05

    Missing import

M	plugins/multiedit/multiedit/appactivatable.py

commit 8eefe58db63d94145c08b5dbbbcb539e96bc357e
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2014-02-05

    Fix install dir for colorschemer

M	plugins/colorschemer/Makefile.am

commit 8f6965b4abcfb415e0ea8331e42c3bbe74c2b2df
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2014-02-05

    Port to the new menu extension API

M	plugins/bookmarks/gedit-bookmarks-app-activatable.c
M	plugins/bookmarks/gedit-bookmarks-plugin.c
M	plugins/charmap/charmap/__init__.py
M	plugins/colorpicker/colorpicker.py
M	plugins/colorschemer/schemer/__init__.py
M	plugins/commander/Makefile.am
M	plugins/commander/commander/__init__.py
C083	plugins/commander/commander/__init__.py
plugins/commander/commander/appactivatable.py
M	plugins/commander/commander/windowactivatable.py
M	plugins/drawspaces/gedit-drawspaces-plugin.c
M	plugins/multiedit/Makefile.am
M	plugins/multiedit/multiedit/__init__.py
C086	plugins/multiedit/multiedit/__init__.py
plugins/multiedit/multiedit/appactivatable.py
M	plugins/multiedit/multiedit/windowactivatable.py
M	plugins/textsize/textsize/__init__.py

commit 63f95be5dca30ba8dfd4689f9cd073829ccbe34d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-02-04

    Rename extend_gear_menu to extend_menu

M	plugins/bookmarks/gedit-bookmarks-plugin.c
M	plugins/colorpicker/colorpicker.py
M	plugins/colorschemer/schemer/__init__.py
M	plugins/commander/commander/windowactivatable.py
M	plugins/drawspaces/gedit-drawspaces-plugin.c
M	plugins/multiedit/multiedit/windowactivatable.py
M	plugins/textsize/textsize/__init__.py

commit 99af88e065d20ca70b4f95cb73723ad6b2ce9e41
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2014-01-28

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit c0053a5599e7e87f7892de75c8b35c70187cfee2
Author: YunQiang Su <wzssyqa@gmail.com>
Date:	2014-01-25

    Update Chinese simplified translation

M	po/zh_CN.po

commit b5e3495a872b69a8fd07a84204363f3b0bfaacd6
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-01-22

    [commander] Use integer division

M	plugins/commander/modules/find/regex.py

commit ec76cf0ebce1e0a64ef01dac408834bff96c6066 (tag: 3.11.1)
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-01-15

    Release 3.11.1

M	NEWS
M	README
M	configure.ac

commit e45eb21e20eaae1d91cd09a45ec420091d7813d0
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2014-01-15

    Updated POTFILES.in

M	po/POTFILES.in

commit 38b1d4ae9ce07a259d5c013c47d345db0e3ff761
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-01-13

    [multiedit] Fix removing insertion point on toggle

M	plugins/multiedit/multiedit/viewactivatable.py

commit 26a82b5e6ebbf84b9044ad4345a96fb17ec90ff9
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-01-13

    [multiedit] Remove extra space before (

M	plugins/multiedit/multiedit/viewactivatable.py

commit 1ce689222699ea7d2b6cfae08766172869263fb4
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-01-13

    [multiedit] Fix custom selection colors

M	plugins/multiedit/multiedit/viewactivatable.py

commit d21352564a15dffac9c6bdd6e908cd035e47b46c
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-01-13

    [multiedit] Unset view only after no longer used

M	plugins/multiedit/multiedit/viewactivatable.py

commit f77ef9960dd1114f0fb08340af958337f7192d36
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-01-13

    [multiedit] Implement ViewActivatable

M	plugins/multiedit/Makefile.am
M	plugins/multiedit/multiedit/__init__.py
M	plugins/multiedit/multiedit/signals.py
R091	plugins/multiedit/multiedit/documenthelper.py
plugins/multiedit/multiedit/viewactivatable.py
C051	plugins/multiedit/multiedit/__init__.py
plugins/multiedit/multiedit/windowactivatable.py

commit eb4f3af773b5c5f36065947576d1e66f9ece55d1
Author: ghugesagar <ghugesss@gmail.com>
Date:	2014-01-13

    Replaced the GtkTable with GtkGrid

M	plugins/multiedit/multiedit/documenthelper.py

commit 8039ad8aa796fe93acc4ea5508cebf4333103d99
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-01-12

    textsize: make it implement the view activatable

M	plugins/textsize/Makefile.am
M	plugins/textsize/textsize/__init__.py
R082	plugins/textsize/textsize/documenthelper.py
plugins/textsize/textsize/viewactivatable.py

commit 1062d49220442c085665d092cfb730258b7e3c3b
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-01-11

    Added schemer/__init__.py to POTFILES.in

M	po/POTFILES.in

commit 011f1142ade71f029e1b2d5912e859ec03320439
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-01-11

    Update ignores

M	Makefile.am
M	help/Makefile.am

commit 8949e6d6da85a26076064f20b4cf756dc7e6ea5d
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-01-11

    Non recursive make

M	Makefile.am
M	configure.ac
M	plugins/Makefile.am
M	plugins/bookmarks/Makefile.am
M	plugins/bracketcompletion/Makefile.am
M	plugins/charmap/Makefile.am
D	plugins/charmap/charmap/Makefile.am
M	plugins/codecomment/Makefile.am
M	plugins/colorpicker/Makefile.am
M	plugins/colorschemer/Makefile.am
R100	plugins/colorschemer/schemer/schemer.ui
plugins/colorschemer/schemer.ui
M	plugins/commander/Makefile.am
D	plugins/commander/commander/Makefile.am
D	plugins/commander/commander/commands/Makefile.am
D	plugins/commander/modules/Makefile.am
D	plugins/commander/modules/find/Makefile.am
M	plugins/dashboard/Makefile.am
D	plugins/dashboard/dashboard/Makefile.am
M	plugins/drawspaces/Makefile.am
M	plugins/git/Makefile.am
D	plugins/git/git/Makefile.am
M	plugins/joinlines/Makefile.am
M	plugins/multiedit/Makefile.am
D	plugins/multiedit/multiedit/Makefile.am
M	plugins/smartspaces/Makefile.am
M	plugins/synctex/Makefile.am
D	plugins/synctex/synctex/Makefile.am
M	plugins/terminal/Makefile.am
M	plugins/textsize/Makefile.am
D	plugins/textsize/textsize/Makefile.am
M	plugins/wordcompletion/Makefile.am
M	po/POTFILES.in

commit b073cd01ce77d9e010dff8619118f56bf22d9cb1
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-01-11

    joinlines: move menu items to context menu

M	plugins/joinlines/joinlines.py

commit 799a1a3575aed727ffb055330e854101f33c9960
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-01-11

    codecomment: use de/activate to add/remove the actions

M	plugins/codecomment/codecomment.py

commit d5d1a2c56604b079f85b17e43d98ecd462f9c1c7
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-01-11

    codecomment: remove useless import

M	plugins/codecomment/codecomment.py

commit a5aad89da1c79a6a6bb7568caee97bf08a0c90b2
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-01-11

    codecomment: delattr instead of setting it to None

M	plugins/codecomment/codecomment.py

commit 6337e8d3e7d6f89af266de22d968abff96b0eda1
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-01-11

    codecomment: move menuitems to context menu

M	plugins/codecomment/codecomment.py

commit 5def9e0d9044e0c77d6aa9ebfea5d649827b915b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-01-10

    Port bookmarks plugin to new menu api

M	plugins/bookmarks/Makefile.am
A	plugins/bookmarks/gedit-bookmarks-app-activatable.c
A	plugins/bookmarks/gedit-bookmarks-app-activatable.h
M	plugins/bookmarks/gedit-bookmarks-plugin.c

commit 564117ed73ea563b07cb174ca4a2e3ad5866d661
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-01-10

    Port colorschemer to new menu api

M	plugins/colorschemer/schemer/__init__.py

commit fc41e5f1619f7a40b7933af7a0103059f0734270
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-01-10

    Port textsize to new menu api

M	plugins/textsize/textsize/__init__.py

commit 401cfde477b94269e08704eb73fa3edb2b6bfbe2
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-01-09

    Port multiedit to new menu api

M	plugins/multiedit/multiedit/__init__.py

commit 648aec4fe9111402852745e11ad52ee5fae2fbcc
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-01-09

    Port commander to new menu api

M	plugins/commander/commander/__init__.py
M	plugins/commander/commander/windowactivatable.py

commit a52e6d04c4df632455a65cad1ff807fc488ac81e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-01-09

    Port joinlines to the new menu api

M	plugins/joinlines/joinlines.py

commit 5fb236e5ad7a2006169c9496bf1fb6424201b8c7
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-01-09

    colorpicker: add_child_in_window changed the behavior

M	plugins/colorpicker/colorpicker.py

commit 63ddc25be1ac9024c70aa0b5e15b70e4645b724f
Author: Simon Linden <xhi2018@gmail.com>
Date:	2014-01-08

    Updated German translation

M	po/de.po

commit 86bb982758746a4a2cb1c43291df7c31e0c02e0b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-01-08

    colorpicker: fix for get_rgba annotation change

M	plugins/colorpicker/colorpicker.py

commit 16872ce005cf501bef898a0b371a5d3ef27336cb
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-01-08

    drawspaces: set the correct setting name

M
plugins/drawspaces/org.gnome.gedit.plugins.drawspaces.gschema.xml.in.in

commit fb3a087a80fd92bb0c8fd9dd03bd0f123a973bc5
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-01-08

    Port colorpicker to new menu api

M	plugins/colorpicker/colorpicker.py

commit 5c21d8aa379a91e1cfa487fae2f191f1599a9397 (origin/wip/redesign)
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-01-07

    codecomment: port to new menu api

M	plugins/codecomment/codecomment.py

commit 61a85d057f579e2c74f68cbb87fab28398ebd7ce
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-01-07

    charmap: use the constructor for scrolled windows

M	plugins/charmap/charmap/panel.py

commit 3ad292fd055719ad08cd4a9b2a96ff6468748e9a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-01-07

    charmap: remove shadows

M	plugins/charmap/charmap/panel.py

commit b345ce7035fb1f0dcd657cea13330fe80ad79dfa
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-01-07

    Port drawspaces to new menu api

M	plugins/drawspaces/gedit-drawspaces-plugin.c

commit 651440b7869f27641bebcefa312fb0f818dd9c7d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-01-07

    git: use an idle to update location when the filebrowser's inserted
    is emitted

M	plugins/git/git/windowactivatable.py

commit d87bd673f2850a60f912c33375aa8b2cd5c25ce7
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2014-01-03

    Updated Polish translation

M	po/pl.po

commit 88eab6040fea62dfa5fcb85c04b764941e5415de
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2014-01-03

    Updated Galician translations

M	po/gl.po

commit 86048e77cb6cdec27633757eaae58dbc99699b1e
Author: Christian Kirbach <christian.kirbach@gmail.com>
Date:	2014-01-02

    Updated German translation

M	po/de.po

commit 4145b9aeb7d2d7b9676740953b961cde2458b0c4
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-12-24

    git: wrap the idle call into its own method

M	plugins/git/git/windowactivatable.py

commit bc108642dbd5ad0bf7efd2ab13c95eb49ca17ad6
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-12-24

    git: use an idle to update the status of the filebrowser files
    on focus-in

M	plugins/git/git/windowactivatable.py

commit 1c06b5b157b65aaa57523496f78ccbb54dabc11a
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2013-12-13

    [l10n] Updated Italian translation.

M	po/it.po

commit 3d068cd7b0923570231cab261e42ef689d47af53
Author: Volker Sobek <reklov@live.com>
Date:	2013-12-03

    bookmarks: Be more specific when deleting ranges

    Keep one bookmark if the line the range started or ended in has a
    bookmark, otherwise remove all bookmarks from the range.

    Previously, deleting a range containing bookmarks always left one
    bookmark, no matter where in the deleted range the bookmarks had been.

    https://bugzilla.gnome.org/show_bug.cgi?id=719804

M	plugins/bookmarks/gedit-bookmarks-plugin.c

commit 8ff5cff06fb74c2e2485f2f9c1d44034e5bcadbf
Author: Volker Sobek <reklov@live.com>
Date:	2013-11-24

    bookmarks: Add remove_all_bookmarks function

    And call it in on_document_loaded before loading the bookmarks, to
    ensure we don't end up with an additional bookmark in the first line
    after reverting a document that contained bookmarks.

    https://bugzilla.gnome.org/show_bug.cgi?id=719800

M	plugins/bookmarks/gedit-bookmarks-plugin.c

commit eb66373d09eb183c92d9f8b9816aed282eef8c2d
Author: Marek Černocký <marek@manet.cz>
Date:	2013-12-03

    Updated Czech translation

M	po/cs.po

commit 00c192f0a00d09f1c384dad608ec7035473f4bec
Author: Milagros Alessandra Infante Montero <maim92@gmail.com>
Date:	2013-11-27

    Updated Spanish translation

M	help/es/es.po

commit 2f089f6a40ab80e1e70fbf94c7cb148b6426271c
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-11-27

    Revert "Updated Spanish translation"

    This reverts commit e806e33aef5e36762aecc2568a7b7d62c37c8b83.

M	po/es.po

commit e806e33aef5e36762aecc2568a7b7d62c37c8b83
Author: Milagros Alessandra Infante Montero <maim92@gmail.com>
Date:	2013-11-27

    Updated Spanish translation

M	po/es.po

commit 8f33883f8ba44c388d0e69a2fea3987c2dc382ae
Author: Volker Sobek <reklov@live.com>
Date:	2013-11-26

    bookmarks: Fix on_delete_range

    When deleting a range that did not start at the beginning of a line,
    the bookmarks contained in the range were left in the buffer, in the
    middle of the line. This broke bookmark navigation. And in case the
    line didn't already have a bookmark at the beginning, it caused
    the bookmark pixbuf (star symbol) in the line marks to disappear.

    https://bugzilla.gnome.org/show_bug.cgi?id=719345

M	plugins/bookmarks/gedit-bookmarks-plugin.c

commit 8381ae8c292c24f235776a5a8d8263d5a1bd2317
Author: Volker Sobek <reklov@live.com>
Date:	2013-11-24

    bookmarks: Update action group sensitivity

    Fix crash that occurred on the toggle bookmark action when no document
    was open. It was possible to trigger the crash because the actions for
    the plugin were always sensitive, even when there was no open
    document.

    Additionally protect against NULL in toggle_bookmark.

    https://bugzilla.gnome.org/show_bug.cgi?id=715117

M	plugins/bookmarks/gedit-bookmarks-plugin.c

commit 1c099e0d317c32fabe5fea9889070cc6e8fe51af
Author: Yosef Or Boczko <yoseforb@gmail.com>
Date:	2013-11-24

    Updated Hebrew translation

M	po/he.po

commit b3668d444e375c2f67555898954c125742719d39
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-11-07

    Updated Spanish translation

M	po/es.po

commit fdb19a9e811e6849cabb0d96d602c117d5a0c806
Author: Paula Furtado <paularfurtado@gmail.com>
Date:	2013-11-05

    help: remove tag-list.page, bug 710988

D	help/C/tag-list.page
M	help/Makefile.am

commit f6323bbe2f47b4b9b8a19909b621a98a4c8196a1
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2013-11-02

    Updated Slovenian translation

M	po/sl.po

commit 6be6b60f5268e1a70cf845aa05fecbd0291eecf0
Author: Marek Černocký <marek@manet.cz>
Date:	2013-10-30

    Updated Czech translation

M	help/cs/cs.po

commit 824cbb4fac7570861bb7657ac2f8859835a411ac
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	2013-10-28

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 14ed483f5ddf7fb658d4989861b7ecd393282db4
Author: Aleksandra Hankus <ola.hankus@gmail.com>
Date:	2013-10-25

    Change description of Git plugin

M	plugins/git/git.plugin.desktop.in.in

commit f03ae1dfead1680c77ebeefa2045b202ac1740d7
Author: Aleksandra Hankus <ola.hankus@gmail.com>
Date:	2013-10-25

    Added documentation for Git plugin

A	help/C/git.page
M	help/Makefile.am

commit 107e90b73c9c96c2e77bad647c893a406b612e85
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-10-18

    Use symbolic icons in the panel for terminal and charmap

M	plugins/charmap/charmap/__init__.py
M	plugins/terminal/terminal.py

commit 1de3bab2f1e9b53c36c0a6a7d148b3f759c57469
Author: Andika Triwidada <andika@gmail.com>
Date:	2013-09-27

    Updated Indonesian translation

M	po/id.po

commit f7ee1be8428bcd3f69ea4f07b503cac62e287c3e
Author: Christian Persch <chpe@gnome.org>
Date:	2013-09-26

    terminal: Remove unnecessary calls to set background

    It's off by default anyway, no need to explicitly set it again.

    Bug #708777.

M	plugins/terminal/terminal.py

commit f284c4007380717c18a52fc5150cec528e2a0669 (tag: 3.10.0)
Author: Ignacio Casal Quinteiro <ignacio.casal@nice-software.com>
Date:	2013-09-23

    Release 3.10.0

M	NEWS
M	README
M	configure.ac

commit 3bc555572f54e263df8d18c25aff7f65bcbf554f
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2013-09-23

    Updated Galician translations

M	po/gl.po

commit 5fde5c9e136c35f98b0b6f82e55a0b74273af210
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2013-09-21

    Updated Brazilian Portuguese translation

M	help/pt_BR/pt_BR.po

commit 43ec42eefe3521ced4f0b609fb9eedce8079f8ab
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	2013-09-22

    Updated Latvian translatio

M	po/lv.po

commit cd1d94c5d7e1c2f21b08d848ae2921074f721c70
Author: Ville-Pekka Vainio <vpvainio@iki.fi>
Date:	2013-09-14

    Finnish translation update by Jiri Grönroos

M	po/fi.po

commit 4a38bda3b4dc9dba532c2ead4e7071580ee780a3
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2013-09-14

    Updated Korean translation

M	po/ko.po

commit b4144eac26e1cf5d65ae51b217db060f8634a847
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2013-09-08

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 761c78a617116f6fc205cd6e2599cec4f9639b9a
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-08-30

    Remove icon that does not exits anymore

M	plugins/smartspaces/smartspaces.plugin.desktop.in.in

commit 46af49b1722adc417bf416a88a9e43ee4280066b
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2013-08-26

    [l10n] Updated Italian translation.

M	po/it.po

commit 0b39f617a4c4fb4e303269dd99f75c5a042e3448
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:	2013-08-25

    Updated Hungarian translation

M	po/hu.po

commit cbb82a5c05c1492c238f49d49569597e29aae59b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-08-24

    Updated Polish translation

M	po/pl.po

commit 697cf36496726a6cf18f138ef3bc4d015a1091bb
Author: Marek Černocký <marek@manet.cz>
Date:	2013-08-20

    Updated Czech translation

M	po/cs.po

commit bc873ddd56176fed31936e0918e511a1cb34b882
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2013-08-17

    Updated Slovenian translation

M	po/sl.po

commit bcb40076ce55e6a52a4c9dc25b478b01961deadf
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2013-08-15

    Updated Lithuanian translation

M	po/lt.po

commit fc85f9f9ace67c8e067c68768ee836b46044a9e1
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-08-14

    Updated Spanish translation

M	po/es.po

commit a3d7a3082730d2905e5521c7f680e0199f7c3629
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2013-08-10

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit c8a400dcabe571039131bd71781223e59bdb5f28
Author: Marek Černocký <marek@manet.cz>
Date:	2013-08-02

    Updated Czech translation

M	po/cs.po

commit 0084472a746590fd87b0b659a5137fe721c2ace7
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-08-02

    Updated POTFILES.in and POTFILES.skip

M	po/POTFILES.in
M	po/POTFILES.skip

commit 2b566dd86e23f3d7c7680650dba052630d7c993c
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:	2013-08-01

    git: Mark name and description as translatable

    https://bugzilla.gnome.org/show_bug.cgi?id=705306

M	plugins/git/git.plugin.desktop.in.in

commit 9cfe104132bf866aa1ed33c3065dcc429ccdd3cb
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2013-07-25

    Updated Brazilian Portuguese translation proofread by Antonio
    Fernandes C Neto and Enrico Nicoletto

M	po/pt_BR.po

commit 5ee1403b409c1659b7e9fecdd04be17b77420032
Author: Marek Černocký <marek@manet.cz>
Date:	2013-07-21

    Updated Czech translation

M	help/cs/cs.po

commit f4e448eb075b25e0e80f49587f41acb3f81b4aef (tag: 3.9.2)
Author: Garrett Regier <garrett@yorba.org>
Date:	2013-07-19

    Release 3.9.2

M	NEWS
M	README
M	configure.ac

commit 65d10cdea072c54dfea38fe98e11acf1a0b2bc95
Author: Garrett Regier <garrett@yorba.org>
Date:	2013-07-19

    Fix distcheck

M	plugins/wordcompletion/Makefile.am

commit 7ee28f9bcfc0b24507463a281c38c05557aa7e9b
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:	2013-07-13

    Updated Greek translation

M	po/el.po

commit 3a18c36bcdd22711d22ef265a37ab5bd68b76517
Author: 甘露(Lu Gan) <rhythm.gan@gmail.com>
Date:	2013-07-11

    update Simplified Chinese (zh_CN) translation

M	po/zh_CN.po

commit 9eb16db1f8b691731ccb31f4faca99e4137a75c5
Author: Marek Černocký <marek@manet.cz>
Date:	2013-07-10

    Updated Czech translation

M	po/cs.po

commit 27f002d40083648bcebebfac835a98984e4eac8f
Author: Marek Černocký <marek@manet.cz>
Date:	2013-07-09

    Updated Czech translation

M	po/cs.po

commit 397c1e7364a85bc87caf7e97d56bb3b48d06635b
Author: Garrett Regier <garrett@yorba.org>
Date:	2013-07-03

    Update how the git plugin show changes in the file browser

    Use bold for new and modified files and strikethrough for deleted.

M	plugins/git/git/windowactivatable.py

commit 323964a5ea1e519df732e448eb88f3705b39d54a
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2013-07-01

    Silence the new GTK+ deprecations as we cannot fix them now

    Many APIs which gedit requires are now deprecated.

M	configure.ac

commit 1e93ac21771f2ef77e3e95728df1c52e12a6b59b
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2013-07-01

    Bump required gedit for the git plugin

M	configure.ac

commit 9a414947265750c2e2245048d5e432381020e3f1
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2013-07-01

    Bug 702336 - Show the file's git status in the file browser

M	plugins/git/git/Makefile.am
M	plugins/git/git/__init__.py
M	plugins/git/git/viewactivatable.py
A	plugins/git/git/windowactivatable.py

commit 58025fadf1b4ae5bfae433e31f8ae68f011ef209
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2013-06-29

    Fix Ctrl+D in terminal plugin

M	plugins/terminal/terminal.py

commit 43cdee439ac560263fb96b1cce306dc3ba6e49b3
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2013-06-29

    Bug 610978 - Allow using normal keyboard shortcuts in terminal plugin

M	plugins/terminal/terminal.py

commit 1cc6c1254c8fdfa02de633a1b154f04606b9b377
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2013-06-19

    [l10n] Updated Italian translation.

M	po/it.po

commit 068831d15e0a8a33ffcf08969dc5628faee777a8
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:	2013-06-19

    Updated German translation

M	po/de.po

commit a31c10743c3b1152c55cf815d201767b9e767675
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2013-06-15

    Don't use xrange() in multiedit

M	plugins/multiedit/multiedit/documenthelper.py

commit 4cc3eb43eef960a29dd80ed6dd9e7b62cc610248
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2013-06-13

    Updated Slovenian translation

M	po/sl.po

commit 1782182eb02ed04e04bd1f20060a761db3d5d55b
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-06-13

    Updated Spanish translation

M	po/es.po

commit e737c0aaa61b630eebb0db991aeeeeb6e755c55a
Author: Marek Černocký <marek@manet.cz>
Date:	2013-06-10

    Updated Czech translation

M	po/cs.po

commit b3568715fa5e3a000bd6414032a1fe4a4a91d269
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-06-09

    word completion: add configure options

    - minimum word size
    - whether to enable interactive completion

    GtkSourceView >= 3.9.2 required.

    https://bugzilla.gnome.org/show_bug.cgi?id=614103

M	configure.ac
M	plugins/wordcompletion/Makefile.am
A	plugins/wordcompletion/gedit-word-completion-configure.ui
M	plugins/wordcompletion/gedit-word-completion-plugin.c
M	plugins/wordcompletion/gedit-word-completion-plugin.h
A	plugins/wordcompletion/gedit-word-completion.gresource.xml
A
plugins/wordcompletion/org.gnome.gedit.plugins.wordcompletion.gschema.xml.in.in
M	po/POTFILES.in
M	po/POTFILES.skip

commit ba480b0725786a461ff2f0fe8daae79f85454677 (tag: 3.9.1)
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-06-04

    Release 3.9.1

M	NEWS
M	README
M	configure.ac

commit e895517dd62b6bfacb70471518d3630f3a1326e2
Author: Adam Dingle <adam@yorba.org>
Date:	2013-05-27

    terminal: Fix Change Directory command

    https://bugzilla.gnome.org/show_bug.cgi?id=701085

M	plugins/terminal/terminal.py

commit 97fc4c292d079bcaa8ec607602bba29ca4c3a8e6
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2013-05-27

    Updated Norwegian bokmål translation

M	po/nb.po

commit 6b8ba983db5e4b5d9487756b28b6d2f1c31b8a14
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-05-27

    Updated Spanish translation

M	help/es/es.po

commit 867cac79610da4c2773ebed35629b226ee6737cb
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-05-26

    terminal: use path instead of uri

M	plugins/terminal/terminal.py

commit 8ba90c625f89634d0af48e7c3596404bd830818a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-05-24

    terminal: handle drag and drop of files

    https://bugzilla.gnome.org/show_bug.cgi?id=700951

M	plugins/terminal/terminal.py

commit 992e04db6ad635533aead915fc0e51b14072fa61
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-05-24

    terminal: override signal instead of connect to it

M	plugins/terminal/terminal.py

commit b504847ebe9183f663ece9f088d77a26b7360837
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-05-24

    terminal: factor out vte terminal subclass

M	plugins/terminal/terminal.py

commit a6a58e7219bc95908e6389c6b3afe145a8dcde7d
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-05-23

    Updated Spanish translation

M	help/es/es.po

commit e6787acbc1682a604fb94f60477c796cd504d89e
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-05-23

    Fixed typo in string

M	help/C/tag-list.page

commit 95ac959e2f1600b4673d5fd08944717d65e8bb2e
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-05-23

    Modified title in dummy index with a more user-friendly message

M	help/C/index.page

commit 733421283b5f064e233bd915905a1ca16eff919c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-05-23

    terminal: missing trailing /

M	plugins/terminal/terminal.py

commit fbb0ffb7f563a5c9d7d64fc025d716e131abe157
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-05-23

    terminal: follow gnome-terminal profile settings

M
plugins/terminal/org.gnome.gedit.plugins.terminal.gschema.xml.in.in
M	plugins/terminal/terminal.py

commit 3dcfcce6e05af7b464840c1734808449349bd0ce
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	2013-05-19

    Add a help HACKING file

    The HACKING file explains about the broken links and index.page
    (and any
    other oddities that will arise from this help being installed in the
    gedit help).

A	help/C/HACKING

commit 912906c833cd2de81130eb1973169c16ccf2757d
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	2013-05-19

    Make the help licence install correctly

    Because gedit has a legal.xml, gedit-plugins cannot have a licence
    file
    with the same name. Therefore, to avoid clashes between the two,
    gedit-plugins should use legal-plugins.xml for its licence and once
    installed, it should be displayed correctly.

A	help/C/legal-plugins.xml
D	help/C/legal.xml
M	help/C/tag-list.page
M	help/C/terminal.page
M	help/C/text-size.page
M	help/C/word-completion.page
M	help/Makefile.am

commit dad035fe94fe1b7588507fe97f3a65ecb4310ec3
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	2013-05-18

    Add legal.xml from gedit to help as it was missing

A	help/C/legal.xml

commit 44f9f78ffa04547cfab6487ef0ebed2c204d7258
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	2013-05-18

    Add dummy index for l10n statistics

    Add an index.page so that help statistics show up on
    https://l10n.gnome.org/module/gedit-plugins/

    See https://bugzilla.gnome.org/show_bug.cgi?id=700076#c18 for more
    details.

A	help/C/index.page

commit ce88dee5b0d956e8364373dbe6496735d75183dd
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	2013-05-16

    Add user help translations

    Copy the .po files from gedit as the help pages have already been
    translated into some languages.

M	help/Makefile.am
A	help/ar/ar.po
A	help/bg/bg.po
A	help/ca/ca.po
A	help/cs/cs.po
A	help/da/da.po
A	help/de/de.po
A	help/el/el.po
A	help/es/es.po
A	help/eu/eu.po
A	help/fi/fi.po
A	help/fr/fr.po
A	help/gl/gl.po
A	help/hu/hu.po
A	help/it/it.po
A	help/ja/ja.po
A	help/ko/ko.po
A	help/lv/lv.po
A	help/oc/oc.po
A	help/pt_BR/pt_BR.po
A	help/ru/ru.po
A	help/sl/sl.po
A	help/sv/sv.po
A	help/te/te.po
A	help/th/th.po
A	help/uk/uk.po
A	help/zh_CN/zh_CN.po
A	help/zh_HK/zh_HK.po
A	help/zh_TW/zh_TW.po

commit 777a0f15266a1ab148b44fcd21fd7bb9b5423f48
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	2013-05-16

    Tidy user help

    Mark emails as untranslatable. Tidy style. Improve markup.

M	help/C/bookmarks.page
M	help/C/bracket-comp.page
M	help/C/character-map.page
M	help/C/code-assistance.page
M	help/C/code-comment.page
M	help/C/color-picker.page
M	help/C/commander.page
M	help/C/dashboard.page
M	help/C/draw-spaces.page
M	help/C/join-split-lines.page
M	help/C/multi-edit.page
M	help/C/session-saver.page
M	help/C/tag-list.page
M	help/C/terminal.page
M	help/C/text-size.page
M	help/C/word-completion.page

commit 9fafdc035f3f26b18025919294a6315161588d84
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	2013-05-16

    Add user help, bug 700076

    Add help pages for the plugins, which used to be in the gedit help and
    were removed from there in commit
    ca59dc566b7f948086be85b29f8da205d8f4c83c.

M	Makefile.am
M	configure.ac
A	help/C/bookmarks.page
A	help/C/bracket-comp.page
A	help/C/character-map.page
A	help/C/code-assistance.page
A	help/C/code-comment.page
A	help/C/color-picker.page
A	help/C/commander.page
A	help/C/dashboard.page
A	help/C/draw-spaces.page
A	help/C/join-split-lines.page
A	help/C/multi-edit.page
A	help/C/session-saver.page
A	help/C/tag-list.page
A	help/C/terminal.page
A	help/C/text-size.page
A	help/C/word-completion.page
A	help/Makefile.am

commit 0c3cbca66bb61fcf79e488f567641db4f812da0e
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2013-05-15

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit a411fb0ba3128c1dbc45f0666ae4cd24fe3e7e63
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	2013-05-13

    Update French translation

M	po/fr.po

commit bbf1959096fc90b5a8568d3ea9081d11c0885618
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-05-13

    colorschemer: remove translatable string "X"

    "X" was the title of the tree view column, but headers_visible
    is false,
    so the "X" was never shown.

    Thanks to Alexandre Franke.

M	plugins/colorschemer/schemer/schemer.ui

commit 550eff640283474844944a3d52b9192e5cce1ff6
Author: Marek Černocký <marek@manet.cz>
Date:	2013-05-12

    Updated Czech translation

M	po/cs.po

commit 1ee621d94784c6a9f1a1af803d17e6d52befc252
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2013-05-04

    Updated Slovenian translation

M	po/sl.po

commit 53caae5caa21b73fc54df0fe41ae6a7577308953
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:	2013-05-03

    Updated Greek translation

M	po/el.po

commit 7ca14cffee1903af736a18816619cde281c0c3c3
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-05-03

    Updated Spanish translation

M	po/es.po

commit 32b0645218e1713f0480f8e25756b832b5c0018a
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2013-05-01

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 0fa065b72e27637ce2d0e7567c91ac4e70579947
Author: Adam Dingle <adam@yorba.org>
Date:	2013-04-30

    Fix capitalization in Draw Spaces plugin description

M	plugins/drawspaces/drawspaces.plugin.desktop.in.in

commit eba6eea608d705a67ae474a5be5370538c71fe10
Author: Adam Dingle <adam@yorba.org>
Date:	2013-04-30

    Fixed package detection for git plugin.

M	configure.ac

commit ffc35c7ded3e66791b9377368b37d2e06c8079c9
Author: Marek Černocký <marek@manet.cz>
Date:	2013-04-30

    Updated Czech translation

M	po/cs.po

commit d447cba81b99e1d7f665a8850c1d08fe5a984441
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-04-28

    Updated Spanish translation

M	po/es.po

commit 9f353eb12cfc5c2c8032a71d2da4dad2bb1520e7
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2013-04-27

    Updated Lithuanian translation

M	po/lt.po

commit eadc560b5e332026d0231533aa1acce414b8c0cb
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-04-27

    Capitalize "Code comment"

    https://bugzilla.gnome.org/show_bug.cgi?id=699042

M	plugins/codecomment/codecomment.plugin.desktop.in.in

commit 85aaadbae4cfe6f0b8899a5e34a400be9703a86c
Author: Ashley Milsted <ashmilsted@gmail.com>
Date:	2013-04-26

    range() is an iterable in python 3.

M	plugins/synctex/synctex/synctex.py

commit f18c7a3f1bb97d65586993758bea79a05b8b2703
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-04-23

    Add git plugin

M	README
M	configure.ac
A	plugins/git/Makefile.am
A	plugins/git/git.plugin.desktop.in.in
A	plugins/git/git/Makefile.am
A	plugins/git/git/__init__.py
A	plugins/git/git/diffrenderer.py
A	plugins/git/git/viewactivatable.py

commit e919b440716533df30ffd9880c14df5bb983df08
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-04-23

    Update git.mk

M	git.mk

commit e0671f5c041829c74eac34350c47b8d7eff9d56f
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2013-04-19

    [l10n] Updated Italian translation.

M	po/it.po

commit 2e16e1c69c3eb909c9d338ae1d9e8a0624164728
Author: Dominique Leuenberger <dimstar@opensuse.org>
Date:	2013-03-29

    terminal: Require Vte 2.90.

    If for whatever reason we would end up loading Vte 0.0, the plugin
    will
    fail on a clash between Gtk3 (from gedit) and Gtk2 (from Vte 0.0).

    https://bugzilla.gnome.org/show_bug.cgi?id=697230

M	plugins/terminal/terminal.py

commit e101c9dd5cbfe3205bf84ec150ee6dea0d0e66e9
Author: Kalev Lember <kalevlember@gmail.com>
Date:	2013-04-15

    bookmarks: Remove unused variable

M	plugins/bookmarks/gedit-bookmarks-plugin.c

commit b3953a210f417c4dee04506a878d03daf731198e (tag: 3.8.1)
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-04-15

    Release 3.8.1

M	NEWS
M	README
M	configure.ac
M	po/POTFILES.skip

commit 286d88649db8045feb389430d875db23826a2aac
Author: Marek Černocký <marek@manet.cz>
Date:	2013-04-14

    Updated Czech translation

M	po/cs.po

commit 85069ecf2ce8b32355cd6c582cbf94319d90bf23
Author: Seif Lotfy <seif@lotfy.com>
Date:	2013-04-07

    Port Dashboard to use libzeitgeist2

M	plugins/dashboard/dashboard/__init__.py
M	plugins/dashboard/dashboard/dashboard.py
M	plugins/dashboard/dashboard/utils.py

commit 163a4e4b79a82b0cf5c111ed66d4fa077068904a
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-04-11

    Updated Spanish translation

M	po/es.po

commit 048a3e8ced9cac9bd3593d36b02a5a94adfe2168
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:	2013-04-10

    Updated Hungarian translation

M	po/hu.po

commit cdaec3f3a993d9ab585f84dd769165e8dcabd676
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2013-04-09

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 3609efe07fad722b2c2e0176700e76cd13c9ef29
Author: Jono Finger <jonofinger@src.gnome.org>
Date:	2013-04-08

    Updated Gedit Color Schemer to only save files to
    ~/.local/share/gedit/styles/

M	plugins/colorschemer/schemer/schemer.py
M	plugins/colorschemer/schemer/schemer.ui

commit 73b185624f8c65347a4ac132de1a19b5c7f2cdf1
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-04-08

    Updated Polish translation

M	po/pl.po

commit 5619b4cf8484ee5974b897f47b6a73fc7a33aabf
Author: Jono Finger <jonofinger@src.gnome.org>
Date:	2013-04-08

    Updated Gedit Color Schemer
    * Moved launcher from Edit menu to Tools menu
    * Added method for plugin deactivation
    * Sorted languages by their full name instead of their ID.
    * If the user changes the name or ID, it now saves it as a copy
    instead of overwritting the original file.
    * New schemes are now saved to the ~/.local/share/geditstyles/
    directory
    * Made it such that the "Clear" button is disabled when there are
    no style attributes for an style item.
    * Catch and get rid of exception for when a language has no styles.

M	plugins/colorschemer/schemer/__init__.py
M	plugins/colorschemer/schemer/schemer.py
M	plugins/colorschemer/schemer/schemer.ui

commit 7117b036c82676ece90ac13367241e0a9537a5b1
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-04-06

    Updated Polish translation

M	po/pl.po

commit 73aa0e2aba2ea914a4d96acdfc7bb2e0ea986875
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2013-04-05

    Updated Lithuanian translation

M	po/lt.po

commit 97dbab4f6226f1b993947ff44781e2ed392c6650
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-04-05

    Fix warning activating charmap plugin. Fixes #697332.

M	plugins/charmap/charmap/panel.py

commit dc06ad91fa8f87c133a209b791438def1684bbde
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-04-05

    Improve Text Size menu item names. Fixes bug #697385.

M	plugins/textsize/textsize/__init__.py
M	plugins/textsize/textsize/documenthelper.py

commit d7b09287d27b1eb29b9e6b03a3b9843a05416361
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2013-04-05

    Updated Slovenian translation

M	po/sl.po

commit 143b8ca7210af60cb65a99d56128c390cfb7f4cd
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-04-05

    colorpicker: fix for annotation change in gtk+. Fixes bug #697331

M	plugins/colorpicker/colorpicker.py

commit aeb86b057f6fb52fb63428bca7f8b0a4de5bc85b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-04-04

    Updated Polish translation

M	po/pl.po

commit fcf5ae0fc30433b88f47774780ea2412cbbfcba9
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-04-04

    Updated POTFILES.in

M	po/POTFILES.in

commit 79956d46750ccffb127b04eee91d4d1c4088871c
Author: Jono Finger <jonofinger@src.gnome.org>
Date:	2013-04-03

    Added Color Scheme Editor plugin.

M	configure.ac
A	plugins/colorschemer/Makefile.am
A	plugins/colorschemer/colorschemer.plugin.desktop.in.in
A	plugins/colorschemer/schemer/Makefile.am
A	plugins/colorschemer/schemer/__init__.py
A	plugins/colorschemer/schemer/languages.py
A	plugins/colorschemer/schemer/schemer.py
A	plugins/colorschemer/schemer/schemer.ui

commit 220f224349cd59b986f05b90a92d1f69c519faac
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-04-02

    bracketcompletion: wrong behavior when editing just before EOF. Fixes
    #687444

M	plugins/bracketcompletion/bracketcompletion.py

commit eb8a29510af7fe8a967897463cdd19b0ca87dca0
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2013-03-31

    [l10n] Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit daeef6f4200eb2aebb2c2a042773db0dba97f59d
Author: Vicent Cubells <vicent@vcubells.net>
Date:	2013-03-31

    [l10n] Update Catalan translation

M	po/ca.po

commit 0228725d911f07d1109b24363ca42e800de14393 (tag: 3.8.0)
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-03-25

    Release 3.8.0

M	NEWS
M	README
M	configure.ac

commit e67f02faa272d1382ac4d945c92b6956e9c411d8
Author: Thomas Bechtold <thomasbechtold@jpberlin.de>
Date:	2013-03-23

    dashboard: fix syntax error

    https://bugzilla.gnome.org/show_bug.cgi?id=696467

M	plugins/dashboard/dashboard/dashboard.py

commit 4d7d5c02d7f5756415e153d2c3b215ec86dfd5a7
Author: Stas Solovey <whats_up@tut.by>
Date:	2013-03-19

    Updated Russian translation

M	po/ru.po

commit 36e0c0e5f26e49976ba261e6419fb04114478428
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2013-03-09

    Update Arabic translation

M	po/ar.po

commit 17d1e5522da7ab0fc6461ed35fbb31209d765dc5
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-02-17

    Updated Polish translation

M	po/pl.po

commit 1124d980549b5063c294166314f432866365a177
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2013-02-07

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit b4b1601b8bc21c43db7b0142ace22040a24b31d2 (tag: 3.7.1)
Author: Ignacio Casal Quinteiro <ignacio.casal@nice-software.com>
Date:	2013-01-27

    Release 3.7.1

M	NEWS
M	README
M	configure.ac

commit 826d613e858f0afe1c1fe2d6dce4e1768ab6bdaa
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-01-06

    Remove use of has_file_scheme function

M	plugins/terminal/terminal.py

commit 56644f028a873b51b022cde629e8068d3f176e30
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-01-06

    Use the python3 loader

M	plugins/bracketcompletion/bracketcompletion.plugin.desktop.in.in
M	plugins/charmap/charmap.plugin.desktop.in.in
M	plugins/codecomment/codecomment.plugin.desktop.in.in
M	plugins/colorpicker/colorpicker.plugin.desktop.in.in
M	plugins/commander/commander.plugin.desktop.in.in
M	plugins/dashboard/dashboard.plugin.desktop.in.in
M	plugins/joinlines/joinlines.plugin.desktop.in.in
M	plugins/multiedit/multiedit.plugin.desktop.in.in
M	plugins/smartspaces/smartspaces.plugin.desktop.in.in
M	plugins/synctex/synctex.plugin.desktop.in.in
M	plugins/terminal/terminal.plugin.desktop.in.in
M	plugins/textsize/textsize.plugin.desktop.in.in

commit 5a2aa65903661995c73dacc3ed4b36375b5935a0
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-01-06

    Bump libpeas and gedit versions

M	configure.ac

commit 47439b305e78e8e4ccfa1c2562c0d34a408a1068
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-01-05

    bookmarks: use the bookmark symbolic icon.

M	plugins/bookmarks/Makefile.am
D	plugins/bookmarks/bookmark.png
M	plugins/bookmarks/gedit-bookmarks-plugin.c

commit 5757e53b0d3ec4bdf8ad913336e2ba9d7adad008 (origin/wip/python3)
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2012-11-09

    Fix for commander import hell

M	plugins/commander/commander/commands/__init__.py
M	plugins/commander/commander/entry.py

commit e2a46dbc467136fab77e4245a79b8d4334751071
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2012-11-09

    Always use commander.commands.<module>

M	plugins/commander/modules/find/finder.py

commit 69e8f7da735eaedccd493d799238792044671e72
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2012-11-09

    Implemented __eq__ for result

M	plugins/commander/commander/commands/result.py

commit b025c530f03f907665bdde5e6beb3eb27cb02508
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2012-11-09

    Bubble up traceback from generators

M	plugins/commander/commander/commands/__init__.py

commit 80cca402cd19b2e93e972aa009cbca8e69c8ff1f
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2012-11-09

    Corrected local imports using from . import ...

M	plugins/commander/modules/find/regex.py

commit 2727ef1ffcb1b161ecce05deed36eddbc69f2818
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2012-11-09

    Remove test.py test commander module

M	plugins/commander/modules/find/Makefile.am
D	plugins/commander/modules/find/test.py

commit f7ecee18c7e988387139f86af541cbe083d1a415
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2012-11-09

    Disable background color transitions

M	plugins/commander/commander/entry.py

commit c2301e44d213e5b03e93cd8f3abe615b4aea6292
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2012-11-09

    Use same function declaration for import as builtin

M	plugins/commander/commander/commands/rollbackimporter.py

commit 9adb0a0dfbf410f55def67231cdd9909af2f7bb5
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2012-11-09

    Use importlib to import module

M	plugins/commander/commander/commands/module.py

commit ad2734b6c43d5fd66a519a121f257bad652b08b5
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2012-11-09

    More informative error when failing to load module

M	plugins/commander/commander/commands/__init__.py

commit 505c90dfbe71e54cf1763274effae067338c2a9c
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2012-11-09

    Added missing newline

M	plugins/commander/commander/commands/metamodule.py

commit 3a14767d2d6182e95b8d6c1917371a8383542c01
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2012-11-09

    Change __cmp__ to __lt__

M	plugins/commander/commander/commands/method.py
M	plugins/commander/commander/commands/result.py

commit c8ef8e7731928cd154c54bef997e7d7252bbfb58
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2012-11-09

    Remove unicode string literals

M	plugins/commander/commander/info.py

commit af651d281d97f76ac068e9cd2e4161ae5241daf1
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2012-11-09

    Fix local imports

M	plugins/commander/modules/find/__init__.py

commit ebe4640665f88f339e2921825f194d6273d2f4db
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2012-11-09

    Explicitly convert map/filter results to a list

M	plugins/commander/commander/commands/completion.py
M	plugins/commander/commander/commands/module.py
M	plugins/commander/commander/entry.py
M	plugins/commander/modules/find/__init__.py

commit c239cb5899407fe5f329427c797e176766da0a89
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-11-06

    Implement __lt__ instead of __cmp__

M	plugins/commander/commander/commands/method.py

commit 17c0ae61c2b3a355ea14c01fd5570adba18d7fc0
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-11-06

    global apply does not exists anymore

M	plugins/commander/commander/commands/rollbackimporter.py

commit 29ccea817fc7fcb8ea1c650fcf22771a26f13ae8
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-11-06

    No more basestring

M	plugins/commander/commander/commands/__init__.py

commit d39d84a9daf9021fcc45a8def6ad2b69c8675074
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-10-26

    Port plugins to python 3

M	plugins/charmap/charmap/__init__.py
M	plugins/commander/commander/commands/__init__.py
M	plugins/commander/commander/commands/completion.py
M	plugins/commander/commander/commands/method.py
M	plugins/commander/commander/commands/module.py
M	plugins/commander/commander/entry.py
M	plugins/commander/commander/history.py
M	plugins/commander/commander/info.py
M	plugins/commander/modules/align.py
M	plugins/commander/modules/edit.py
M	plugins/commander/modules/find/finder.py
M	plugins/commander/modules/find/regex.py
M	plugins/commander/modules/format.py
M	plugins/commander/modules/grep.py
M	plugins/commander/modules/help.py
M	plugins/commander/modules/move.py
M	plugins/commander/modules/shell.py
M	plugins/dashboard/dashboard/__init__.py
M	plugins/dashboard/dashboard/dashboard.py
M	plugins/multiedit/multiedit/__init__.py
M	plugins/multiedit/multiedit/documenthelper.py
M	plugins/synctex/synctex/__init__.py
M	plugins/synctex/synctex/evince_dbus.py
M	plugins/synctex/synctex/synctex.py
M	plugins/textsize/textsize/__init__.py
M	plugins/textsize/textsize/documenthelper.py

commit 3a324586f4335df47f715556d7c0fd1a61a235b8
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-11-05

    No idea why we still had this files around.

D	.cvsignore
D	m4/.cvsignore
D	plugins/.cvsignore
D	plugins/charmap/.cvsignore
D	plugins/codecomment/.cvsignore
D	plugins/colorpicker/.cvsignore
D	plugins/joinlines/.cvsignore
D	plugins/smartspaces/.cvsignore
D	plugins/terminal/.cvsignore
D	po/.cvsignore

commit 7abf46cf9c6e3f12798e813ffeac28e3594167f0
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-11-05

    Drop session saver plugin.

    This plugin has been broken forever. I like the idea but
    unless somebody comes up and fixes the plugin we have
    decided to drop it.

M	README
M	configure.ac
D	plugins/sessionsaver/Makefile.am
D	plugins/sessionsaver/__init__.py
D	plugins/sessionsaver/dialogs.py
D	plugins/sessionsaver/sessionsaver.plugin.desktop.in.in
D	plugins/sessionsaver/sessionsaver.ui
D	plugins/sessionsaver/store.py
M	po/POTFILES.in
M	po/POTFILES.skip

commit 7f700d32802a526e4f02f41b2ec776380bba39f8
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-11-05

    Drop taglist.

    This plugin is mainly deprecated by snippets and it is really
    not very useful. Let's see what people think about it.

M	configure.ac
D	plugins/taglist/HTML.tags.xml.in
D	plugins/taglist/Latex.tags.xml.in
D	plugins/taglist/Makefile.am
D	plugins/taglist/XSLT.tags.xml.in
D	plugins/taglist/XUL.tags.xml.in
D	plugins/taglist/gedit-taglist-plugin-panel.c
D	plugins/taglist/gedit-taglist-plugin-panel.h
D	plugins/taglist/gedit-taglist-plugin-parser.c
D	plugins/taglist/gedit-taglist-plugin-parser.h
D	plugins/taglist/gedit-taglist-plugin.c
D	plugins/taglist/gedit-taglist-plugin.h
D	plugins/taglist/taglist.plugin.desktop.in.in
M	po/POTFILES.in
M	po/POTFILES.skip

commit 63c989154119626028b80eb55f0d48eee88f6851
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-10-20

    Updated Slovenian translation

M	po/sl.po

commit c01000dbc9d5c5f577474c347bdedf035b0b6a47 (tag: 3.6.1)
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-10-16

    Release 3.6.1

M	NEWS
M	README
M	configure.ac

commit 7d32ec648cf74e91233a0f6789dccb1c109a8b6d
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	2012-10-14

    Updated Latvian translation

M	po/lv.po

commit 319e9a30e3a9dfb75bff55a646a87959d351678a
Author: Chris Leonard <cjl@laptop.org>
Date:	2012-10-13

    Updated British English translation

M	po/en_GB.po

commit 088cff694cd6697f04f099442def04f4279b30da
Author: Ivan Masár <helix84@centrum.sk>
Date:	2012-10-09

    Updated Slovak translation

M	po/sk.po

commit 6eb7310e4f84d18679df37560c32637e79408bf2
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2012-10-07

    Updated Belarusian translation.

M	po/be.po

commit 5ed3bf11e906ce18b7cb50ea0b89ec49aa1974a5
Author: José Aliste <jaliste@src.gnome.org>
Date:	2012-09-26

    synctex: Fix Forward Seach Action from Menu in Gnome 3.4

    Previously, the action callbacks used to have three arguments in pygi.
    Now, the action callbacks have only two as should be. The fix
    should be
    compatible with both versions.

    See https://bugzilla.gnome.org/show_bug.cgi?id=684871

M	plugins/synctex/synctex/synctex.py

commit 3002536550ea95cea9efcc8f61a37a968158ea63 (tag: 3.6.0)
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-09-24

    Release 3.6.0

M	NEWS
M	README
M	configure.ac

commit c742a178dc4fc1a6ba0ab78e5e0080d2e7fa6162
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-09-20

    colorpicker: handle partial colors

M	plugins/colorpicker/colorpicker.py

commit 955fbe17172384ee4d0289024529c2240c3ab5d3
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-09-20

    colorpicker: use the text view instead of the overlay.

    This way we do not get the scrolling in our way.

M	plugins/colorpicker/colorpicker.py

commit 517c8e4f6d05bdadacf1ea917430e6514d34cc91 (tag: 3.5.2)
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-09-19

    Release 3.5.2

M	NEWS
M	README
M	configure.ac

commit 40d4ba2f45d423b67c37252f20195031c1a976dd
Author: Andika Triwidada <andika@gmail.com>
Date:	2012-09-17

    Updated Indonesian translation

M	po/id.po

commit fa8af54d3319b8a64b30d1ddc0010d681c9e3226
Author: Dominique Leuenberger <dimstar@opensuse.org>
Date:	2012-08-19

    trivial: update FSF Address in source files\nFixes bug 682187

M	COPYING
M	plugins/bookmarks/gedit-bookmarks-plugin.c
M	plugins/bookmarks/gedit-bookmarks-plugin.h
M	plugins/bracketcompletion/bracketcompletion.py
M	plugins/charmap/charmap/__init__.py
M	plugins/charmap/charmap/panel.py
M	plugins/codecomment/codecomment.py
M	plugins/colorpicker/colorpicker.py
M	plugins/commander/commander/__init__.py
M	plugins/commander/commander/commands/__init__.py
M	plugins/commander/commander/commands/accel_group.py
M	plugins/commander/commander/commands/completion.py
M	plugins/commander/commander/commands/exceptions.py
M	plugins/commander/commander/commands/metamodule.py
M	plugins/commander/commander/commands/method.py
M	plugins/commander/commander/commands/module.py
M	plugins/commander/commander/commands/result.py
M	plugins/commander/commander/commands/rollbackimporter.py
M	plugins/commander/commander/entry.py
M	plugins/commander/commander/history.py
M	plugins/commander/commander/info.py
M	plugins/commander/commander/transparentwindow.py
M	plugins/commander/commander/utils.py
M	plugins/commander/commander/windowactivatable.py
M	plugins/commander/modules/align.py
M	plugins/commander/modules/bookmark.py
M	plugins/commander/modules/doc.py
M	plugins/commander/modules/edit.py
M	plugins/commander/modules/find/__init__.py
M	plugins/commander/modules/find/finder.py
M	plugins/commander/modules/find/regex.py
M	plugins/commander/modules/find/test.py
M	plugins/commander/modules/format.py
M	plugins/commander/modules/goto.py
M	plugins/commander/modules/grep.py
M	plugins/commander/modules/help.py
M	plugins/commander/modules/move.py
M	plugins/commander/modules/reload.py
M	plugins/commander/modules/set.py
M	plugins/commander/modules/shell.py
M	plugins/dashboard/dashboard/dashboard.py
M	plugins/dashboard/dashboard/utils.py
M	plugins/drawspaces/gedit-drawspaces-plugin.c
M	plugins/drawspaces/gedit-drawspaces-plugin.h
M	plugins/joinlines/joinlines.py
M	plugins/multiedit/multiedit/__init__.py
M	plugins/multiedit/multiedit/documenthelper.py
M	plugins/multiedit/multiedit/signals.py
M	plugins/smartspaces/smartspaces.py
M	plugins/synctex/synctex/synctex.py
M	plugins/taglist/gedit-taglist-plugin-panel.c
M	plugins/taglist/gedit-taglist-plugin-panel.h
M	plugins/taglist/gedit-taglist-plugin-parser.c
M	plugins/taglist/gedit-taglist-plugin-parser.h
M	plugins/taglist/gedit-taglist-plugin.c
M	plugins/taglist/gedit-taglist-plugin.h
M	plugins/textsize/textsize/__init__.py
M	plugins/textsize/textsize/documenthelper.py
M	plugins/textsize/textsize/signals.py
M	plugins/wordcompletion/gedit-word-completion-plugin.c
M	plugins/wordcompletion/gedit-word-completion-plugin.h

commit 267a30f790e7fed9645ddbd09080f21616487afd
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-09-17

    Use mark-set to track the selections

M	plugins/colorpicker/colorpicker.py

commit f0422ea21e8aae11d32c706cadf45739b7cd6ca0
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-09-17

    Show overlayed colorbutton when selecting an hex color

M	plugins/colorpicker/colorpicker.plugin.desktop.in.in
M	plugins/colorpicker/colorpicker.py

commit 7da088fffd03b66ca5f49d495302374143d9c997
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2012-09-15

    Updated Lithuanian translation

M	po/lt.po

commit 388a284da8cee912c4f7934acab3048d2cad8977
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-09-15

    colorpicker: minor cleanup

M	plugins/colorpicker/colorpicker.py

commit 1f86b94c21de5c893c85fc9a91c51e9f1b908e7b
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2012-09-15

    Updated Greek translation

M	po/el.po

commit a705eebf61a61479e1b29db7e1fe67ca51d1ed73
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-09-03

    Updated Polish translation

M	po/pl.po

commit 84ef5645818ac9fade5100cb0d57a4ee85a578b0 (tag: 3.5.1)
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-08-18

    Release 3.5.1

M	NEWS
M	README
M	configure.ac

commit f7b576a235bd5b2e3fecf2a235f287e6db9f52d8
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-08-16

    Added support for smooth scroll

M	plugins/textsize/textsize/documenthelper.py

commit feda97d808d1f936dbd53ac6803512aeb330c669
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-08-16

    Allow calling modules in commander.modules

M	plugins/commander/commander/commands/Makefile.am
M	plugins/commander/commander/commands/__init__.py
A	plugins/commander/commander/commands/metamodule.py

commit 45900a842fccdbdaeaf176404ea96c44b19b50a7
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-08-16

    Support modules with underscores

M	plugins/commander/commander/commands/method.py
M	plugins/commander/commander/commands/module.py

commit 18e07ba374f986881ce417bf52e479855f377c8d
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-08-16

    Make info scrollbar visible again

M	plugins/commander/commander/info.py
M	plugins/commander/commander/transparentwindow.py

commit 5c8e225324968b1ae661ba125fa0173f77157ca3
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-08-16

    Make commander entry appear transparent

M	plugins/commander/commander/entry.py

commit ad4a339517ce99111e6680ce7be8c77fc69160ad
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-08-16

    Fix align help

M	plugins/commander/modules/align.py

commit 5941ac2acdca09c6010456907f5c517292b5a003
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-08-16

    Use PEP whitespaces

M	plugins/commander/commander/__init__.py
M	plugins/commander/commander/commands/__init__.py
M	plugins/commander/commander/commands/accel_group.py
M	plugins/commander/commander/commands/completion.py
M	plugins/commander/commander/commands/exceptions.py
M	plugins/commander/commander/commands/method.py
M	plugins/commander/commander/commands/module.py
M	plugins/commander/commander/commands/result.py
M	plugins/commander/commander/commands/rollbackimporter.py
M	plugins/commander/commander/entry.py
M	plugins/commander/commander/history.py
M	plugins/commander/commander/info.py
M	plugins/commander/commander/modules.py
M	plugins/commander/commander/transparentwindow.py
M	plugins/commander/commander/utils.py
M	plugins/commander/commander/windowactivatable.py

commit ce58f1dc6a449fc89273398c1cb5cec5aeefe008
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-08-16

    Corrected align whitespace groups

M	plugins/commander/modules/align.py

commit a09586b8984256c000b34417fc125f6fedec1eff
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-08-15

    Make align module unicode aware

M	plugins/commander/modules/align.py

commit 60ff669c25716f279dde41c3782fbed51a0287bd
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-08-15

    Fix column edit cut/copy/paste

M	plugins/multiedit/multiedit/documenthelper.py

commit e5b1e18fd778566f04d7d6d3a99e501ae360f6a1
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-08-15

    Make multiedit respond to both Ctrl+e and Ctrl+E

M	plugins/multiedit/multiedit/documenthelper.py

commit 90c1a311292443e27dd6cb0b92ba05c0c78991ef
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-08-15

    Remove duplicate edit points before text is inserted

M	plugins/multiedit/multiedit/documenthelper.py

commit 855c7917b5af49d743eff46d215b6c23c9274969
Author: Benjamin Berg <benjamin@sipsolutions.net>
Date:	2012-08-08

    Fix i18n of the session saver plugin by using unicode gettext.

    This changes the _() function to return a unicode object instead
    of a str object. This way '_("%s") % unicode' works fine even
    if the translated string contains non-ascii characters.

M	plugins/sessionsaver/__init__.py

commit f5cbbb58fcb267c7be0d8d36bf3d4c3e5d74043c
Author: Benjamin Berg <benjamin@sipsolutions.net>
Date:	2012-08-07

    Remove usage of [gs]et_data in other plugins.

M	plugins/commander/commander/info.py
M	plugins/multiedit/multiedit/Makefile.am
M	plugins/multiedit/multiedit/__init__.py
D	plugins/multiedit/multiedit/constants.py
M	plugins/multiedit/multiedit/documenthelper.py
M	plugins/sessionsaver/__init__.py
M	plugins/textsize/textsize/Makefile.am
M	plugins/textsize/textsize/__init__.py
D	plugins/textsize/textsize/constants.py
M	plugins/textsize/textsize/documenthelper.py

commit cd2b19bb8f1b20f9d5f07f2a51cff4d8bf7d8631
Author: Benjamin Berg <benjamin@sipsolutions.net>
Date:	2012-08-07

    Use python attributes instead of set_data (bug #679302)

M	plugins/synctex/synctex/synctex.py

commit e7e024a7691fe570f2acbf946e9e1227cc24c113
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:	2012-08-04

    [l10n] Updated German translation

M	po/de.po

commit 0d62020d31af17eb46e243f51d951c1fab68ce0f
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:	2012-08-02

    Updated Danish translation

M	po/da.po

commit 71545df6f5bb6fcec70f16eae808b97b3a6b30c2
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2012-06-27

    [l10n] Updated Italian translation.

M	po/it.po

commit d3495f8086101f467fafdf7c1d3e63565ed3e5e0
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	2012-05-23

    Updated Latvian translation

M	po/lv.po

commit 4d6a5ff3379bbe574b396257f23a42c780ddf442
Author: Ivan Masár <helix84@centrum.sk>
Date:	2012-05-21

    Updated Slovak translation

M	po/sk.po

commit 6037ba7d1d8c7b5c8410f51e517708265ed7029c
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-05-17

    Updated Spanish translation

M	po/es.po

commit d6f6ace4563172e34f91923f70312671ed442952
Author: Breno Felipe Morais de Santana <breno_info@globomail.com>
Date:	2012-05-01

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit ccf8eea34ffa3382dd9ad213c03826c8c6d46fd2
Author: Michael Biebl <biebl@debian.org>
Date:	2012-04-23

    Bump minimum required version of gtk+ and glib for GResource support

M	configure.ac

commit ca1f2b5cefdb2256a4ae58600c4e3e68f97ed59d
Author: Bruno Brouard <annoa.b@gmail.com>
Date:	2012-04-21

    Updated French translation

M	po/fr.po

commit 0d87182a64dc1b85753db5c180b5e4c71189178f
Author: Daniel Falk <daniel@the22nd.net>
Date:	2010-11-29

    Fix Joinlines to always leave only a single space

M	plugins/joinlines/joinlines.py

commit 82e14c9e70b8e6307404d842ad6f79b04e611aa3
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2012-04-13

    Updated Hebrew translation.

M	po/he.po

commit 460df6f9216bbf18164b8100f0a8d26ed35119a3
Author: Kalev Lember <kalevlember@gmail.com>
Date:	2012-04-11

    Use AC_PATH_PROG() for finding glib-compile-resources

    ... similar to how glib-genmarshal is found.

M	configure.ac

commit e729e93b5b80fee6b4b6afeb8fa4578d2e4e15c6
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:	2012-03-30

    Updated Esperanto translation

M	po/eo.po

commit a9fca6dee31daa4e06cef862f1d322a6a07f79e4 (tag: 3.4.0)
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-03-26

    Release 3.4.0

M	NEWS
M	README
M	configure.ac

commit 98db332fea77f4684916dab546777eec0f32980d
Author: Anita Reitere <nitalynx@gmail.com>
Date:	2012-03-25

    Updated Latvian translation.

M	po/lv.po

commit 4c0e5291f6f067243fcf6c36472903880495c283
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-03-24

    Updated Galician translations

M	po/gl.po

commit 37e89ae015539214d60cf541068246989b8cd7f8
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-03-23

    Updated Galician translations

    Signed-off-by: Fran Diéguez <fran.dieguez@mabishu.com>

M	po/gl.po

commit 6d44cce211c00ba0c5d81d59f3d94cdfc5b15dc6
Author: Praveen Arimbrathodiyil <pravi.a@gmail.com>
Date:	2012-03-19

    Malayalam translation updated by Afsal

M	po/ml.po

commit e70e6832cf1b692fe6d856ab4019b21c4818cbfb
Author: Dominique Leuenberger <dimstar@opensuse.org>
Date:	2011-12-04

    bookmarks: include stdlib.h to have atoi() defined.

    https://bugzilla.gnome.org/show_bug.cgi?id=665541

M	plugins/bookmarks/gedit-bookmarks-plugin.c

commit bc03f96869aa867026f8a5ca9bdc8c5d76ac55a1
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:	2012-03-16

    Updated Latvian translation.

M	po/lv.po

commit 1f3e63a96cd3146697aabe428501763ff864eac5
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-03-16

    Updated Polish translation

M	po/pl.po

commit 039f005e28eb388cf607cf3cb418da149a79a0ca
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2012-03-15

    Updated Hungarian translation

M	po/hu.po

commit 3483d2629deda4ef73421b3073b6364e6b3e003e
Author: António Lima <amrlima@gmail.com>
Date:	2012-03-11

    Updated Portuguese translation

M	po/pt.po

commit 2d441242c4c22ce584544d7e81dd1eaf6b8c5e0d (tag: 3.3.4)
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-03-07

    Release 3.3.4

M	NEWS
M	README
M	configure.ac
M	plugins/drawspaces/Makefile.am

commit 167f54def18ebc565cd26e41208026897ef61b00
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-03-06

    Use ; to separate authors and copyrights

M	plugins/charmap/charmap.plugin.desktop.in.in
M	plugins/codecomment/codecomment.plugin.desktop.in.in
M	plugins/drawspaces/drawspaces.plugin.desktop.in.in
M	plugins/joinlines/joinlines.plugin.desktop.in.in
M	plugins/textsize/textsize.plugin.desktop.in.in

commit 5ef08bd9b5e309605c6b29ff54ac96e0e0816010
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-03-04

    colorpicker: connect after to response

    The reason for this is that we destroy the dialog on response
    and gtk+ also connects to response and sets a property. Our dialog
    gets destroyed and gtk+ tries to set a value to a property which
    does not exists anymore

M	plugins/colorpicker/colorpicker.py

commit c89758ccfbfe3e942dfd8c244ad3f3a73f6b7a35
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-03-03

    colorpicker: update to use new GtkColorChooserDialog

M	plugins/colorpicker/colorpicker.py

commit e9e54b10d3d3a2c7c09ab261ea4c6c3075acbb04
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-03-03

    drawspaces: use GResource

M	configure.ac
M	plugins/drawspaces/Makefile.am
M	plugins/drawspaces/gedit-drawspaces-plugin.c
A	plugins/drawspaces/gedit-drawspaces.gresource.xml

commit 73a207da99456086715c33b3af318b185a13ef1b
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2012-02-27

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 30137183182a6e5245086790ebbc73408c8c71c6 (tag: 3.3.3)
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-02-24

    Release 3.3.3

M	NEWS
M	README
M	configure.ac

commit cd2034c46058e0768032cee3694761f5b474ec17
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-02-17

    charmap: fix api break

M	plugins/charmap/charmap/panel.py

commit 583e60b2b12a17432fe15d041996c9d9ca9b3d3b
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-02-17

    Updated Slovenian translation

M	po/sl.po

commit 3804fbe3a9fa27fb313d4d3b9be8e76ff38dcf14
Author: Marek Černocký <marek@manet.cz>
Date:	2012-02-16

    Updated Czech translation

M	po/cs.po

commit a4a6550aa4cfc55527a20eb3be557edaef62daa2
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-02-09

    Updated Spanish translation

M	po/es.po

commit 387f2fc9f4eca6104be64d800265017e31491515
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-02-07

    Updated POTFILES.in

M	po/POTFILES.in

commit 80a8a7aa5b5e500943fbafb1fab18a8c2602c24f
Author: Vincent Untz <vuntz@gnome.org>
Date:	2012-02-07

    build: Fix check for vte to look for libvte2_90

    We want the GTK+ 3 version of vte.

    https://bugzilla.gnome.org/show_bug.cgi?id=669558

M	configure.ac

commit 379bb99c6868173f16c3363fff185598bd912207 (tag: 3.3.2)
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-02-06

    Release 3.3.2

M	NEWS
M	README
M	configure.ac

commit 90d4a7f52f7b889776a93a852b330983f30600c3
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-04

    [Commander] Added modeline for new command

M	plugins/commander/modules/edit.py

commit 8e2d836fa3c72e2650799f22681bcf515391ed60
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-04

    [Commander] Specify all arguments for load_locations in edit module

M	plugins/commander/modules/edit.py

commit 45572187fce011dca061fcb9cb90eeb76cdc37ca
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-02

    Fix edit.rename module for pygobject

M	plugins/commander/modules/edit.py

commit 0f8284b09045169e60ae7ca1d15f4650059da5c0
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-01

    Remove excessive semicolon from css

M	plugins/commander/commander/entry.py

commit dd4da5b6b5c67d1177dc18eb642ccf8ae6716715
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-01

    Improved gtk doc punctiation

M	plugins/commander/modules/doc.py

commit 9002b88f291252d74d7e4cd4e5676a2aae45bf09
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2012-01-15

    Added configure check for vte (terminal plugin)

M	configure.ac

commit 96c6e348805272e30413bd77da3383012c6d634a
Author: OKANO Takayoshi <kano@na.rim.or.jp>
Date:	2012-01-14

    Updated Japanese translation

M	po/ja.po

commit c93a1c08ee5f9165e816f1c6b0643caba498264a
Author: Jiro Matsuzawa <jmatsuzawa@src.gnome.org>
Date:	2012-01-11

    Updated Japanese translation

M	po/ja.po

commit 2ef8c62dca28df0d5f1139729b020010d509628d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-01-02

    commander: missing ;

M	plugins/commander/commander/entry.py

commit 9b96ad6f0043281205f551186998784f3fa75b25
Author: Bruno Brouard <annoa.b@gmail.com>
Date:	2011-12-24

    Updated French translation

M	po/fr.po

commit 08aaae7a17d9908b47debbf26bee6699b13e19b8
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-12-08

    [l10n] Updated German translation

M	po/de.po

commit b989b3cbd166faacc7a60b289ed09c5f3b345db9
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-12-05

    Updated Spanish translation

M	po/es.po

commit bb48bc734670b59aabded3a65166b07ae6f42d78
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-12-03

    Fixed doc.gtk commander module for using dynamic snippets

M	plugins/commander/modules/doc.py

commit 8b0d15bfc348b8492f600228954c6f046b949f72 (tag: 3.3.1)
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-12-03

    Release 3.3.1

M	NEWS
M	README
M	configure.ac
M	po/POTFILES.skip

commit 21b803190671cfc7759df43fb5c7c33dd49f8b97
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2011-12-02

    Updated Slovenian translation

M	po/sl.po

commit 682406062336c9b936bfa28817317ede5f782a88
Author: Marek Černocký <marek@manet.cz>
Date:	2011-12-01

    Updated Czech translation

M	po/cs.po

commit 378e483929775e1abde6a92010ada5c2192aed1e
Author: Seif Lotfy <seif@lotfy.com>
Date:	2011-11-12

    Add new Dashboard plugin

    Add new Dashboard plugin that displays a grid of recently/most used
    files upon opening a new tab. It also allows searching via Zeitgeist.

    https://bugzilla.gnome.org/show_bug.cgi?id=663466

M	README
M	configure.ac
A	plugins/dashboard/Makefile.am
A	plugins/dashboard/dashboard.plugin.desktop.in.in
A	plugins/dashboard/dashboard/Makefile.am
A	plugins/dashboard/dashboard/__init__.py
A	plugins/dashboard/dashboard/dashboard.py
A	plugins/dashboard/dashboard/utils.py
M	po/POTFILES.in

commit 6571f443ff2075dad946720c2ec69da3a3a28cce (tag: 3.2.1)
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-10-16

    Release 3.2.1

M	NEWS
M	README
M	configure.ac

commit 01395e75cfb606cc9d742c9be5d83b92def37905
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-10-10

    commander: do not deactivate the placeholder.

    This was deactivated due to a bug in pygobject that was fixed today.

M	plugins/commander/modules/doc.py

commit 3e612de889bf8ceb876b097a06ac6f14bcd1e67f
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-10-08

    drawspaces: use gedit_utils_get_ui_objects_with_translation_domain.

M	configure.ac
M	plugins/drawspaces/gedit-drawspaces-plugin.c

commit 57350b6140dc59156b69eb3122643aad875b0aff
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-10-08

    Use i18n-lib instead of normal i18n glib header.

M	plugins/taglist/gedit-taglist-plugin-panel.c
M	plugins/taglist/gedit-taglist-plugin-parser.c
M	plugins/taglist/gedit-taglist-plugin.c

commit 94f36b3ff465e599621a19e8cadb9c4c1897eb6c
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:	2011-10-03

    Updated Latvian translation.

M	po/lv.po

commit 8c6ff64bb64191932e25d1e8a0371c11e5ad3cc7
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-09-30

    commander: add fixme of why we don't use snippets

M	plugins/commander/modules/doc.py

commit c00122bbd9219ae4e9e962616cf425a30c867d84 (tag: 3.2.0)
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-09-26

    Release 3.2.0

M	NEWS
M	README
M	configure.ac

commit aaef19af9acdc67e82343be18da8608d66e03bb6
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:	2011-09-24

    Updated Danish translation

M	po/da.po

commit bdfc96f20967c53a34b6351abcf081b36aade154 (tag: 3.1.5)
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-09-19

    Release 3.1.5

M	NEWS
M	README
M	configure.ac

commit 8b949b19c699c7509df63b15c08e1d2a43aec2f3
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:	2011-09-19

    Updated Latvian translation.

M	po/lv.po

commit b0cb23070cad8cbefae39046dd91079eb6354e2a
Author: dmustieles <daniel.mustieles@gmail.com>
Date:	2011-09-15

    Updated Spanish translation

M	po/es.po

commit 8bc9140ea706bb5dbb5fb1e31c384ef78b488761
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:	2011-09-08

    Updated British English translation

M	po/en_GB.po

commit 366bfc14af71ffb1a7a56322848b15c9b7726ed4
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-09-06

    multiedit: use Gdk.SELECTION_CLIPBOARD.

    just push a patch to be able to use it in pygobject3

M	plugins/multiedit/multiedit/documenthelper.py

commit fd66a8a3258e131a2c7e60bd31de619e877ba6a2
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-09-06

    multiedit: get the clipboard atom

M	plugins/multiedit/multiedit/documenthelper.py

commit 18510470fc9a94d1096efbe7307ee08c36a6f43f (tag: 3.1.4)
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-09-06

    Release 3.1.4

M	NEWS
M	README
M	configure.ac

commit 3ccb324716f890f2eb8930bfeca7e60dc4794bc0
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-09-06

    multiedit: use assign from gtk+

M	plugins/multiedit/multiedit/documenthelper.py

commit e4886115c117464c8a3e77a1deb662f825192dd4
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-09-06

    commander: no need for specifying the length of the string.

M	plugins/commander/commander/entry.py

commit 2b34d20b402a36fb07768a6d5f5f6a438d16dfc0
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-09-06

    multiedit: no need for extra data argument

M	plugins/multiedit/multiedit/__init__.py

commit e1c3d9baa74f9dff3e060bb885bb59a6620952ba
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-09-05

    colorpicker: no need for extra argument

    that was fixed in pygobject 3

M	plugins/colorpicker/colorpicker.py

commit da1f39a9eb428b1229fd50a8f95e588bddc8c035 (tag: 3.1.3)
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-09-01

    Release 3.1.3

M	NEWS
M	README
M	configure.ac

commit fd90966d7c5b1139e089a5e97f0a2c668cabe4b3
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-08-27

    Improved traceback for module execution in commander

M	plugins/commander/commander/entry.py

commit b8fc3515558e8a59d09fb364e679a51308f7c653
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-08-27

    Improve documentation of regex replace in commander

M	plugins/commander/modules/find/regex.py

commit 9632ed6c2f61fae8ad3d919aee81c9ba910ab058
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-08-27

    Remove dotall flag from regex replace in commander

M	plugins/commander/modules/find/regex.py

commit eddcce7532be1e27f3d66d7526be070e8c6e2f7a
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2011-08-23

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 58abd7dd4775bc52bb98aa6936d2f0505d48d4b8
Author: Fran Dieguez <fran@openhost.es>
Date:	2011-08-18

    Updated Galician translations

M	po/gl.po

commit 0f5600d50f6c4c7e55a41a75ae058cffb7bebbc7
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-15

    Use the introspected GLib

M	plugins/commander/commander/__init__.py
M	plugins/commander/commander/commands/__init__.py
M	plugins/commander/commander/entry.py
M	plugins/sessionsaver/store.py
M	plugins/synctex/synctex/evince_dbus.py

commit 3fe0feb3b42b18c7d072513a1371e209f9feab5a
Author: Pieter <pieterprovoost@gmail.com>
Date:	2011-08-14

    sessionsaver: Use file_new_for_uri. Fixes bug #654366

M	plugins/sessionsaver/store.py

commit 99636ac49fc159e741c009390d9fa1d316e48265
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-06

    terminal: correctly parse colors. Fixes bug #656082

    https://bugzilla.gnome.org/show_bug.cgi?id=656082

M	plugins/terminal/terminal.py

commit c6ff94e7f919f37d26aa9996e12ab3cb3368df6f
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-08-05

    Remove use of glib (instead of GLib) in commander modules

M	plugins/commander/modules/edit.py
M	plugins/commander/modules/shell.py

commit 01135c643b5ea67656584420e2ca1f4f0f951eb7
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-03

    sessionsaver: make the combobox entry focusable

M	plugins/sessionsaver/sessionsaver.ui

commit 80c21e87cc4b3789a5b25dc360e9587822800212
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-07-29

    textsize: add separators

M	plugins/textsize/textsize/__init__.py

commit b2eedd13ceed15a57531a3a6d9756a1ba8642bf0 (tag: 3.1.2)
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-07-05

    Release 3.1.2

M	NEWS
M	README
M	configure.ac

commit e18cd9fafa3931431408975aaa858eae069b79b6
Author: José Aliste <jaliste@src.gnome.org>
Date:	2011-06-28

    synctex: call goto_line on an idle when doing sync_source on
    non-open file.

    Doing the goto_line on the 'loaded' signal handler is not enough
    and the scroll_to_cursor does not work, so we
    install a call to goto_line on the idle instead to ensure
    scroll_to_cursor
    does work.

M	plugins/synctex/synctex/synctex.py

commit b07ba6433011829ede2e0ac79c0b0fad10e17022
Author: José Aliste <jaliste@src.gnome.org>
Date:	2011-06-28

    synctex: remove hack to access the tab out of the view.

M	plugins/synctex/synctex/synctex.py

commit 60ebeb8df22c436ec5f573619807183b92abd030
Author: José Aliste <jaliste@src.gnome.org>
Date:	2011-06-28

    synctex: Fix SyncSource when a input_file is not already open.

M	plugins/synctex/synctex/synctex.py

commit f1c746e712796639b43975fab5021ef723c7191e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-26

    synctex: style fixes

M	plugins/synctex/synctex/synctex.py

commit 51a51ce8bcf5f064c99364b465557c1fdb1f32d6
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-26

    synctex: remove window helper

M	plugins/synctex/synctex/__init__.py
M	plugins/synctex/synctex/synctex.py

commit 0f92f78aee92f305cddcfbe5d037001586b2836c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-25

    synctex: use the introspected Pango

M	plugins/multiedit/multiedit/documenthelper.py
M	plugins/synctex/synctex/synctex.py

commit 703da3b95b26577601aacfd63de1c8c3174be704
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-19

    synctex: use create_tab_from_location

M	plugins/synctex/synctex/synctex.py

commit 8385c4de6318ce5542461e54ad040235a314b5ad
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-19

    synctex: call set_sensitive instead of get_sensitive

M	plugins/synctex/synctex/synctex.py

commit d91f371f2a8c8902ca4ac81361570f0588dee4f0 (tag: 3.1.1)
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-13

    Release 3.1.1

M	NEWS
M	README
M	configure.ac

commit 3244480a46f12111b45b293df3fed5682de21453
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-13

    Do not use Gtk[HV]Box in ui files.

M	plugins/drawspaces/gedit-drawspaces-plugin.ui
M	plugins/sessionsaver/sessionsaver.ui

commit 8db0b6f0efc23c59dc59f9208657e337dda514ad
Author: Garrett Regier <alias301@gmail.com>
Date:	2011-06-12

    No longer use Gtk[HV]Box as it is deprecated

M	plugins/taglist/gedit-taglist-plugin-panel.c
M	plugins/taglist/gedit-taglist-plugin-panel.h

commit 98b3bce0ecf9deefa1edeff779dd8170192e9577
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-10

    sessionsaver: fix some method calls

M	plugins/sessionsaver/__init__.py
M	plugins/sessionsaver/dialogs.py
M	plugins/sessionsaver/store.py

commit fb1a554264c59384e22000eaff3e7bb3a6fda792
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-10

    sessionsaver: use a GtkListStore directly

M	plugins/sessionsaver/__init__.py
M	plugins/sessionsaver/dialogs.py

commit d0fac23ce883f3e9fcdbf73827165f81ba91c52a
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-06-07

    Use Gdk.ModifierType instead of Gdk.EventMask for CONTROL_MASK

M	plugins/commander/modules/find/finder.py

commit e0c5966031eec49a1dfa3b52e349b30fe71edc87
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2011-06-03

    Updated Russian translation

M	po/ru.po

commit 50dcd96bbd173530069be1db32ee870b101f26cb
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2011-06-03

    Updated Russian translation

M	po/ru.po

commit 881a839751db2914880de393d91f974b9b464f02
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-02

    Revert "Don't use both intltool and gettext rules since they conflict
    (#627789)"

    This reverts commit 9cce409effe9e85ced738697070f34e9bf32db15.

    We are not using gnome-autogen so we need this rules

M	configure.ac

commit 6b8b85fe477d98a7171e8bbfb9c45db7113b7647 (tag: 3.0.3)
Author: José Aliste <jaliste@gnome.org>
Date:	2011-05-26

    Release 3.0.3

M	NEWS
M	README
M	configure.ac

commit c4497c20aa9683f388c3325d657edfeee0110065
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-05-26

    sessionsaver: use the uri instead of the GFile

M	plugins/sessionsaver/store.py

commit e4bbe31070f062641f1b8c4616f1b8854b724887
Author: José Aliste <jaliste@gnome.org>
Date:	2011-05-25

    synctex: Adapt evince_dbus.py to the new API when running as script
    and add debug support.

M	plugins/synctex/synctex/evince_dbus.py

commit 9cce409effe9e85ced738697070f34e9bf32db15
Author: Sebastien Bacher <seb128@ubuntu.com>
Date:	2011-05-25

    Don't use both intltool and gettext rules since they conflict
    (#627789)

M	configure.ac

commit 8495d8185c176242c053bbb059c57f8f269831e7
Author: Olav Vitters <olav@vitters.nl>
Date:	2011-05-24

    Use tar-ustar instead of tar-pax to ensure OpenBSD compatibility

M	configure.ac

commit 06ded5f45d0a0927a913d05740f6a1cbfb079769
Author: Javier Jardón <jjardon@gnome.org>
Date:	2011-05-02

    configure.ac: Use silent rules by default

    As we depend on automake 1.11 now

M	configure.ac

commit b58209ca1548922bdd343a9f9c8305a3155669b2
Author: Javier Jardón <jjardon@gnome.org>
Date:	2011-05-02

    configure.ac: Generate xz tarballs instead bz2

    Also use pax tar format to avoid problems with large files

M	configure.ac

commit 270578f04f22d6908696a6fdff1186746db2cf69 (tag: 3.0.2)
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-04-26

    Release 3.0.2

M	NEWS
M	README
M	configure.ac

commit e3ae5d02e035a765ee2bde7c43f263b1e7399a11
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-04-26

    Fix typo causing exception when uncommenting

M	plugins/codecomment/codecomment.py

commit aa30efa4c4a1d71a1c41b8eaa5939ee00527f35c
Author: Jiro Matsuzawa <matsuzawa.jr@gmail.com>
Date:	2011-04-26

    Updated Japanese translation

M	po/ja.po

commit 5ce3905f47cd1fc3b8ef4f40e3bba45c00afa08f
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-04-20

    Update README

M	README

commit ad7b2aa221b7d4c49f1965e077150889e84ad589 (tag: 3.0.1)
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-04-13

    Release 3.0.1

M	NEWS
M	README
M	configure.ac

commit c76a1958b0f09af849409f06735c3d1025d91c1c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-04-13

    Fix warning

M	plugins/wordcompletion/gedit-word-completion-plugin.c

commit a1c07fc3979f9c61e50ef0fbbec318f3228c006e
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-04-12

    Remove debug print of language

M	plugins/codecomment/codecomment.py

commit 2966738ab7d29eb33e325492e632ef3be8abb30a
Author: Christopher Aillon <caillon@redhat.com>
Date:	2011-04-09

    commander: make goto actually work

    pass the correct number of arguments to scroll_to_iter

    https://bugzilla.gnome.org/show_bug.cgi?id=647342

M	plugins/commander/modules/goto.py

commit 2b5d7298e3acc4a82c72aff21e7fb36a308d08f0
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-04-10

    Just use shell syntax for a check to avoid portability issues.

M	configure.ac

commit c353e5fbc9220053a45cbab895451cd0c0c73499
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-04-09

    Fix size of commander entry to fit window

M	plugins/commander/commander/entry.py

commit 9046d727d975c7bcf1cdab558454a39cda4d871a
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-04-09

    Make word completion more robust per window

    Do not rely on GeditWindow (e.g. snippets embeds a GeditView in
    a dialog)

M	plugins/wordcompletion/gedit-word-completion-plugin.c

commit 07e963c82442a874c4ec949d311878e0a8761905
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-04-07

    Fix terminal panel context menu

M	plugins/terminal/terminal.py

commit cfd05d6d01e5f725978422a44662f7146b75372d
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-04-07

    Make multiedit status bar rendering coherent with gutter and commander

M	plugins/multiedit/multiedit/documenthelper.py

commit 189dd9e54dbb7b333684bd18eaf5d72199a432b7
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-04-07

    Use Gedit.utils_text_iter_assign in multiedit

M	plugins/multiedit/multiedit/documenthelper.py

commit 5f3cc4b5983f7b729ac931ac33bd4e3efb820cb8
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-04-07

    Use Gio.file_new_for_path

M	plugins/commander/modules/edit.py

commit 0f032c98550f8128f1f53563c8c356be04d5d7fa (tag: 3.0.0)
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-04-06

    Release 3.0.0

M	NEWS
M	README
M	configure.ac

commit 90e154a3eb7861def17f426f05057799f74530cb
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-04-06

    Port commander to libpeas/gtk3

    https://bugzilla.gnome.org/show_bug.cgi?id=640075

M	plugins/commander/commander/Makefile.am
M	plugins/commander/commander/__init__.py
M	plugins/commander/commander/commands/__init__.py
M	plugins/commander/commander/commands/accel_group.py
M	plugins/commander/commander/commands/completion.py
M	plugins/commander/commander/commands/rollbackimporter.py
M	plugins/commander/commander/entry.py
M	plugins/commander/commander/info.py
A	plugins/commander/commander/modules.py
M	plugins/commander/commander/transparentwindow.py
R072	plugins/commander/commander/windowhelper.py
plugins/commander/commander/windowactivatable.py
M	plugins/commander/modules/bookmark.py
M	plugins/commander/modules/doc.py
M	plugins/commander/modules/edit.py
M	plugins/commander/modules/find/__init__.py
M	plugins/commander/modules/find/finder.py
M	plugins/commander/modules/find/regex.py
M	plugins/commander/modules/move.py
M	plugins/commander/modules/set.py
M	plugins/commander/modules/shell.py

commit a9d9a80763da3998f99d7e7fcd86668ea05b72e7 (tag:
GEDIT_PLUGINS_2_91_3)
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-03-27

    Release 2.91.3

M	NEWS
M	README
M	configure.ac

commit 4dcf610c79669d12127c64067bc8a3aca450c60b
Author: Javier Jardón <jjardon@gnome.org>
Date:	2011-03-27

    configure.ac: Update autotools configuration

    Replace deprecated autoconf macros and use new libtool syntax

M	configure.ac

commit 47075dcbd372c25e909dcdf5471648c52909f775
Author: Javier Jardón <jjardon@gnome.org>
Date:	2011-03-27

    autogen.sh: Use autoreconf instead gnome-autogen

D	INSTALL
M	Makefile.am
M	autogen.sh
M	configure.ac

commit 209e30b205219e6a977cdf758cb73ff787d1f469
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-03-27

    Port to the new message bus

    Note: the conversion was done mechanically since I am not sure what is
    using these bus messages... the bookmarks plugin itself at least now
    compiles and works.

M	plugins/bookmarks/Makefile.am
M	plugins/bookmarks/gedit-bookmarks-plugin.c
A	plugins/bookmarks/messages/gedit-bookmarks-message-add.c
A	plugins/bookmarks/messages/gedit-bookmarks-message-add.h
A	plugins/bookmarks/messages/gedit-bookmarks-message-goto-next.c
A	plugins/bookmarks/messages/gedit-bookmarks-message-goto-next.h
A	plugins/bookmarks/messages/gedit-bookmarks-message-goto-previous.c
A	plugins/bookmarks/messages/gedit-bookmarks-message-goto-previous.h
A	plugins/bookmarks/messages/gedit-bookmarks-message-remove.c
A	plugins/bookmarks/messages/gedit-bookmarks-message-remove.h
A	plugins/bookmarks/messages/gedit-bookmarks-message-toggle.c
A	plugins/bookmarks/messages/gedit-bookmarks-message-toggle.h
A	plugins/bookmarks/messages/messages.h

commit f79edae9119c319ac0d8f67d9c93a8f304424550
Author: José Aliste <jaliste@src.gnome.org>
Date:	2011-03-25

    synctex: Update evince_dbus.py to new DBUS interface of Evince.

M	plugins/synctex/synctex/evince_dbus.py
M	plugins/synctex/synctex/synctex.py

commit 352bbb40742f4781f5af25828468ba07b1e2e183 (tag:
GEDIT_PLUGINS_2_91_2)
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-03-24

    Release 2.91.2

M	NEWS
M	README
M	configure.ac

commit 81f0b7b1f98bb6e4f2327676ac642491da030aa7
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2011-03-23

    [l10n] Updated Italian translation

M	po/it.po

commit 92ff5a8787c8608fc1cf4c3437c4ca1199767973
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-03-23

    Bump gtksourceview to 2.91.9 due to api break

M	configure.ac

commit 6d57016325745d6ee62edfd76812d67bd5280129
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-03-22

    Change GTK_TYPE_SOURCE_VIEW to GTK_SOURCE_TYPE_VIEW

M	plugins/bookmarks/gedit-bookmarks-plugin.c

commit 90481b8077cba4e0a4745268f75c55bb28ec6879
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-03-22

    Use Gedit.utils_text_iter_assign if it is available

M	plugins/multiedit/multiedit/documenthelper.py

commit 895f3c488bc96aece27d11677349754e4886d2f4
Author: António Lima <amrlima@gmail.com>
Date:	2011-03-14

    Updated Portuguese translation

M	po/pt.po

commit ad1002498290fc78a205ff1d8194a2c9a8974465
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2011-03-10

    Updated Polish translation

M	po/pl.po

commit 84d0e5d1e122860ba8e07bbb406fcf5b1e3e84a5
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-03-10

    [multiedit] fix managing of pango extents

M	plugins/multiedit/multiedit/documenthelper.py

commit 7e7c77857f341c23b88a85929679bd3a1b03dce8
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-03-10

    Do not copy the font twice.

M	plugins/textsize/textsize/documenthelper.py

commit 8b665351b6943b3dcad12a20fda08d07875bb8e5
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-03-09

    Copy pango description as we are editing it.

M	plugins/textsize/textsize/documenthelper.py

commit 5d70fca14514cfdfd3238fa6c098e6c8ae0d6455 (tag:
GEDIT_PLUGINS_2_91_1)
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-03-07

    Release 2.91.1

M	NEWS
M	README
M	configure.ac

commit 255a48c71098316f0a0d81fdbb54cfce262213d5
Author: John (J5) Palmieri <johnp@redhat.com>
Date:	2011-03-04

    copy font description we get from context.get_font before modifying it

    https://bugzilla.gnome.org/show_bug.cgi?id=643790

M	plugins/textsize/textsize/documenthelper.py

commit 50307c23148fe61712164712837c145ddcbb9361
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-03-03

    [multiedit] Fixed some problems and added several FIXMEs

M	plugins/multiedit/multiedit/documenthelper.py

commit 40fddb7796faa3b636b833a0c0d7fe981f9b3e3c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-03-02

    Direct access to union attributes.

    We needed to access .key due to a pygobject bug that it is now fixed.

M	plugins/synctex/synctex/synctex.py
M	plugins/textsize/textsize/documenthelper.py

commit c406a994a2f3e543c01515d7ccb061a8c1ece5f9
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-03-02

    Direct access to union attributes.

    We needed to access .key due to a pygobject bug that it is now fixed.

M	plugins/smartspaces/smartspaces.py

commit 95da7079adce262c23683eee7b80da0d1933f785
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-02-21

    Updated Spanish translation

M	po/es.po

commit 783cf412bb32ce9736ff40a747415db454834539
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-17

    Bump gtk+ and glib to the stable versions.

M	configure.ac

commit 9bded09c25c1f4b4b1b95a2963fc9a580e8f0425
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-17

    Use RGBA colors and finally use fork_command_full.

M	plugins/terminal/terminal.py

commit 5ff478934d5f4fca49b79aa9ae275a3a71fc867c (tag:
GEDIT_PLUGINS_2_91_0)
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-16

    Release 2.91.0

M	NEWS
M	README
M	configure.ac

commit 6b2e371b23cd500f0ce4a8d1abdfeaccfd57cacc
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2011-02-13

    Updated Arabic translation

M	po/ar.po

commit fe1d70a7f86c4d8d65a98c995b7bb315a61d4606
Author: Bruno Brouard <annoa.b@gmail.com>
Date:	2011-01-28

    Updated French translation

M	po/fr.po

commit ba827488d3cd18989e9d8ddcbad36348ea7d75d2
Author: Marek Černocký <marek@manet.cz>
Date:	2011-01-28

    Updated Czech translation

M	po/cs.po

commit 0085a9af21594d67763db9168248686f49aefb58
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2011-01-27

    Updated Slovenian translation

M	po/sl.po

commit e8fd2a7160f24ea7dc80415ce5dcab34692f058b
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2011-01-25

    Updated Hebrew translation.

M	po/he.po

commit b045a46537a6f115bb3e897b23fe49a0481281b5
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-23

    Use Gtk.StateFlags.NORMAL instead of 0

M	plugins/terminal/terminal.py

commit 1c706446dd8511bb3e4c6f743bbde2c46701393a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-22

    Use GtkStyleContext to modify the font.

M	plugins/textsize/textsize/documenthelper.py

commit 3f4939013e7cabc9530b6fb4f8e82dd50a5fd3f5
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-21

    [multi-edit] some fixes to use GdkRGBA directly without any
    conversion.

M	plugins/multiedit/multiedit/documenthelper.py

commit 757e3da43fbb5bf9a9ba779a68dbbab9da65cfaf
Author: Kenny Meyer <knny.myer@gmail.com>
Date:	2010-12-09

    Port sessionsaver to libpeas/gtk3

M	plugins/sessionsaver/__init__.py
M	plugins/sessionsaver/dialogs.py
M	plugins/sessionsaver/sessionsaver.ui
M	plugins/sessionsaver/store.py

commit a079e4edac90e6bbab6f444fdebb04bc991921ca
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-20

    Use glib instead of GLib.

M	plugins/multiedit/multiedit/documenthelper.py
M	plugins/terminal/terminal.py

commit bdb9ec659f2172f4a4eddd4dac0fd7ba7132b438
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-19

    Use the right type to get the property.

    We had to use always GObject.Object because there was a bug in
    pygobject
    that now is fixed. So we can check for the right type.

M	plugins/bracketcompletion/bracketcompletion.py
M	plugins/charmap/charmap/__init__.py
M	plugins/codecomment/codecomment.py
M	plugins/colorpicker/colorpicker.py
M	plugins/joinlines/joinlines.py
M	plugins/multiedit/multiedit/__init__.py
M	plugins/smartspaces/smartspaces.py
M	plugins/synctex/synctex/synctex.py
M	plugins/terminal/terminal.py
M	plugins/textsize/textsize/__init__.py

commit 348c3f63eaccd9de88338d888f6a898e4977a24b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-19

    Add missing copyrights.

M	plugins/commander/commander/__init__.py
M	plugins/commander/commander/commands/__init__.py
M	plugins/commander/commander/commands/accel_group.py
M	plugins/commander/commander/commands/completion.py
M	plugins/commander/commander/commands/exceptions.py
M	plugins/commander/commander/commands/method.py
M	plugins/commander/commander/commands/module.py
M	plugins/commander/commander/commands/result.py
M	plugins/commander/commander/commands/rollbackimporter.py
M	plugins/commander/commander/entry.py
M	plugins/commander/commander/history.py
M	plugins/commander/commander/info.py
M	plugins/commander/commander/transparentwindow.py
M	plugins/commander/commander/utils.py
M	plugins/commander/commander/windowhelper.py
M	plugins/commander/modules/find/test.py

commit c454e5dd48d2c04b8e62bca8b85e15221d13cf7e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-19

    Remove useless file.

M	plugins/commander/commander/Makefile.am
D	plugins/commander/commander/modules.py

commit 47a044891821d9312f07f35794fa604f636665a5
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-19

    Use GtkStyleContext.

M	plugins/multiedit/multiedit/documenthelper.py

commit bd6b03d13b265d8f5fc1fd8c5111811b388368bd
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-19

    Fix makefiles to link correctly.

M	plugins/bookmarks/Makefile.am
M	plugins/taglist/Makefile.am

commit d6c1d1ab377a4eb40715a8ab7cd4d7689c98112d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-19

    Use the right gettext domain.

M	plugins/charmap/charmap/__init__.py
M	plugins/colorpicker/colorpicker.py
M	plugins/joinlines/joinlines.py
M	plugins/multiedit/multiedit/__init__.py
M	plugins/synctex/synctex/synctex.py
M	plugins/terminal/terminal.py
M	plugins/textsize/textsize/__init__.py

commit 8359ce41e8dc586b367aa966f58cf4461798584c
Author: Krix Apolinário <krixapolinario@gmail.com>
Date:	2011-01-17

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 91f94cc4329e5b2c7545dc161d91ccb8222151dd
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:	2011-01-16

    Updated Danish translation

M	po/da.po

commit 65dd279db238b57ccbe3fb1353e906f9b378bd57
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:	2011-01-16

    Updated Danish translation

M	po/da.po

commit 60ce03fc3248e6470500fcfcbbe9838d928d6d2d
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-01-15

    Remove stray slash in Makefile.am

    Bug #630838, patch by Jasper Lievisse Adriaanse

M	plugins/bookmarks/Makefile.am

commit 2c5f100a961318700345ba3debf89cd07aa32c43
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-01-15

    Remove gitignore file committed by mistaske

D	plugins/textsize/textsize/.gitignore

commit b2b3f6dba881021bad72c9696f0156076cd21cb8
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-01-15

    Update to latest gsv mark api.

M	plugins/bookmarks/gedit-bookmarks-plugin.c

commit c8e12b688940fdae1f87862eeaeae95e85c0fc50
Author: Petr Kovar <pknbe@volny.cz>
Date:	2011-01-11

    Update Czech translation by Marek Cernocky

    Reviewed by Petr Kovar.

M	po/cs.po

commit bf431907390cfaf84b2cebcb9500de7b95780973
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2011-01-07

    Updated Slovenian translation

M	po/sl.po

commit bd1aae882d2b753e1538d01021a5f808689b2bb7
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-01-06

    Updated Spanish translation

M	po/es.po

commit 86614acd95ffde32dd75f51230d8066feaf3da2f
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2011-01-06

    Updated Hungarian translation

M	po/hu.po

commit 30e4d8861e9277cfd650e88356b9b90052349bdc
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-01-04

    [l10n] Updated German translation

M	po/de.po

commit f83face2b567c8edccd7a2b4ae39bc4a0e1a014b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-03

    Use /org/gnome/ instead of /apps/ in the schemas paths.

M
plugins/drawspaces/org.gnome.gedit.plugins.drawspaces.gschema.xml.in.in
M
plugins/terminal/org.gnome.gedit.plugins.terminal.gschema.xml.in.in

commit 9cef56ea4302996959bb90cb643f23c891df731a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-02

    Update POTFILES

M	po/POTFILES.in
M	po/POTFILES.skip

commit 7f6e4c0fe30135e08c23ee8548bac75e2244a52d
Author: Yinghua Wang <wantinghard@gmail.com>
Date:	2011-01-01

    Update Simplified Chinese translation.

M	po/zh_CN.po

commit 99407213e7ede85f7164364a045f7fb5220f7ab2
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-12-31

    Update git.mk from pango.

M	git.mk

commit 870e4e14e27aec79423861076b9b3b8480e2fb97
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-12-28

    Use Gtk.Scrollbar instead of Gtk.VScrollbar

M	plugins/terminal/terminal.py

commit ac071da1a4cadfcc7725d19386dda659b92e5dc3
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-12-23

    Port terminal to gtk3/libpeas.

M	configure.ac
M	plugins/terminal/Makefile.am
A
plugins/terminal/org.gnome.gedit.plugins.terminal.gschema.xml.in.in
M	plugins/terminal/terminal.py

commit adbe5de2a30b198e2e2db213d21276855fa86558
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-12-23

    Use GdkRGBA.

M	plugins/bookmarks/gedit-bookmarks-plugin.c

commit 5c7ab4a4c2a911003b96cf8bda54b9b011117801
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-12-21

    Manage the sensitivity of the panel.

M	plugins/charmap/charmap/__init__.py

commit e5a4127e36d32335dddd2acf28776c766bba3148
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-12-21

    Do not check for gucharmap.

M	configure.ac

commit 2788cbc65f182a03f79cdf155d86bed5f990f42b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-12-20

    Add missing copyright.

M	plugins/charmap/charmap/__init__.py
M	plugins/charmap/charmap/panel.py

commit 89493c36076e9cf721cfca609bf389b545d86f68
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-12-20

    Use insert_interactive_at_cursor.

M	plugins/charmap/charmap/__init__.py

commit fcd3c40ff6cc897519cd12ae852f7c2af8f2e264
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-12-20

    Port charmap plugin to python.

M	configure.ac
M	plugins/charmap/Makefile.am
M	plugins/charmap/charmap.plugin.desktop.in.in
A	plugins/charmap/charmap/Makefile.am
A	plugins/charmap/charmap/__init__.py
A	plugins/charmap/charmap/panel.py
D	plugins/charmap/gedit-charmap-panel.c
D	plugins/charmap/gedit-charmap-panel.h
D	plugins/charmap/gedit-charmap-plugin.c
D	plugins/charmap/gedit-charmap-plugin.h

commit a73812b6493efefeeed55c7e8089d225198987b8
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-12-04

    First cut at porting MultiEdit.

    Drawing is still broken due to missing support in pygobject

M	plugins/multiedit/multiedit/Makefile.am
M	plugins/multiedit/multiedit/__init__.py
M	plugins/multiedit/multiedit/documenthelper.py
D	plugins/multiedit/multiedit/windowhelper.py

commit af6ba16eab6bbc0a2b0097d37b461c8fa4c6a0e0
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-12-04

    Update TextSize plugin to latest api

M	plugins/multiedit/multiedit/signals.py
M	plugins/textsize/textsize/__init__.py
M	plugins/textsize/textsize/signals.py

commit 7eb2adbb020498e8f2af47b3993e7eab848a9eaf
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-12-04

    gucharmap: link against the 2.90 lib.

M	configure.ac

commit 041e25625d175057f0496517e345e7929f88e11c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-11-29

    Bump gtksourceview to 2.91.2

M	configure.ac

commit 010de6fc6d2b600fe471d3849aad5f405d633573
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-11-27

    Update to the new mark category api.

M	plugins/bookmarks/gedit-bookmarks-plugin.c

commit 1a7c9a9d821d7c5f6ca00ddeabae6201a8666748
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-11-27

    Tentatively port bracketcompletion to new api and g-i

    Still not working due to missing iter.get_char()

M	plugins/bracketcompletion/bracketcompletion.py

commit f032e8faaf67c5aa66f1bd5da61159624943a3aa
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-11-27

    Update SmartSpaces to api changes

M	plugins/smartspaces/smartspaces.py

commit df0d837a2b9b83ef0a0f688c800a8356625028f3
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-11-27

    Update colorpicker to api changes

M	plugins/colorpicker/colorpicker.py

commit 41c6cfe8c7c22aeb3ce778afd40a05957f52e67e
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-11-27

    Fisrt cut at porting JoinLines to the new api and g-i

    Still does not work due to the lack f iter.get_char()

M	plugins/joinlines/joinlines.py

commit 6e334bf63bc7485786cb5fd8df01829f594c895a
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-11-27

    Restore codecomment sensitivity check

M	plugins/codecomment/codecomment.py

commit 5fad197edbeec7b47404eb6a31e077325ee15dd3
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-11-27

    Update codecomment to latest api changes

M	plugins/codecomment/codecomment.py

commit a18d8575a3d865d3b7f8d0eab095d5518c3ee324
Author: Gabriel Șerbănescu <gabi_ro@ymail.com>
Date:	2010-11-25

    Updated Romanian translation

M	po/ro.po

commit 4e8b85af2780606c751a96063a63bb8650786498
Author: Petr Kovar <pknbe@volny.cz>
Date:	2010-11-21

    Update Czech translation by Marek Cernocky

M	po/cs.po

commit 50d7ae6044f4368b6afe3ab45a39ad76a02a8674
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2010-11-18

    Updated Basque language

M	po/eu.po

commit 9e6b9fe8a957a7636ba84de207985c579ada9a59
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-11-16

    Updated Slovenian translation

M	po/sl.po

commit a2050ab4bfa7c7137b763dd4d526928220b36669
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-11-16

    Updated Slovenian translation

M	po/sl.po

commit e2887b610eaba8870b087236e2428a8d9a181bda
Author: José Aliste <jaliste@src.gnome.org>
Date:	2010-11-10

    synctex: port to libpeas and pygobject.

M	plugins/synctex/synctex.plugin.desktop.in.in
M	plugins/synctex/synctex/synctex.py

commit d691c3903ec57fd70e51aec388aee386de1d80d9
Author: Krix Apolinário <krixapolinario@gmail.com>
Date:	2010-11-10

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 4c21a512afedd5c6b68c6d779ed94ee5641bd945
Author: José Aliste <jaliste@src.gnome.org>
Date:	2010-11-08

    synctex: Listen to DocLoaded signal of Evince.

    This fixes bug #634343.

M	plugins/synctex/synctex/evince_dbus.py

commit d725c7edbcbfdcc9bc85cc45233774150b3ff19a
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2010-11-08

    Updated Spanish translation

M	po/es.po

commit 9934dc4b2789b94f4f96dc3508abb8b1a5674b72
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2010-11-08

    Updated Spanish translation

M	po/es.po

commit 8ce5a78a9db58a8643ca66ad399b02a7ff2886d5
Author: Claude Paroz <claude@2xlibre.net>
Date:	2010-11-07

    Updated French translation

M	po/fr.po

commit 847a16aae0c9d763f3dc4c2f77f63218f959ab36
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-11-07

    [l10n] Updated German translation

M	po/de.po

commit ed03da261b258eb39d8e60c893d497dba460fe4e
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2010-11-07

    Updated Hungarian translation

M	po/hu.po

commit b317d2edfca84a099e384a5323dd3bc4e190fef6
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2010-11-07

    Merge translations from gedit trunk due to the move of taglist plugin

A	po/af.po
A	po/am.po
M	po/as.po
A	po/ast.po
M	po/az.po
M	po/be.po
M	po/be@latin.po
M	po/bg.po
A	po/bn.po
M	po/bn_IN.po
A	po/br.po
A	po/bs.po
M	po/ca.po
M	po/ca@valencia.po
A	po/crh.po
M	po/cs.po
A	po/cy.po
M	po/da.po
M	po/de.po
M	po/dz.po
M	po/el.po
A	po/en@shaw.po
M	po/en_CA.po
M	po/en_GB.po
A	po/eo.po
M	po/es.po
M	po/et.po
M	po/eu.po
A	po/fa.po
M	po/fi.po
M	po/fr.po
M	po/ga.po
M	po/gl.po
M	po/gu.po
M	po/he.po
M	po/hi.po
M	po/hr.po
M	po/hu.po
A	po/hy.po
M	po/id.po
A	po/is.po
M	po/it.po
M	po/ja.po
A	po/ka.po
A	po/kk.po
M	po/kn.po
M	po/ko.po
A	po/ku.po
A	po/la.po
M	po/lt.po
M	po/lv.po
A	po/mai.po
A	po/mg.po
A	po/mi.po
M	po/mk.po
M	po/ml.po
M	po/mn.po
M	po/mr.po
M	po/ms.po
M	po/nb.po
A	po/nds.po
M	po/ne.po
M	po/nl.po
M	po/nn.po
M	po/oc.po
M	po/or.po
M	po/pa.po
M	po/pl.po
A	po/ps.po
M	po/pt.po
M	po/pt_BR.po
M	po/ro.po
M	po/ru.po
M	po/rw.po
A	po/si.po
M	po/sk.po
M	po/sl.po
M	po/sq.po
M	po/sr.po
A	po/sr@latin.po
M	po/sv.po
M	po/ta.po
M	po/te.po
M	po/th.po
A	po/tk.po
M	po/tr.po
M	po/uk.po
M	po/vi.po
M	po/wa.po
A	po/xh.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po

commit 3ca735bd003d395f00ace621cff84039849c48f9
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2010-11-07

    Update to include new languages after taglist plugin merge

M	po/LINGUAS

commit 8c98b86cd6d83b6591e8e63a4af4bbe3946f3d23
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-11-06

    Fix file name

M	po/POTFILES.skip

commit 9f59240c1f3722089cbb5acd049016c676fff689
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2010-11-07

    Update Arabic translation

    Merged from gedit.

M	po/ar.po

commit 3725ecf3328ac819b345be0fabbe3a451336d782
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2010-11-06

    xx

M	po/ar.po

commit c7e9eb4842a0ac306dbed015bb8c9c813154c541
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2010-11-06

    Fix POTFILES.{in,skip}

M	po/POTFILES.in
M	po/POTFILES.skip
M	po/ar.po

commit d3db7ffd816e79238a0e9ba58494fec3d7571df5
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-11-06

    .gedit-plugin -> .plugin as per the new libpeas convention.

M	configure.ac
M	plugins/bookmarks/Makefile.am
R094	plugins/bookmarks/bookmarks.gedit-plugin.desktop.in.in
plugins/bookmarks/bookmarks.plugin.desktop.in.in
M	plugins/bracketcompletion/Makefile.am
R094
plugins/bracketcompletion/bracketcompletion.gedit-plugin.desktop.in.in
plugins/bracketcompletion/bracketcompletion.plugin.desktop.in.in
M	plugins/charmap/Makefile.am
R094	plugins/charmap/charmap.gedit-plugin.desktop.in.in
plugins/charmap/charmap.plugin.desktop.in.in
M	plugins/codecomment/Makefile.am
R095	plugins/codecomment/codecomment.gedit-plugin.desktop.in.in
plugins/codecomment/codecomment.plugin.desktop.in.in
M	plugins/colorpicker/Makefile.am
R095	plugins/colorpicker/colorpicker.gedit-plugin.desktop.in.in
plugins/colorpicker/colorpicker.plugin.desktop.in.in
M	plugins/commander/Makefile.am
R094	plugins/commander/commander.gedit-plugin.desktop.in.in
plugins/commander/commander.plugin.desktop.in.in
M	plugins/drawspaces/Makefile.am
R096	plugins/drawspaces/drawspaces.gedit-plugin.desktop.in.in
plugins/drawspaces/drawspaces.plugin.desktop.in.in
M	plugins/joinlines/Makefile.am
R095	plugins/joinlines/joinlines.gedit-plugin.desktop.in.in
plugins/joinlines/joinlines.plugin.desktop.in.in
M	plugins/multiedit/Makefile.am
R094	plugins/multiedit/multiedit.gedit-plugin.desktop.in.in
plugins/multiedit/multiedit.plugin.desktop.in.in
M	plugins/sessionsaver/Makefile.am
R093	plugins/sessionsaver/sessionsaver.gedit-plugin.desktop.in.in
plugins/sessionsaver/sessionsaver.plugin.desktop.in.in
M	plugins/smartspaces/Makefile.am
R094	plugins/smartspaces/smartspaces.gedit-plugin.desktop.in.in
plugins/smartspaces/smartspaces.plugin.desktop.in.in
M	plugins/synctex/Makefile.am
R094	plugins/synctex/synctex.gedit-plugin.desktop.in.in
plugins/synctex/synctex.plugin.desktop.in.in
M	plugins/taglist/Makefile.am
R095	plugins/taglist/taglist.gedit-plugin.desktop.in.in
plugins/taglist/taglist.plugin.desktop.in.in
M	plugins/terminal/Makefile.am
R094	plugins/terminal/terminal.gedit-plugin.desktop.in.in
plugins/terminal/terminal.plugin.desktop.in.in
M	plugins/textsize/Makefile.am
R095	plugins/textsize/textsize.gedit-plugin.desktop.in.in
plugins/textsize/textsize.plugin.desktop.in.in
M	plugins/wordcompletion/Makefile.am
R095	plugins/wordcompletion/wordcompletion.gedit-plugin.desktop.in.in
plugins/wordcompletion/wordcompletion.plugin.desktop.in.in
M	po/POTFILES.in
M	po/POTFILES.skip

commit fa8aca572260e2e3d5f71660b942420f68dec447
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-11-06

    Also add the moved plugin to POTFILES.in

M	po/POTFILES.in

commit afa6a4dcbe2f72df50cf48c6eebed1d08bda4843
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-11-06

    Import the taglist plugin from gedit

    Move the taglist plugins here for those who like it. These days it
    should be way less popular than it used to, so we decided to remove it
    from the main gedit tarball in 3.0.

M	configure.ac
A	plugins/taglist/HTML.tags.xml.in
A	plugins/taglist/Latex.tags.xml.in
A	plugins/taglist/Makefile.am
A	plugins/taglist/XSLT.tags.xml.in
A	plugins/taglist/XUL.tags.xml.in
A	plugins/taglist/gedit-taglist-plugin-panel.c
A	plugins/taglist/gedit-taglist-plugin-panel.h
A	plugins/taglist/gedit-taglist-plugin-parser.c
A	plugins/taglist/gedit-taglist-plugin-parser.h
A	plugins/taglist/gedit-taglist-plugin.c
A	plugins/taglist/gedit-taglist-plugin.h
A	plugins/taglist/taglist.gedit-plugin.desktop.in.in

commit 36855cdfd0266339220c161c21e6282a2a3b0605
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-11-06

    Fix compile error (GtkObject is no more)

M	plugins/drawspaces/gedit-drawspaces-plugin.c

commit 6dcf935aebe9f6103e92c544aae9557f29c1c3b5
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2010-10-30

    Updated Catalan (Valencian) translation

M	po/LINGUAS
A	po/ca@valencia.po

commit b291b6f2e88c6c256cd727ac34692f3f27283f11
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2010-10-08

    Updated Arabic translation

M	po/ar.po

commit 7a66e2adad4e107fa251b437f69fbf1ea06cf7e4
Author: Christos Spyroglou <cspyroglou@gmail.com>
Date:	2010-10-01

    l10n: Updated Greek translation for gedit-plugins

M	po/el.po

commit 1dd93499efba3f847eec40f3893359e1b5c53567
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2010-09-22

    Updated Polish translation

M	po/pl.po

commit 49e32668df2eaea589b650ca7ee5aef9c4c306dc
Author: Javier Jardón <jjardon@gnome.org>
Date:	2010-09-22

    build: Use upstream gettext instead the Glib one

M	autogen.sh
M	configure.ac

commit 407f5aa58f7e0c3dd3f58f2c264eb91aa02d6b77
Author: Marek Černocký <marek@manet.cz>
Date:	2010-09-18

    Updated Czech translation

M	po/cs.po

commit 13e7ad98c64a2efefa2cebef530c2d605efa6588
Author: José Aliste <jaliste@src.gnome.org>
Date:	2010-09-18

    Disable synctex plugin if dbus-python is not found.

M	configure.ac

commit d444f1270d924e049286d89814f9d70b75e5b091
Author: José Aliste <jaliste@src.gnome.org>
Date:	2010-09-12

    [synctex] Fix adding helpers when activating the plugin.

M	plugins/synctex/synctex/synctex.py

commit aabf869526c11949d8a52d6bdac41b4e485f9c74
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-09-16

    [i18n] Updated German translation

M	po/de.po

commit 0f1cc02a59608f426cb3ff761e468e4ba11554e5
Author: Petr Kovar <pknbe@volny.cz>
Date:	2010-09-15

    Update Czech translation by Marek Cernocky

M	po/cs.po

commit c3459511a90ce3bf0d2a545ed639e2287415edaf
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2010-09-14

    Updated Hungarian translation

M	po/hu.po

commit 08e49dfa7183893400091dbc5ce93025b7418a1a
Author: António Lima <amrlima@gmail.com>
Date:	2010-09-10

    Updated Portuguese translation

M	po/pt.po

commit 1f99a3a787f5ab6f872ad55d24072e69e4b93b4a
Author: Jesse van den Kieboom <jesse@icecrew.nl>
Date:	2010-08-29

    Port from libpeasui to libpeas-gtk

M	configure.ac
M	plugins/drawspaces/gedit-drawspaces-plugin.c

commit 5c335bf4654d7f55ef8eed40983f7b3528e34c3d
Author: Jesse van den Kieboom <jesse@icecrew.nl>
Date:	2010-08-29

    Added new 'grep' commander module

M	plugins/commander/modules/Makefile.am
A	plugins/commander/modules/grep.py

commit c3b6d7319c698479cff0514c8cd382014acf5ed6
Author: Jesse van den Kieboom <jesse@icecrew.nl>
Date:	2010-08-29

    Added GPL and PEP-8 to all commander modules

M	plugins/commander/modules/align.py
M	plugins/commander/modules/bookmark.py
M	plugins/commander/modules/doc.py
M	plugins/commander/modules/edit.py
M	plugins/commander/modules/find/__init__.py
M	plugins/commander/modules/find/finder.py
M	plugins/commander/modules/find/regex.py
M	plugins/commander/modules/find/test.py
M	plugins/commander/modules/format.py
M	plugins/commander/modules/goto.py
M	plugins/commander/modules/help.py
M	plugins/commander/modules/move.py
M	plugins/commander/modules/reload.py
M	plugins/commander/modules/set.py
M	plugins/commander/modules/shell.py

commit d5e026c5f7d36e502f4e826fd8fafb02ee15a212
Author: Jose Aliste <jaliste@src.gnome.org>
Date:	2010-08-17

    [synctex] Use source_language id instead of name.

M	plugins/synctex/synctex/synctex.py

commit 2b55af6bb8919b72fd312cf6838b972fd159854e
Author: Jose Aliste <jaliste@src.gnome.org>
Date:	2010-08-16

    [synctex] correct typos in desktop file.

M	plugins/synctex/synctex.gedit-plugin.desktop.in.in

commit acbe6b6f2674feba1c177111c209d4b2fc226cf6
Author: Jose Aliste <jaliste@src.gnome.org>
Date:	2010-08-16

    [synctex] fix Backward search with multiple gedit windows.

M	plugins/synctex/synctex/synctex.py

commit d4114f77d42285c0282dbf1d069ff321e1b5648a
Author: Jose Aliste <jaliste@src.gnome.org>
Date:	2010-08-13

    [synctex] SyncTeX paths are relative to the output file.

M	plugins/synctex/synctex/synctex.py

commit 04f31b36da4b741b291e59ca82be409889a59809
Author: Jose Aliste <jaliste@src.gnome.org>
Date:	2010-08-13

    [Synctex] Allow modeline in the last lines and fix relative paths.

M	plugins/synctex/synctex/synctex.py

commit 1a4d090b15555e57b5f5ca9a2a5d0f67a21fbd58
Author: Jose Aliste <jaliste@src.gnome.org>
Date:	2010-08-15

    [synctex] Fix opening included files with multiple gedit window.

M	plugins/synctex/synctex/synctex.py

commit a0c2ccd6ac435bee0b47e0a66c5a682d69c86c49
Author: Jose Aliste <jaliste@src.gnome.org>
Date:	2010-08-13

    Fix POTFILE.in and POTFILES.skip to make distcheck pass.

M	po/POTFILES.in
M	po/POTFILES.skip

commit db6e3f3746983b49f41d0962939b25c45b0188e8
Author: Jose Aliste <jaliste@src.gnome.org>
Date:	2010-08-13

    [synctex] Remove all handlers when view helper is not active.

M	plugins/synctex/synctex/synctex.py

commit 467003474e58ef44b0a88e5141d03c70838e041d
Author: Jose Aliste <jaliste@src.gnome.org>
Date:	2010-08-12

    [synctex] Changing indentation to evince_dbus.

M	plugins/synctex/synctex/evince_dbus.py

commit f88a76ffbc99882c856a7ca5b3c1d1b6ec0f0ddb
Author: Jose Aliste <jaliste@src.gnome.org>
Date:	2010-08-12

    [synctex] Make async DBus calls.

M	plugins/synctex/synctex/evince_dbus.py
M	plugins/synctex/synctex/synctex.py

commit d24cc2d2e12b6a97c86efe201a5076882b161138
Author: Jose Aliste <jaliste@src.gnome.org>
Date:	2010-08-12

    [synctex] Add modeline to support Forward search in included files.

M	plugins/synctex/synctex/synctex.py

commit d265feae5a76b6e48f819e18647fe060430a4092
Author: Jose Aliste <jaliste@src.gnome.org>
Date:	2010-08-12

    [synctex] Ensure backwardSearch is called after doc is loaded.

M	plugins/synctex/synctex/synctex.py

commit e69c3cd1174537dfb44f514e0d238df092dcbfbd
Author: Jose Aliste <jaliste@src.gnome.org>
Date:	2010-08-12

    [synctex] use get_location instead of get_uri

M	plugins/synctex/synctex/synctex.py

commit a9e09d186a8b3a62a6707b45ba0ba1f49bc5f9f6
Author: Jose Aliste <jaliste@src.gnome.org>
Date:	2010-08-12

    [synctex] Do not use hardcoded color for highlighting.

M	plugins/synctex/synctex/synctex.py

commit 5530c19c0799030b014e97cae4ef0746ef77531c
Author: Jose Aliste <jaliste@src.gnome.org>
Date:	2010-08-10

    [Synctex] Fix detection code, uri conversion and uninstall ui when
    deactivating.

M	plugins/synctex/synctex/evince_dbus.py
M	plugins/synctex/synctex/synctex.py

commit 1711c71aab392c676594bb581738a8af1ea35e39
Author: Jose Aliste <jaliste@src.gnome.org>
Date:	2010-08-08

    Add synctex plugin.

M	README
M	configure.ac
A	plugins/synctex/Makefile.am
A	plugins/synctex/synctex.gedit-plugin.desktop.in.in
A	plugins/synctex/synctex/Makefile.am
A	plugins/synctex/synctex/__init__.py
A	plugins/synctex/synctex/evince_dbus.py
A	plugins/synctex/synctex/synctex.py

commit 84406a90836cee47d555535178419cae43de8bc4
Author: Petr Kovar <pknbe@volny.cz>
Date:	2010-08-25

    Update Czech translation by Marek Cernocky

M	po/cs.po

commit 713d4ddbfa6d5c318becd87f20dad693720ab029
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-08-19

    Add myself as maintainer in the doap file and jaliste to doap
    MAINTAINERS.

M	MAINTAINERS
M	gedit-plugins.doap

commit 899b71af446560b98e13b72085de5b7eee9a13de
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-08-13

    Updated Slovenian translation

M	po/sl.po

commit 0fa072f421a1c7c0f0b60c0fb2d3b622a6562ee9 (tag:
GEDIT_PLUGINS_2_90_0)
Author: Jose Aliste <jaliste@src.gnome.org>
Date:	2010-08-13

    Release gedit-plugins 2.90.0.

    Now 2.31.x series lives in gnome-2-32 branch.

M	NEWS
M	README
M	configure.ac

commit b61a383d121819b409e6e41bfbb29179c9fc3021
Author: Jose Aliste <jaliste@src.gnome.org>
Date:	2010-08-13

    Fix to POTFILES.in and POTFILES.skip to make distcheck pass.

M	po/POTFILES.in
M	po/POTFILES.skip

commit d0475cf2dc59d6ad6f35760cd3a6de10cf3f0871
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-29

    Ref the window.

    We are disposing the window, so when we get it in the view activatable
    we must ref it.

M	plugins/wordcompletion/gedit-word-completion-plugin.c

commit 592a40da0dd9d6da0c30fb553279a8803930f7c3
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-29

    Use also the view activatable.

M	plugins/wordcompletion/gedit-word-completion-plugin.c

commit 750a42c9fa54bdf2f2bf7596c3bb589a5e73b29f
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-29

    Use the right schema.

M	plugins/charmap/gedit-charmap-plugin.c

commit 236104a4a1b7087fdec9fb054f093b7cf1566791
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-29

    Port charmap plugin to use the window construct property.

M	plugins/charmap/gedit-charmap-plugin.c

commit cee475f07632591e581092bfd8acb9ac45a20f91
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-29

    Port drawspaces plugin to use the window construct property.

M	plugins/drawspaces/gedit-drawspaces-plugin.c

commit 6e5734d03c6538cbe709b21df3057c45ea5ecea9
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-29

    Port wordcompletion plugin to use the window construct property.

M	plugins/wordcompletion/gedit-word-completion-plugin.c

commit 8a34e23e503717b2f64514e5af99f900ddede0d7
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-29

    Port bookmarks plugin to use the window construct property.

M	plugins/bookmarks/gedit-bookmarks-plugin.c

commit 59d91f3b4e6b075169df6801f80dc669dbebe48b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-29

    Bump deps.

M	configure.ac

commit 04a11204dc1ce9f55e13bbd79579ce578ed89420
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-14

    Use org.gnome.gedit.plugins as prefix for schema files in plugins.

M	configure.ac
M	plugins/drawspaces/Makefile.am
R100	plugins/drawspaces/org.gnome.gedit.drawspaces.gschema.xml.in.in
plugins/drawspaces/org.gnome.gedit.plugins.drawspaces.gschema.xml.in.in

commit 3574312772024fc13d9829216b0cce16f900ca4a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-13

    Port textsize plugins to libpeas.

M	plugins/textsize/textsize/Makefile.am
M	plugins/textsize/textsize/__init__.py
M	plugins/textsize/textsize/documenthelper.py
D	plugins/textsize/textsize/windowhelper.py

commit d80714d3e9e41745a9225a7747294ac14fd126ca (tag:
GEDIT_PLUGINS_2_31_4)
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-12

    Release 2.31.4

M	NEWS
M	README
M	configure.ac

commit aee2d86bebf2f52d0a7a669c2485d5966e9d58fb
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-12

    Do not specify the default icon.

M
plugins/bracketcompletion/bracketcompletion.gedit-plugin.desktop.in.in
M	plugins/multiedit/multiedit.gedit-plugin.desktop.in.in

commit c395f9e88e3e1558c3bb0fd1156fcae44a998f9a
Author: António Lima <amrlima@gmail.com>
Date:	2010-07-12

    Updated Portuguese translation

M	po/pt.po

commit 1c29888e731c21231ee355af6bee06eda8db451c
Author: Petr Kovar <pknbe@volny.cz>
Date:	2010-07-11

    Update Czech translation by Marek Cernocky

M	po/cs.po

commit 6a4fae04b733ff085b05049ce6f8a6b0fc8d1c11
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-09

    Port codecomment to libpeas

M	plugins/codecomment/codecomment.py

commit 914e3b17669e34facb116e654843ff636b581079
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-08

    Port colorpicker to libpeas.

M	plugins/Makefile.am
M	plugins/colorpicker/colorpicker.py

commit 945c2e5bbb0c99b15f0d74e75b8ff1369b6054d8
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-08

    Port smartspaces to libpeas.

M	plugins/smartspaces/smartspaces.py

commit 32d5d2a76956a869eacca8c537780d8350e5751b
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-07-06

    Updated Slovenian translation

M	po/sl.po

commit fbec04e4eb33fcb252e2dd01a608824d1218def7
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-07-05

    [i18n] Updated German translation

M	po/de.po

commit f8bf1d2e764b8bf1d7c91f453a63a7297530ed0d
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2010-07-04

    Updated Spanish translation

M	po/es.po

commit 9429b26a7b20bea62b8d6bffd9e48a40f89b2216
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-04

    Port bookmarks plugin to libpeas.

M	plugins/bookmarks/gedit-bookmarks-plugin.c
M	plugins/bookmarks/gedit-bookmarks-plugin.h

commit 17a064c1954427324dcd2b07c44d206f4a26168c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-04

    Update POTFILES.

M	po/POTFILES.in

commit d1b459223873feaf130320436daed825d5cff80d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-04

    Port charmap plugin to libpeas.

M	plugins/charmap/gedit-charmap-panel.c
M	plugins/charmap/gedit-charmap-panel.h
M	plugins/charmap/gedit-charmap-plugin.c
M	plugins/charmap/gedit-charmap-plugin.h

commit 3f98b8d0adb0c82be93052ccb9db9246023c8c50
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-03

    Por wordcompletion plugin to libpeas.

M	plugins/wordcompletion/gedit-word-completion-plugin.c
M	plugins/wordcompletion/gedit-word-completion-plugin.h

commit 3df6a9fc68e829958903326428b10232a616114f
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-03

    Convert the settings into flags.

M	plugins/drawspaces/gedit-drawspaces-plugin.c
M	plugins/drawspaces/org.gnome.gedit.drawspaces.gschema.xml.in.in

commit 633bc99feecb98c0542237a5542845dd983d9c81
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-02

    Port drawspaces plugin to libpeas

M	plugins/drawspaces/Makefile.am
M	plugins/drawspaces/gedit-drawspaces-plugin.c
M	plugins/drawspaces/gedit-drawspaces-plugin.h
R097	plugins/drawspaces/drawspaces.ui
plugins/drawspaces/gedit-drawspaces-plugin.ui

commit 7a382f4b460725f86ea3f4a040fdaf7f9952c072
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-02

    Update to work with latest gedit.

    Added peas/ui dependencies. Removed gconf and bumped gedit.
    Also removed the python checks.

M	configure.ac

commit 0cc4abc19d9da223b45ebeff3498af71c1c0ebb7
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2010-06-22

    Updated Galician translations

M	po/gl.po

commit 276946e0d94549d0d800c93c73a950d28a63aafa
Author: Jesse van den Kieboom <jesse@icecrew.nl>
Date:	2010-06-19

    Added module name in failed reload message

M	plugins/commander/commander/commands/__init__.py

commit 5f798d701fc58e4bced3fdb2d1b2c8d8cf456b9b
Author: Jesse van den Kieboom <jesse@icecrew.nl>
Date:	2010-06-19

    Fix completion for prompts

M	plugins/commander/commander/commands/__init__.py
M	plugins/commander/commander/entry.py

commit 55e8f22f623e7aa51ab1c10f88f392e084dfa289
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-06-12

    Require gtksourceview 3 when using gtk+ 3.

M	configure.ac

commit e9d5a18010f234985bc6c1d236b7a6e798b9debf (tag:
GEDIT_PLUGINS_2_31_3)
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-06-08

    Release 2.31.3

M	NEWS
M	README
M	configure.ac

commit ceb1c57483d854b7aabf885315004f30fe715704
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2010-06-05

    Hungarian translation updated

M	po/hu.po

commit e5c724c49c0da508ebe5df480e01fe464b2f9e53
Author: Garrett Regier <alias301@gmail.com>
Date:	2010-06-03

    Removed ShowTabbar plugin

M	configure.ac
D	plugins/showtabbar/.cvsignore
D	plugins/showtabbar/Makefile.am
D	plugins/showtabbar/gedit-show-tabbar-plugin.c
D	plugins/showtabbar/gedit-show-tabbar-plugin.h
D	plugins/showtabbar/org.gnome.gedit.showtabbar.gschema.xml.in.in
D	plugins/showtabbar/showtabbar.gedit-plugin.desktop.in.in
M	po/POTFILES.in
M	po/POTFILES.skip

commit 386a573e7fe45b757feeb9fd772d89096a413e84
Author: Garrett Regier <alias301@gmail.com>
Date:	2010-06-03

    Bug 620434 - Port ShowTabbar plugin to gedit's new split views

M	plugins/showtabbar/gedit-show-tabbar-plugin.c
M	plugins/showtabbar/org.gnome.gedit.showtabbar.gschema.xml.in.in
M	plugins/showtabbar/showtabbar.gedit-plugin.desktop.in.in

commit 94f0a5e5ac04263492742590307c3a8875d1f65b
Author: Petr Kovar <pknbe@volny.cz>
Date:	2010-05-31

    Update Czech translation by Marek Cernocky

M	po/cs.po

commit d31d4c1e1393aeb910e4f464b0eb26f0a0f75854
Author: Jesse van den Kieboom <jesse@icecrew.nl>
Date:	2010-05-31

    Fix check on set_uri (should be set_location)

M	plugins/commander/modules/edit.py

commit fd647c1c76d1aa4ab9ad943b68cbaaab16c7f693
Author: Jesse van den Kieboom <jesse@icecrew.nl>
Date:	2010-05-30

    get_real_indent_width never worked

M	plugins/smartspaces/smartspaces.py

commit 17c3df08a74f5f25a4f05b222d31ba1fce25f6ed
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:	2010-05-28

    Updated German translation

M	po/de.po

commit 587783803f0b9a72af9a3d21f17d3f06d7801e22 (tag:
GEDIT_PLUGINS_2_31_2)
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-05-27

    Release 2.31.2

M	NEWS
M	README
M	configure.ac
M	plugins/drawspaces/Makefile.am
M	plugins/showtabbar/Makefile.am

commit 55e98758bf7330e6f30deea60ede7bdd26576e6f
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-05-27

    Update POTFILES.

M	po/POTFILES.skip

commit 9a0c898c3d9090d5494b77496e1561414077c8c9
Author: Claude Paroz <claude@2xlibre.net>
Date:	2010-05-26

    Updated French translation

M	po/fr.po

commit 3dcc80e2a1e9ce746feb9466dc8f2bfc43616c51
Author: Claude Paroz <claude@2xlibre.net>
Date:	2010-05-26

    Updated file path in POTFILES.in

M	po/POTFILES.in

commit 6004f912c76c5cd8d3eef746e02213d37c1980ad
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2010-05-25

    Updated Spanish translation

M	po/es.po

commit b4035b06c1f2f093b8e29a9b757b437b8d047b8a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-05-23

    Port showtabbar plugin to gsettings.

M	configure.ac
M	plugins/showtabbar/Makefile.am
M	plugins/showtabbar/gedit-show-tabbar-plugin.c
M	plugins/showtabbar/gedit-show-tabbar-plugin.h
D	plugins/showtabbar/gedit-show-tabbar-plugin.schemas.in
A	plugins/showtabbar/org.gnome.gedit.showtabbar.gschema.xml.in.in

commit 9e10a42d823c833409998ae1eae84ba8264f40b8
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-05-23

    Use the right schemas var.

M	plugins/drawspaces/Makefile.am

commit fc845246545786de743ac2c76ee48a77c7da23c4
Author: Garrett Regier <alias301@gmail.com>
Date:	2010-05-22

    Use gtk_source_view_get_visual_column

M	plugins/multiedit/multiedit/documenthelper.py

commit 15ada15b7678f51e50ab416173a275c8878b371a
Author: Garrett Regier <alias301@gmail.com>
Date:	2010-05-21

    Bug 615840 - Make smartspaces use get_indent_width

M	plugins/smartspaces/smartspaces.py

commit d2699215a980f37344eab3e82d5a2d11e5b25db5
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-05-21

    Updated Slovenian translation

M	po/sl.po

commit 4e1620fad29ed6d0dc921a8a7e50c99daa2c722f
Author: Garrett Regier <alias301@gmail.com>
Date:	2010-05-21

    Made plugin schemas translatable

M	configure.ac
M	plugins/drawspaces/Makefile.am
D	plugins/drawspaces/org.gnome.gedit.drawspaces.gschema.xml
A	plugins/drawspaces/org.gnome.gedit.drawspaces.gschema.xml.in.in
M	po/POTFILES.in

commit 77d1948043f13e952ad0ffa88def5543931d8ed7
Author: Henrique P. Machado <hpmachado@gnome.org>
Date:	2010-05-17

    Updated Brazilian Portuguese Translation

M	po/pt_BR.po

commit f9f58529236b13c58ed958f5fd1a8dea130ec531
Author: Petr Kovar <pknbe@volny.cz>
Date:	2010-05-17

    Update Czech translation by Marek Cernocky

M	po/cs.po

commit 9ba0576d584e30f7f3f62cced2a52046d86b2c74
Author: Jesse van den Kieboom <jesse@icecrew.nl>
Date:	2010-05-16

    Added support for smart-home-end

M	plugins/multiedit/multiedit/documenthelper.py

commit 4aa45e10b541f25ed03d52be9dd4773e6d2f9c27
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:	2010-05-16

    Updated German translation

M	po/de.po

commit 2d91cdd7c919bbf5e8ab9156a91e8d89264df8d8
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-05-15

    Switch to xml format instead of the simple gsettings format.

M	plugins/drawspaces/Makefile.am
D	plugins/drawspaces/org.gnome.gedit.drawspaces.gschema.in
A	plugins/drawspaces/org.gnome.gedit.drawspaces.gschema.xml

commit 850ad8e7dccfa9a1442426242c3c3c450483aaaa
Author: Garrett Regier <alias301@gmail.com>
Date:	2010-05-15

    Bug 618116 - Terminal should update the font if the system font
    changes

M	plugins/terminal/terminal.py

commit 529c6889254d0de8121a71d48f4018b984910c4e
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:	2010-05-14

    Removed invalid POTFILES.in entry

M	po/POTFILES.in

commit 79abc6a90e6cc47d7dc45af4c29561f3e863fd8c
Author: Jesse van den Kieboom <jesse@icecrew.nl>
Date:	2010-05-13

    Improve commander history handling

M	plugins/commander/commander/entry.py
M	plugins/commander/commander/history.py

commit 87148aa9ec55a0e846e7e79cbf9292812a67aff7
Author: Jesse van den Kieboom <jesse@icecrew.nl>
Date:	2010-05-13

    Fixed multi edit tooltip label attachment

M	plugins/multiedit/multiedit/documenthelper.py

commit 0bb9f23a0fc74794900bf392f6cbcfeead0b9b42
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2010-05-11

    Fixed undefined modifier for replace-all

M	plugins/commander/modules/find/finder.py

commit 2f8442419dddcda44fd93afee5b046ca63ea4804
Author: Garrett Regier <alias301@gmail.com>
Date:	2010-05-10

    Bug 618243 - Build with gtk+-3.0 if it's available

M	configure.ac

commit 7d005579ef4d90874fddd3a9d118a43646729ae7
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-05-10

    Port drawspaces plugin to gsettings.

M	configure.ac
M	plugins/drawspaces/Makefile.am
M	plugins/drawspaces/gedit-drawspaces-plugin.c
D	plugins/drawspaces/gedit-drawspaces.schemas.in
A	plugins/drawspaces/org.gnome.gedit.drawspaces.gschema.in

commit 70ca76dce8ac2e9e91fa83e266c9ccd2f974ce17
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-05-10

    Bump gio to 2.25.4 because of gsettings.

M	configure.ac

commit 6f6504d0228b78c913871fc38a523163658ebfea
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-05-10

    Use gsettings to get the default font.

M	plugins/charmap/gedit-charmap-plugin.c

commit c3df417d355900f1b1cd4b53b146a34cd88ef537
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-05-10

    Remove useless include.

M	plugins/bookmarks/gedit-bookmarks-plugin.c

commit 61230c3a1251d4d07eea344f43c91856efa51e22
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2010-05-09

    Implement skip replace using Ctrl+Enter in commander find

M	plugins/commander/modules/find/finder.py

commit a0302d2eca5c279dc221dd610ad5f01d261d3b63
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2010-05-09

    Make all modules available in the commander.modules module

M	plugins/commander/commander/Makefile.am
M	plugins/commander/commander/__init__.py
M	plugins/commander/commander/commands/__init__.py
A	plugins/commander/commander/modules.py

commit b7515a35c02b5f6bb07a02945128498225b044d2
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2010-05-09

    Implemented semantic replace

M	plugins/commander/modules/find/__init__.py
M	plugins/commander/modules/find/finder.py
M	plugins/commander/modules/find/regex.py

commit a5fae0e5609536c78feb0e528caf54f3f4399968
Author: Claude Paroz <claude@2xlibre.net>
Date:	2010-05-08

    Updated French translation

M	po/fr.po

commit 50dc21a2454667047230d001a54d6dcb23a5fd11
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-05-07

    Updated Slovenian translation

M	po/sl.po

commit 9c25594b9c657c6f9280f7bf63bc55bb0e8d779d
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2010-05-04

    Updated Spanish translation

M	po/es.po

commit dfdf8f0c4ca64931a4b4200b72ec3f00fcf389ed (tag:
GEDIT_PLUGINS_2_31_1)
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-05-03

    Release 2.31.1

M	NEWS
M	README
M	configure.ac

commit 5549c86457dfcb2b5f56306a514b9a0e855380a1
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-05-03

    Update POTFILES

M	po/POTFILES.in
M	po/POTFILES.skip

commit 414e190671bba771ddd5f1e19885c1a9cb76bda1
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-05-03

    Add new plugin textsize.

    This plugin allows to increase/decrease the size of the text or of
    a specific
    selection of text.

M	configure.ac
A	plugins/textsize/Makefile.am
A	plugins/textsize/textsize.gedit-plugin.desktop.in.in
A	plugins/textsize/textsize/.gitignore
A	plugins/textsize/textsize/Makefile.am
A	plugins/textsize/textsize/__init__.py
A	plugins/textsize/textsize/constants.py
A	plugins/textsize/textsize/documenthelper.py
A	plugins/textsize/textsize/signals.py
A	plugins/textsize/textsize/windowhelper.py

commit 9ede8185dd2ac2122807cd15b33d23cd3e496124
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-05-03

    Add myself to AUTHORS and MAINTAINERS files.

M	AUTHORS
M	MAINTAINERS

commit 1bbd570cfc3285e2eb984db85341d7d8768462de
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-05-03

    Bump gedit version.

M	configure.ac

commit b7fb96fe53d542b7df4710b274ac5e27556f9ef4
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-05-02

    Update IAge to version 3

M	plugins/bookmarks/bookmarks.gedit-plugin.desktop.in.in
M
plugins/bracketcompletion/bracketcompletion.gedit-plugin.desktop.in.in
M	plugins/charmap/charmap.gedit-plugin.desktop.in.in
M	plugins/codecomment/codecomment.gedit-plugin.desktop.in.in
M	plugins/colorpicker/colorpicker.gedit-plugin.desktop.in.in
M	plugins/commander/commander.gedit-plugin.desktop.in.in
M	plugins/drawspaces/drawspaces.gedit-plugin.desktop.in.in
M	plugins/joinlines/joinlines.gedit-plugin.desktop.in.in
M	plugins/multiedit/multiedit.gedit-plugin.desktop.in.in
M	plugins/sessionsaver/sessionsaver.gedit-plugin.desktop.in.in
M	plugins/showtabbar/showtabbar.gedit-plugin.desktop.in.in
M	plugins/smartspaces/smartspaces.gedit-plugin.desktop.in.in
M	plugins/terminal/terminal.gedit-plugin.desktop.in.in
M	plugins/wordcompletion/wordcompletion.gedit-plugin.desktop.in.in

commit f8c224f357c83c71b0b91d15d2ddbc5d42aa3b2c
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-05-02

    Updated Slovenian translation

M	po/sl.po

commit 7e8a072e8e5aaa825249095532e2c82c9b05c9dc
Author: Jesse van den Kieboom <jesse@icecrew.nl>
Date:	2010-05-02

    Remove unnecessary header from bookmarks plugin

M	plugins/bookmarks/gedit-bookmarks-plugin.c

commit 38f8e7cbd816222a2363c61f153b6725fda2172e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-05-01

    Update to use new gedit panel api.

M	plugins/charmap/gedit-charmap-plugin.c
M	plugins/terminal/terminal.py

commit a4fde896c3ff07ef2689d98204d93594eb8cffea
Author: Jesse van den Kieboom <jesse@icecrew.nl>
Date:	2010-05-01

    Fix background color of the commander entry

M	plugins/commander/commander/entry.py

commit 61d4ffbd4d07382a19b5a8640661dd4a58607343
Author: Jesse van den Kieboom <jesse@icecrew.nl>
Date:	2010-05-01

    Added commander toggle menu item

M	plugins/commander/commander/windowhelper.py

commit d49ea93d4865cf15234b6973b55e4a442bae66cd
Author: Jesse van den Kieboom <jesse@icecrew.nl>
Date:	2010-05-01

    Make multi edit menu item proper toggle item

M	plugins/multiedit/multiedit/documenthelper.py
M	plugins/multiedit/multiedit/windowhelper.py

commit 058bb34dedc16ae6d19ddee0027dff3f18b83786
Author: Jesse van den Kieboom <jesse@icecrew.nl>
Date:	2010-05-01

    Make multi edit keybinding toggle multi edit mode

M	plugins/multiedit/multiedit/documenthelper.py
M	plugins/multiedit/multiedit/windowhelper.py

commit fcf57e1804596699462bf4b2b0c07ebaa5263971
Author: Jesse van den Kieboom <jesse@icecrew.nl>
Date:	2010-05-01

    Implemented align for multi edit

M	plugins/multiedit/multiedit/documenthelper.py

commit 69165608669c5c951a2acc0ddaf635310be03efe
Author: Jesse van den Kieboom <jesse@icecrew.nl>
Date:	2010-05-01

    Implemented smart align multi edit mode

M	plugins/multiedit/multiedit/documenthelper.py

commit 6e0a864ece4ec0b8f661e04793d24955217cc098
Author: Jesse van den Kieboom <jesse@icecrew.nl>
Date:	2010-05-01

    Implemented _smart_ column selection mode

M	plugins/multiedit/multiedit/documenthelper.py

commit 450f2cb90a4aadb4de2d8d53c6e4c4154aae73a8
Author: Jesse van den Kieboom <jesse@icecrew.nl>
Date:	2010-05-01

    Implement multiedit pasting

M	plugins/multiedit/multiedit/documenthelper.py

commit 631a9b26caf4056d9977d1bf636af87bad585242
Author: Jesse van den Kieboom <jesse@icecrew.nl>
Date:	2010-05-01

    Implement immediate single column mode

M	plugins/multiedit/multiedit/documenthelper.py

commit 42c9d2275210dbaf7a86883e18e2ba44cefd317a
Author: Jesse van den Kieboom <jesse@icecrew.nl>
Date:	2010-05-01

    Fix multi edit offset normalization

M	plugins/multiedit/multiedit/documenthelper.py

commit 4382e5c64a6a3ceb992c2b188deb1ac7054f21ce
Author: Jesse van den Kieboom <jesse@icecrew.nl>
Date:	2010-05-01

    Improved multi edit point navigation

M	plugins/multiedit/multiedit/documenthelper.py

commit 7000bb620dfb3dcea829fa450279cafeef4fbcde
Author: Jesse van den Kieboom <jesse@icecrew.nl>
Date:	2010-05-01

    Better handling of delete when in single column mode

M	plugins/multiedit/multiedit/documenthelper.py

commit e4ee64b7218387a1f39e4e5ac37ced035d1757ba
Author: Jesse van den Kieboom <jesse@icecrew.nl>
Date:	2010-05-01

    Remove trailing spaces

M	plugins/bookmarks/gedit-bookmarks-plugin.c
M	plugins/bookmarks/gedit-bookmarks-plugin.h
M	plugins/bracketcompletion/bracketcompletion.py
M	plugins/charmap/gedit-charmap-panel.c
M	plugins/charmap/gedit-charmap-panel.h
M	plugins/charmap/gedit-charmap-plugin.c
M	plugins/charmap/gedit-charmap-plugin.h
M	plugins/colorpicker/colorpicker.py
M	plugins/commander/commander/__init__.py
M	plugins/commander/commander/commands/__init__.py
M	plugins/commander/commander/commands/completion.py
M	plugins/commander/commander/commands/exceptions.py
M	plugins/commander/commander/commands/method.py
M	plugins/commander/commander/commands/module.py
M	plugins/commander/commander/commands/result.py
M	plugins/commander/commander/commands/rollbackimporter.py
M	plugins/commander/commander/entry.py
M	plugins/commander/commander/history.py
M	plugins/commander/commander/info.py
M	plugins/commander/commander/transparentwindow.py
M	plugins/commander/commander/utils.py
M	plugins/commander/commander/windowhelper.py
M	plugins/commander/modules/doc.py
M	plugins/commander/modules/edit.py
M	plugins/commander/modules/find/__init__.py
M	plugins/commander/modules/find/finder.py
M	plugins/commander/modules/find/regex.py
M	plugins/commander/modules/find/test.py
M	plugins/commander/modules/goto.py
M	plugins/commander/modules/help.py
M	plugins/commander/modules/move.py
M	plugins/commander/modules/reload.py
M	plugins/commander/modules/set.py
M	plugins/commander/modules/shell.py
M	plugins/drawspaces/gedit-drawspaces-plugin.c
M	plugins/drawspaces/gedit-drawspaces-plugin.h
M	plugins/joinlines/joinlines.py
M	plugins/multiedit/multiedit/__init__.py
M	plugins/multiedit/multiedit/constants.py
M	plugins/multiedit/multiedit/documenthelper.py
M	plugins/multiedit/multiedit/signals.py
M	plugins/multiedit/multiedit/windowhelper.py
M	plugins/sessionsaver/__init__.py
M	plugins/sessionsaver/dialogs.py
M	plugins/sessionsaver/store.py
